2006-08-21 Remus Draica <rd@baum.ro>

	* configure.in:
	Updated to vesion 1.1.2.
	
	* NEWS:
	Updated.

2006-08-15  Kjartan Maraas  <kmaraas@gnome.org>

	* NEWS: Fix a typo.
	* configure.in: Fix intltool req.

2006-07-24 Remus Draica <rd@baum.ro>

	* configure.in:
	Updated to vesion 1.1.1.
	
	* NEWS:
	Updated.

2006-07-24 Remus Draica <rd@baum.ro>

	* braille/libbrl/alvabrl.c:
	(alva_brl_send_dots):
	* braille/libbrl/baumbrl.c:
	(baum_brl_send_dots):
	* braille/libbrl/ecobrl.c:
	(eco_brl_send_dots):
	* braille/libbrl/handybrl.c:
	(handy_brl_send_dots):
	* braille/libbrl/braille.c:
	(BRLDevSendDotsProc):	
	Add text and cursor position as parameter.

	* braille/libbrl/braille.c:
	Retain text and cursor position when a new information is displayed.

	* braille/libbrl/brlxml.[ch]:
	Retain text to be displayed too, not only dots.

	* braille/libbrl/ttybrl-wrap.c:
	(brltty_brl_send_dots):
	Send text and cursor position to brltty.

	* gnopi/brlui.c:
	Add "none" language and disable braille style and cursor settings
	when language is none.

        Bug #319106.

2006-07-24 Remus Draica <rd@baum.ro>

	* configure.in:
	GTK_REQUIRED=2.9.0

	* gnopi/gnopi.c:
	Do not pass "--display=..." as command line parameter.

	* gnopi/gnopiui.[ch]:
	(gn_move_to_display):
	Added.

	* gnopi/magconf.c:
	(magconf_changes_cb):
	Handle the change of magnifier source.

	* gnopi/magui.c:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Replace GnomeColorPicker controls with GtkColorPicker.

	Bugs #330370 and #332825.

2006-07-24 Remus Draica <rd@baum.ro>

	* configure.in:
	Remove checks for gtk-doc (bug #348147).

2006-06-20  Brent Smith  <gnome@nextreality.net>

	* configure.in: add GTK+ to PKG_CHECK_MODULES so the include path for
	GTK is specified in the cflags; patch from Elijah Newren, fixes #344695

2006-05-23 Oana Serb <os@baum.ro>

	* configure.in:
	Updated to vesion 1.1.0.
	
	* NEWS:
	Updated.

2006-05-23 Oana Serb <os@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:	
	* srcore/srpres.c:
	* srlow/libsrlow/SRObject.c:
	* srlow/libsrlow/SRObject.h:
	Added presentation for spread sheet cells.
	(fix for bug #340022)

2006-05-10  Remus Draica <rd@baum.ro> patch from Przemyslaw Grzegorczy <pgrzegorczyk@gmail.com>

	* configure.in:
	(ALL_LINGUAS):
	(AC_PROG_INTLTOOL):
	 Removed.
	(IT_PROG_INTLTOOL):	
	Added.

2006-05-08  Remus Draica <rd@baum.ro> patch from  Julio M. Merino Vidal <jmmv@NetBSD.org>

	* Revert patch previously applied for bug 324283.

2006-05-08  Remus Draica <rd@baum.ro> patch from Brian Pepple  <bdpepple@gmail.com>

	* gnopi/gnopi.c (main): 
	* configure.in: 
	* gnopi/gnopi_files/Makefile.am (glade_files_DATA): 
	* gnopi/gnopernicus.desktop.in (Icon): 
	* gnopi/gnopiui.c (gn_load_gnopernicus_about): 
	* gnopi/Makefile.am (icondir): Install theme-friendly
	icons, and simplify the about dialog. See the wiki for
	more information: http://live.gnome.org/GnomeGoals/AppIcon

	Fix bug #338104.

2006-05-08 Oana Serb <os@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Changed magnifier presentation for paragraphs.
	(Fix for bug #340023)

2006-05-08 Remus Draica <rd@baum.ro>

	* fix compile warnings.

2006-05-08 Oana Serb <os@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Removed 'static' modifier for srl_get_acc_text_from_children () function.

	* srlow/libsrlow/SRObject.c:
	srl_get_acc_text_from_children function declared 'extern'.
	(fix for bug #339269)

2006-05-08 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/screen-review.c:
	(screen_review_init):
	Remove the code for screen review scopes other than window (bug 339050).

2006-05-08 Remus Draica <rd@baum.ro>

	* srcore/srmag.c:
	(src_magnifier_load_values):
	Clamp zoomer boundaries to the screen boundaries (bug #340389).

2006-05-08 Remus Draica <rd@baum.ro> (patch from yselkowitz@users.sourceforge.net)

	* configure.in:
	Add checks for res_init and res_9_init in resolv lib (bug #340974).

2006-04-18 Remus Draica <rd@baum.ro>

	* gnopi/Makefile.am:
	(translation_DATA): add French braille table.
	* gnopi/brlui.c:
	(trans_table_list): add French to list of braille translations.
	
	* gnopi/fr.a2b:
	Added (file from Olivier BERT <obert01@mistigri.org>).

2006-04-18  Vladimer Sichinava  <alinux@siena.linux.it>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation

2006-04-06 Oana Serb <os@baum.ro>

	* srcore/default.xml.in:
	* srcore/srpres.c:
	* srcore/verbose.xml.in:
	* srlow/libsrlow/SRLow.c:
	Added presentation for new paragraphs. 
	(Fix for bug #327673)

2006-04-06 Oana Serb <os@baum.ro>

	Removed patch applied for bug #336384.
	(because of compile errors)

2006-04-06 Remus Draica <rd@baum.ro>

	* srcore/src-kbd.c:
	(src_kbd_hit):
	Shut up speech when user hits a key.

	Bug #134845.

2006-04-06 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_get_acc_text_from_children):
	Added.
	(srl_set_info):
	Use function above for combos.

	Bug #161268.

2006-04-06 Remus Draica <rd@baum.ro>

	* kbd_mouse/libke/Makefile.am:
	Remove dependency on libsrconf.

	* kbd_mouse/libke/libke.[ch]:
	Rewrote.

	* kbd_mouse/test/Makefile.am:
	Remove dependency on libsrconf.

	* kbd_mouse/test/testlibke.c:
	Removed.
	* kbd_mouse/test/test.c:
	Added.

	* srcore/Makefile.am:
	src-kbd added to SOURCES.

	* srcore/src-kbd.[ch]:
	Added.

	* srcore/srctrl.c:
	* srcore/srmain.c:
	Changes to use the new API in libke.

	* srlow/srlow/libsrlow/SRLow.[ch]:
	Mouse support removed.

	* srlow/test/srlow_test.c:
	Remove mouse tests.

	* srutil/Makefile.am:
	Changed to compile new added files.

	* srutil/srintl.h:
	* srutil/sru-debug.c:
	Small cahnges.

	* srutil/sru-glib.[ch]:
	* srutil/sru-module.h:
	* srutil/sru-test.[ch]:
	Added.

	bug #163793.

2006-04-06 Remus Draica <rd@baum.ro>

	* braille/libbrl/Makefile.am:
	* braille/libbrl/braille.c:
	* braille/libbrl/ttybrl.[ch]:
	* braille/libbrl/ttybrl-wrap.[ch]:
	Compile braille tty support if available at compile time, and load it
	only if available at run time (bug #303633).

2006-04-06 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(get_name_from_cell):
	(acc_is_focused):
	Added.
	(sro_get_cell): removed all duplicate code (now part of functions above).

	Bug #303664).

2006-04-06 Remus Draica <rd@baum.ro>

	* gnopi/magconf.c:
	* gnopi/magui.c:
	* magnifier/libmag/mag.c:
	Do not assume that source and target have same size (bug #318132).

2006-04-06 Remus Draica <rd@baum.ro> patch from chpe <chpe@gnome.org>

	* srconf/libsrconf/libsrconf.cc:
	Use GPOINTER_TO_UINT and GUINT_TO_POINTER for conversions from
	uint to gpointer and gpointer to uint (bug #334018).

2006-04-06 Remus Draica <rd@baum.ro> patch from Przemysaw Grzegorczyk <pgrzegorczyk@gmail.com>

	* braille/test/remote.c:
	* gnopi/gnopi.c:
	* srcore/srmain.c:
	* brlmon/brlmon.c:
	Use GOption instead of popt and mark parameters description
	for translation (bug#336384).	

2006-04-06 Remus Draica <rd@baum.ro>
	
	* configure.in:
	(X_LIBS): Removed -lX11. It is not present on some distributions and
	is added by other tools if present (bug #337229).

2006-03-25  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-06 Remus Draica <rd@baum.ro>
	
	* configure.in:
	Updated to vesion 1.0.3.
	
	* NEWS:
	Updated.

2006-03-06 Remus Draica <rd@baum.ro>

	* srcore/srspc.c:
	(src_speech_translate_symbol):
	Do not put in the output both sign and translation (bug #306769).

2006-03-06 Oana Serb <os@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Fixed warning messages.

2006-02-27 Remus Draica <rd@baum.ro> (patch from Pedro de Medeiros <pedro.medeiros@gmail.com>)

	* help/gnopernicus/pt_BR:
	* help/gnopernicus/pt_BR/figures:
	 created.

	* help/gnopernicus/pt_BR/Makefile.am:
	* help/gnopernicus/pt_BR/gnopernicus.xml:
	* help/gnopernicus/pt_BR/legal.xml:
	* help/gnopernicus/pt_BR/figures/gnopernicus.png:
	added.

	* configure.in:
	(AC_OUTPUT):
	added help/gnopernicus/pt_BR/Makefile.

	* help/gnopernicus/Makefile.am:
	(SUBDIRS):
	added pt_BR.

2006-02-20 Oana Serb <os@baum.ro>

	* gnopi/magconf.c:
	(magconf_setting_init):
	Correct the default magnifier settings to be the same 
	when this are loaded from gnopernicus interface or from layer.

2006-02-13 Remus Draica <rd@baum.ro>
	
	* configure.in:
	Updated to vesion 1.0.2.
	
	* NEWS:
	Updated.

2006-02-13 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_is_parent_of_last_focus):
	Added.
	(srl_event_is_reported):
	In case of tab-added/removed events, check if tab contains
	the last focus, and do not present it in this case.

	Bug #157958.

2006-02-09 Oana Serb <os@baum.ro>. Patch from Remus Draica <rd@baumro>

	* srlow/libsrlow/SRObject.c:
	(get_selected_text_from_flows_to):
	(get_selected_text_from_flows_from):
	(get_flows_to):
	(get_flows_from):
	Added.
	(sro_text_get_selections):	

	Report selected text contained in multiple paragraphs.
	(Fix for bug #136161)

2006-02-08 Oana Serb <os@baum.ro>. Patch from Ed Catmur <ed@catmur.co.uk>

	* configure.in:
	* braille/libbrl/Makefile.am:
	* brlmon/Makefile.am:
	* gnopi/Makefile.am:
	* srcore/Makefile.am:
	Use $(sysconfdir)/$(sysconfsubdir) in Makefiles.
	(Fix for bug #324283)

2006-02-08 Remus Draica <rd@baum.ro>

	* magnifier/libmag/mag.[ch]:
	(mag_zoomer_set_ZP_extents):
	Added.

	* magnifier/libmag/mag.c:
	(mag_zoomer_set_ZP_extents_left):
	(mag_zoomer_set_ZP_extents_top):
	(mag_zoomer_set_ZP_extents_width):
	(mag_zoomer_set_ZP_extents_height):
	Do not call magnifier_set_target.

	* magnifier/libmag/magxml.c:
	Retain if one of placement coordinates (top, left etc) change and call
	mag_zoomer_set_ZP_extents once when all are set internally.

	bug #321683.

2006-02-08 Remus Draica <rd@baum.ro>

	* gnopi/gnopi.c:
	(main): force GUI to start in source display if magnifier is on (by adding
	 --display=source to command line parameters (bug #323645).

2006-02-07 Oana Serb <os@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Fixed a compile error. Function srl_get_focused_from_acc () 
	was called before its definition.
	(Fix for bug 330160)

2006-02-06 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_set_acc): set as source of event the focused cell in case
	of focus for tables (bug #318541).

2006-02-06 Oana Serb <os@baum.ro>

	* srcore/srctrl.c:
	Correct report for "goto first"/"goto last" in flat review mode.
	Fix for bug #328433.
	
	* srcore/srspc.c:
	Report "tab" key.
	Fix for bug #328579.
	
	Fixed gnopernicus compilation on Cygwin. (fix for bug #320120)
	Patch from Cygwin Ports maintainer.

2006-01-30 Remus Draica <rd@baum.ro>
	
	* configure.in:
	Updated to vesion 1.0.1.
	
	* NEWS:
	Updated.

2006-01-03  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: remove unused --enable-gconf-source
	option

	* schemas/Makefile.am: use $GCONF_SCHEMA_CONFIG_SOURCE
	which is set by AM_GCONF_SOURCE_2

2005-12-14  Sunil Mohan Adapa  <sunil@atc.tcs.co.in>

	* configure.in: Added "te" to ALL_LINGUAS.

2005-12-13  Theppitak Karoonboonyanan  <thep@linux.thai.net>

	* configure.in: Added 'th' (Thai) to ALL_LINGUAS.

2005-12-09 Dragan Sarbut <ds@baum.ro>
	
	* configure.in:
	Updated to vesion 1.0.0.
	
	* NEWS:
	Updated.

2005-12-09 Oana Serb <os@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Added presentation for paragraphs.
	(Fix for bug #321161)

2005-11-29 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/screen-review.c:
	Do not report "----" as text for some kind of objects (bug fix #316696).

2005-11-29 Remus Draica <rd@baum.ro> patch from Julio M. Merino Vidal <jmmv@NetBSD.org>

	* configure.ac:
	* brlmon/Makefile.am:
	* gnopi/Makefile.am:
	* srcore/Makefile.am:
	* braille/libbrl/Makefile.am:
 	Centralize the set up of the configuration directory in the configure
 	script by adding a --with-sysconfsubdir argument that lets the user
 	tune the 'gnopernicus-1.0' subdirectory name.  Change the Makefile.am
 	files to use the new $(gnopernicusconfdir) variable (bug fix #318928). 

2005-11-29 Remus Draica <rd@baum.ro>

	* autogen.sh:
	Change to request automaek 1.8 version (bug fix #306920).

2005-11-22 Dragan Sarbut <ds@baum.ro>

	* srcore/srmag.c:
	Fixed SORTED_ON_COORD macro used to validate magnifier 
	zp values at init. Fix for bug #320640.

2005-11-22 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Report active child of a tree when move to tree (bug fix #172081).

2005-10-26 Remus Draica <rd@baum.ro>
	
	* gnopi/gnopi_files/*.glade2:
	Remove the hard-coded values for border_with and border_height.
	(bug fix #319582)

2005-10-11 Remus Draica <rd@baum.ro>
	
	* configure.in:
	Updated to vesion 0.12.0.
	
	* NEWS:
	Updated.

2005-10-11 Remus Draica <rd@baum.ro>

	* gnopi/Makefile.am:
	Add definition for gnopernicus icon path.
	* gnopi/gnopi.c:
	Set icon for all gnopernicus windows.
	
	Fixes #314417.

2005-10-11 Oana Serb <os@baum.ro>

	* schemas/gnopernicus.schemas:
	Added braille 'port' key in schemas.
	Fix for bug #318449.

2005-09-29 Oana Serb <os@baum.ro>

	* gnopi/cmdmapui.c:
	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* srcore/srmain.c:
	* srcore/srspc.c:
	Fixed translation for some strings.
	Fix for bug #309039.

2005-09-26 Remus Draica <rd@baum.ro> patch from Dave Mielke <dave@mielke.cc>

	* braille/libbrl/ttybrl.c:
	Changes to meet last brltty version.

2005-09-22 Oana Serb <os@baum.ro>

	* gnopi/spconf.c:
	Removed spconf_dictionary_modify_word function.
	* gnopi/spdictui.c:
	Corrected the code for modifing dictionary words.
	Fix for bug #303609.

2005-09-21 Oana Serb <os@baum.ro>

	* srcore/srmain.c:
	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Added presentation for objects with "password-text" role.
	Fix gor bug #307561.

2005-09-21 Remus Draica <rd@baum.ro> patch from Samuel Thibault <samuel.thibault@ens-lyon.org>

	* braille/libbrl/ttybrl.c:
	(brltty_brl_glib_cb):
	Map more brltty commands to gnopernicus commands. (fix #310573).

2005-09-21 Remus Draica <rd@baum.ro> patch from Samuel Thibault <samuel.thibault@ens-lyon.org>

	* braille/libbrl/ttybrl.c:
	(brltty_brl_glib_cb):
	Return FALSE if brlapi_readKey fails to read from the conection
	to brltty. (fix #314551).

2005-09-14 Oana Serb <os@baum.ro> Patch from Dragan Sarbut <ds@baum.ro>

	* gnopi/magui.c:
	Added signal functions:  magui_zoomfactor_lock_toggled (), 
	magui_zoomfactor_x_value_changed (), magui_zoomfactor_y_value_changed ().
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Added signals.
	(Fix for bug #306864)

2005-09-09  Roozbeh Pournader <roozbeh@farsiweb.info>

	* configure.in: Added 'fa' (Persian) to ALL_LINGUAS.

2005-09-05 Dragan Sarbut <ds@baum.ro>
	
	* configure.in:
	Updated to vesion 0.11.6.
	
	* NEWS:
	Updated.

2005-09-01  Ignacio Casal Quinteiro  <nacho.resa@gmail.com>

	* configure.in: Added 'gl' to ALL_LINGUAS

2005-08-31 Oana Serb <os@baum.ro>

	* braille/libbrl/ttybrl.c:
	brltty_brl_glib_cb ()
	brltty_brl_open_device ()
	Fixed some marked strings for translation.
	
	* braille/test/remote.c:
	* braille/test/tester.c:
	Modify the type of a function argument from 'int' to 'char*'.
	
	(Fixes for bug #314824 and #314924)

2005-08-29 Dragan Sarbut <ds@baum.ro>
	
	* configure.in:
	Updated to vesion 0.11.5.
	
	* NEWS:
	Updated.

2005-08-22 Olaf Heiring <olh@suse.de>

	* srlow/libsrlow/screen-review.c (srw_elements_from_accessible):
	fixed comparison being always true due to limited range of data
	type.

2005-08-22 Remus Draica <rd@baum.ro>

	* braille/libbrl/braille.c:
	(supported_devices):
	Add BRLTTY device to devices list only if brltty is present at compile
	time.

	* gnopi/brlui.c:
	If current braille device is no longer available
	set the combo text to "<none>".

	Fixes for bug #313737.

2005-08-22 Oana Serb <os@baum.ro>

	* braille/libbrl/ttybrl.c:
	* srcore/srspc.c:
	Mark some strings for translation.
	(Fix for bug #309039)

2005-08-22 Remus Draica <rd@baum.ro>

	* braille/libbrl/Makefile.am:
	Remove definitions for TTYNAME[0...4].

	* braille/libbrl/alvabrl.[ch]:
	(alva_brl_open_device):
	* braille/libbrl/baumbrl.[ch]:
	(baum_brl_open_device):
	* braille/libbrl/ecobrl.[ch]:
	(eco_brl_open_device):
	* braille/libbrl/handybrl.[ch]:
	(handy_brl_open_device):
	* braille/libbrl/braille.[ch]:
	(brl_open_device):
	* braille/libbrl/brlxml.c:
	* braille/libbrl/brlxmlapi.c:
	(brl_xml_init):
	Change port type from number to string.

	* braille/libbrl/sercomm.[c.h]:
	(brl_ser_open_port):
	Change port type from number to string. Also remove the code which makes
	the corespondence between the numner and the string for port.

	* gnopi/brlconf.[ch]:
	Add a new field (port) to Braille struct and set it when change from UI.

	* srcore/Makefile.am:
	Add definitions for TTYNAME[0...4].

	* srcore/srbrl.[ch]:
	* srcore.srmain.c:
	Add support to handle the new possible string value for port

	Fixes for bug #308383.

2005-08-22 Oana Serb <os@baum.ro>

	* magnifier/libmag/mag_ctrl.c:
	Removed mag_rect_clip_to_source () function.
	(Fix for bug #314145)

2005-08-18 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_present_crt_window):
	Present "switch to" message with a higher priority.
	(Fix for bug #300498).

2005-08-18 Oana Serb <os@baum.ro>

	* srcore/srspc.c:
	Set correctly the parameters for a new added voice.
	(Fix for bug #308514).

2005-08-08 Dragan Sarbut <ds@baum.ro>
	
	* configure.in:
	Updated to vesion 0.11.4.
	
	* NEWS:
	Updated.

2005-08-05 Dragan Sarbut <ds@baum.ro>
	
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2:
	    * Added 2 new widgets to let the user specify the port manually.
	* gnopi/brlui.c:
	    * Added signal functions for the new widgets.
	Fix for bug #308383. 
	This patch is just the UI change approved by the release-team. The code
	behind it will come soon.

2005-07-26 Behdad Esfahbod <gnome@behdad.org>

	* braille/libbrl/brlxml.c:
	* gnopi/gnopi.c:
	* srcore/srbrl.c:
	* srcore/srmain.c
	* srlow/libsrlow/SRObject.c:
	Build sheriff: C89 build fixes.
	(Fix for bug #308469)

2005-07-25 Dragan Sarbut <ds@baum.ro>
	
	* configure.in:
	Updated to vesion 0.11.3.
	
	* NEWS:
	Updated.

2005-07-25 Oana Serb <os@baum.ro>. Patches from Alexandra Telescu <at@baum.ro>

	* braille/libbrl/baumbrl.c:
	* braille/libbrl/braille.c:
	Added suport for BAUM PocketVario24 and BAUM SuperVario40.
	(Fix for bug #307713)
	
	All files have their copyright updated to include "2005".
	(Fix for bug #308500)

2005-06-27 Oana Serb <os@baum.ro>

	* srcore/srspc.c:
	Added translation for punctuation signs.
	(Fix for bug #306119)	
	
	* speech/libsrs/srs-speech.c:
	Added speech for upper case.
	(Fix for bug #303930)
	
	* srconf/libsrconf/libsrconf.h:
	Minimum value for speech rate is modified to 30. 
	(Fix for bug #172367. Patch from Pascal Oliva <pascal.oliva@bull.net>)

2005-06-23 Dragan Sarbut <ds@baum.ro>
	
	* srlow/libsrlow/SRLow.c:
	Limit the search to at most SRL_MAX_CHILDREN_CNT cells, in  case we get pathological start/end row/col
	or have a large screen with a tiny spreadsheet with a gazillion showing cells
	
	* srlow/libsrlow/SRObject.c:
	If this table cell/line implements AccessibleText, use that & the name...
	Fix for bug #306902
	
	* configure.in:
	Updated to vesion 0.11.2.
	
	* NEWS:
	Updated.

2005-06-06 Dragan Sarbut <ds@baum.ro>
	* srcore/srspc.c:
	(src_speech_terminate):
	Removed the lines that restart the speech.
	Fix for bug #305954.

2005-05-25 Oana Serb <os@baum.ro>. Patch from Adam Weinberger <adamw@gnome.org>

	* speech/libsrs/srs-speech.c:
	Added a comment for translators.
	(Fix for bug #301934)

2005-05-19 Oana Serb <os@baum.ro>

	* srlow/libsrlow/SRLow.c:
	'active-descendant-changed' event is changed into a gnopernicus 'focus'
	event only if the event is for a focused ancestor.
	(Fix for bug #171232)

2005-05-18 Remus Draica <rd@baum.ro>

	* configure.in:
	Updated to vesion 0.11.1.
	
	* NEWS:
	Updated.

2005-05-18 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_get_focused_cell): Added. It is used to get the focused cell if
	table doesn't contain any selected cell.
	(srle_set_acc): use srl_get_focused_cell.

	Fixes bug # 303636.

2005-05-18 Remus Draica <rd@baum.ro>

	* speech/libsrs/srs-gs.c:
	* speech/libsrs/srs-speech.c:
	* srcore/srspc.c:
	If a gnome-speech speaker is not created, the error is reported 
	to the caller. Also, the speech is considered initialized only if,
	at least, dfault voice is created.

	Fixes bug #304449;

2005-05-18 Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	For a table line, report if it is unselected when gets focused.
	Also present transitions from/to selected to/from unselected.
	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Report selection changed events for current table line.

	Fixes bug #303637.

2005-05-17 Remus Draica <rd@baum.ro>

	* NEWS: updated.

2005-05-16 Dragan Sarbut <ds@baum.ro>

	* srcore/srpres.c:
	(src_presentation_sro_get_pres_for_magnifier):
	If the object's size is larger or equal to the desktop size, 
	it will not be presented to the magnifier.
	(Fix for bug # 303261)

2005-05-13 Remus Draica <rd@baum.ro>

	* srcore/srmian.c:
	(context_switched):
	Added. The speech output will be interrupted on second event
	after a context-switched event.
	(bug #170551).

	* srlow/libsrlow/SRLow.c:
	(srl_notify_clients_obj):
	Set last table on NULL one block out. A wrong applied patch.
	(bug #166065).

2005-05-13 Oana Serb <os@baum.ro>. Patch from Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	* srlow/libsrlow/SRLow.c:
	Report expanding for a tree expandable item.
	(fix for bug #172083)

2005-05-10 Remus Draica <rd@baum.ro>

	* configure.in:
	Updated to vesion 0.11.0.

2005-05-04 Remus Draica <rd@baum.ro>

	* gnopi/Makefile.am:
	(EXTRA_DIST):
	Add gnopernicus-mag-config.

2005-05-04 Remus Draica <rd@baum.ro>

	* configure.in:
	Updated to vesion 0.10.9.
	
	* NEWS:
	Updated.

2005-05-04 Remus Draica <rd@baum.ro>

	* speech/libsrs/srs-gs-wrap.[c,h]:
	* speech/libsrs/srs-gs.[c,h]:
	* speech/libsrs/srs-speech.[c,h]:
	* speech/libsrs/srs-xml.[c,h]:
	Add a new callback at init time which will be called in case of errors.

	* speech/test/tester.c:
	Changed according with the new API.

	* srcore/srspc.c:
	In case of an speech error, restart the speech module.

	Fixes bug #302253.

2005-04-29 Dragan Sarbut <ds@baum.ro>

	* configure.in:
	Updated to vesion 0.10.8.
	
	* NEWS:
	Updated.

2005-04-27 Remus Draica <rd@baum.ro>

	* configure.in:
	Add --enable-debug option.
	* srcore/srmain.c:
	Initialize and terminate the debug module.
	* srcore/srspc.c:
	Use the log facility for XML strings sent to speech.
	* srutil/Makefile.am:
	Add the new files.
	* srutil/sru-debug.[ch]:
	Added.

	Fixes for bug #171194.

2005-04-26 Dragan Sarbut <ds@baum.ro>
	
	* gnopi/gnopernicus-mag-config:
	Added this script to set/reset common magnifier options.
	Run without parameters to get the help displayed.
	The script will be installed in $prefix.
		
	* gnopi/Makefile.am:
	Modified to install the script.
	Fix for bug #300178

2005-04-26 Oana Serb <os@baum.ro>

	* gnopi/gnopi_files/about.glade2:
	Used 'translator-credits' instead of 'translator_credits'.
	(Fix for bug #300963)

2005-04-26 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_login_focus):Added.
	(src_init): Add an idle to present focus if launched with --login.
	(fix for bug #300345).

	(src_present_real_sro_for_speech):
	Present text-insert events for terminal with a lower priority.
	(fix for bug #300191).

2005-04-25 Oana Serb <os@baum.ro>

	* speech/libsrs/srs-speech.c:
	* srutil/srintl.h:
	Phonetic alphabet strings are marked with _Q().
	(Fix for bug #169117)

2005-04-20 Remus Draica <rd@baum.ro>

	* configure.in:
	Updated to vesion 0.10.7.
	
	* NEWS:
	Updated.

2005-04-19 Oana Serb <os@baum.ro>

	* schemas/gnopernicus.schemas:
	Added 'level' voice.
	(Fix for bug #172207)

2005-04-07 Dragan Sarbut <ds@baum.ro> patch from Ada Telescu & Oana Serb
	
	*  gnopi/magui.c:
	Signals from the "Magnifier Settings" dialog were removed.
	This dialog was made "not instant apply".
	The old signal callbacks were renamed to be more explicit.
	
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	The singals that made controls on this window "instant apply" 
	were removed.
	
	* README:
	Updated, mantioning that the "Magnifier Settings" dialog
	is not instant apply.
	Fix for bug #168761.

2005-04-06  Ahmad Riza H Nst  <ari@160c.afraid.org>

	* configure.in: Added id (Indonesian) to ALL_LINGUAS line.

2005-04-06 Dragan Sarbut <ds@baum.ro>

	* configure.in:
	Updated to vesion 0.10.6.
	
	* NEWS:
	Updated.

2005-04-06 Oana Serb <os@baum.ro>. Patch from Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Check if the object has 'ACTIVE' state for a 'FOCUS' event.
	Fix for bug #171865.

2005-04-05 Oana Serb <os@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(get_role_from_acc):
	Objects with 'list' and 'table' roles are reported correctly.
	Fix for bug #171564.

2005-04-01  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne in ALL_LINGUAS

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-23 Remus Draica <rd@baum.ro>

	* configure.in:
	Updated to vesion 0.10.5.
	
	* NEWS:
	Updated.

2005-03-23 Remus Draica <rd@baum.ro>

	* configure.in:
	Add definitions for TTYNAME_2 and TTYNAME_3.
	* braille/libbrl/Makefile.am:
	(INCLUDES):
	Add definitions for TTYNAME2 and TTYNAME3.
	* braille/libbrl/sercomm.c:
	(brl_ser_open_port):
	Start with port 0 and add the new added ports.
	* gnopi/brlui.c:
	Add "none" and added ports to the list of ports.
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2:
	Change the port spin button into a combo because now "none" is an option.
	* schemas/gnopernicus.shemas:
	Set BRLTTY as default braille driver and -1 ("none") as default port.
	* srconf/libsrconf/libsrconf.h:
	Change the minimum and maximum values allowed for port.
	* srcore/srbrl.c:
	(src_braille_restart):
	Initialize the device even if that failed before.
	* srcore/srbrl.c:
	(src_braille_load_defaults):
	* srcore/srmain.c:
	Changes to handle the new -1 ("none") port value.

	Fixes bug #167221.

2005-03-23 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_present_crt_window):
	Make context-switched events interruptible. (bug #170551).
	(src_present_real_sro_for_speech):
	Remove the check for context-switched because those events are considered
	as window events.

2005-03-22 Oana Serb <os@baum.ro>. Patch from Samuel Thibault <samuel.thibault@ens-lyon.org>

	* configure.in:
	Added gtk and libgnome packages.
	* braille/libbrl/ttybrl.c:
	Use brlapi_perror for error reporting. 
	Detect virtual console used by BrlTTY using atoms.
	(bug fix #169519)

2005-03-22 Oana Serb <os@baum.ro>. Patch from Alexandra Telescu <at@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_text_from_acc):
	Invisible toggle buttons from presentation.
	(bug fix #167580).

2005-03-22 Remus Draica <rd@baum.ro> 

	* srcore/srmain.c:
	Do not report any event while mose is moving (bug #142529).
	(Partial fix from Bill Haneman <bill.haneman@sun.com>)

2005-03-22 Oana Serb <os@baum.ro>

	* gnopi/spvoiceui.c:
	(spui_voice_add_modify_new_speaker_settings_get):
	The voice name and voice name description are correctly get
	(bug fix #170561).

2005-03-21 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Retain if an object has or not CHECKED state, and report 
	state-changed:checked for radio-buttons only if this is a transition
	from unchecked to checked (bug #141476).
	Set to NULL last-table when focus for another object is received
	(bug #166065).

2005-03-16 Remus Draica <rd@baum.ro>. Patches from Oana Serb <os.baum.ro>

	* gnopi/spconf.c:
	* gnopi/spconf.h:	
	Added spconf_key_is_valid (), spconf_voice_list_get_default_voice () and
	spconf_driver_list_get_default_driver ().
	
	* gnopi/spvoiceui.c:
	Added spui_voice_add_modify_et_gnopernicus_voice_insert_text ().
	(spui_voice_add_modify_properties_get):
	(spui_voice_add_modify_handlers_set):
	The name of the new inserted voice is validated (bug fix #169711).
	(spui_voice_settings_button_add_clicked):
	The default settings for a new added voice are correctly set 
	(bug fix #150955).

2005-03-14 Remus Draica <rd@baum.ro>

	* gnopi/spvoiceui.c:
	(sp_curr_speaker_setting):
	(sp_curr_gnopernicus_speaker):
	Set to NULL when removed from apropiate list (bug fix #169840).

2005-03-07 Dragan Sarbut <ds@baum.ro>

	* configure.in:
	Updated to vesion 0.10.4.
	
	* NEWS:
	Updated.

2005-02-28 Dragan Sarbut <ds@baum.ro>
	
	* configure.in:
	Updated to version 0.10.3.
	* NEWS:
	Updated.

2005-02-28 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_report_obj_event_to_clients):
	Report an event only if no event with higher priority is present
	(bug #157958).

	* srcore/srmain.c:
	(src_present_real_sro_for_brl_and_brlmon):
	Present an event for a watched object for braille only if speach and
	magnifier are off.
	(src_present_real_sro_for_magnifier):
	Present an event for a watched object for magnifier only if speach
	is off.
	(Fixes for bug #144008).

	* srcore/srmain.c:
	(src_process_modifier, src_process_key, src_process_cursor):
	* kbd_mouse/libke/libke.c:
	(ke_return_keystring, keyecho_keysym):
	Added 'Window' and 'Menu' keys.
	Fixes for bug #153409. (Patch from Oana Serb <os@baum.ro>).

	* braille/libbrl/baumbrl.c:
	* braille/libbrl/braille.c:
	Added PRONTO device (bug 163576).

2005-02-28 Dragan Sarbut <ds@baum.ro>
	
	* srlow/libsrlow/SRObject.c:
	(sro_text_get_location):
	Improved function to increase roi size. When we are in focus tracking
	auto mode, one character before and one after the caret are shown.
	Fix for bug (#161254).

2005-02-15 Remus Draica <rd@baum.ro>

	* braille/libbrl/ecobrl.c: (patch from Matthias Clasen <mclasen@redhat.com>)
	(eco_brl_input_parser):
	Increase size of sendbuffer (bug #165512).

	* schemas/brlmonitor.schemas:
	Change the number of cells for japanesse (bug #154161).

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Change presentation for windows/desktop switches (bug #135242).

	* srlow/libsrlow/SRObject.c:
	(sro_get_text_with_flows_relation):
	Added.
	(sro_text_get_text_from_caret):
	Use sro_get_text_with_flows_relation function to get current line.
	Fixes for bug #160706.

2005-02-14 Dragan Sarbut <ds@baum.ro>
	
	* configure.in:
	Updated version to 0.10.2.
	
	* NEWS:	
	Updated.

2005-02-11 Remus Draica <rd@baum.ro>

	* srcore/srmian.c:
	(src_present_real_sro_for_speech):
	Report event generated by alt-tab/alt-ctrl-tab with higher priority
	(bug #157353).

2005-02-07 Dragan Sarbut <ds@baum.ro>
	
	* configure.in:
	Updated version to 0.10.1.
	
	* NEWS:	
	Updated.

2004-01-21 Remus Draica <rd@baum.ro> patch from Oana Serb <os@baum.ro>

	* help/braille_monitor/C/brlmonitor-C.omf:
	* help/braille_monitor/es/brlmonitor-es.omf:
	Fix the lines containing an "F" at the beginning.

2005-01-21 Dana Ormenisan <do@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Add presentation for "object:context-switched" event for 'table' and
	'tree-table' role.
	* srlow/libsrlow/SRLow.c:
	(srl_get_context):
	Changed to present the general information for a table (when focus
	is moved to the table from another widget) as a context information.
	
	Fixes for bug #163684.

2004-01-18 Remus Draica <rd@baum.ro>

	* configure.in:
	Update versions of libraries needed by gnopernicus (bug #157434).

	* braille/libbrl/sercomm.c:
	* gnopi/cmdmapui.c:
	* gnopi/gnopi.c:
	Fix some compile warnings (some are bug #164437).

2005-01-17 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_set_acc):
	* srlow/libsrlow/SRObject.c:
	(sro_get_cell):
	Changed to take the first SPI_STATE_SELECTED cell which is showing and 
	visible as the current cell if there is no SPI_STATE_FOCUSED cell in 
	that table.
	
	Fixes for bug #163949.

2005-01-17 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_is_word_navigation):
	Changed to report the whole line when navigating from a
	single-word line.
	
	Fixes for bug #153410.

2005-01-13 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(get_text_attributes_from_range):
	Changed to prevent the blocking in the loop if 
	AccessibleText_getAttributes returns wrong values.
	
	Fixes for bug #161810.

2005-01-10 Dragan Sarbut <ds@baum.ro>
	
	* srcore/srmain.c:
	(src_present_crt_window):
	Included window:rename.
	* srcore/srspc.h:
	Added speech priority low.
	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Do not report window:activate and window:restore 
	events for last created window.
	Fix for bug #158707.
	* configure.in:
	Upgraded to version 0.10.0.
	* NEWS:
	Updated.

2005-01-10 Dana Ormenisan (patch from Juan Ramon Jimenez Garcia <jjig@once.es>)

	* braille/libbrl/braille.c:
	* braille/libbrl/Makefile.am:
	* braille/libbrl/sercomm.c:
	* braille/libbrl/sercomm.h:
	Changed to provide support for Eco braille devices.
	
	* braille/libbrl/ecobrl.c:
	* braille/libbrl/ecobrl.h:
	Added to provide a driver for Eco braille devices.
	
	Fixes for bug #163115.

2005-01-05 Dragan Sarbut <ds@baum.ro>
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Changed Checkbox label and tooltip from "Count characters" to
	"Count Symbols".
	Patch for bug #162381

2004-12-17 Dana Ormenisan (patch from Ada Telescu <at@baum.ro>)

	* gnopi/gnopi.c:
	(gn_check_accessibility_key):
	Changed to provide an ATK_ROLE_ALERT role for the dialogs asking to 
	set the accessiblility key and to reboot the computer.
	
	Fixes for bug #159423.

2004-14-10 Dragan Sarbut <ds@baum.ro>
	
	* gnopi/magui.c:
	(magui_taget_changed):
	(magui_source_changed):
	Renamed to (magui_set_source_screen) / (magui_set_target_screen) and
	modified to check the validity of the screens.
	(magui_check_for_valid_screen):
	Added this function to check the validity of the chosen screen.
	(magui_set_handlers_magnification_option):
	Removed glade_xml_signal_connect to the source/target setting functions.
	(magui_magnification_options_response):
	Added cases for when the user presses "OK" and "Apply" buttons.

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Added "OK" and "Apply" buttons. 
	Removed text-changed signal for source and target gtk_entrys.
	The source/target screens will change ONLY when the user hits "Apply" 
	or "OK".
	
	Fixes for bugs: #159334, #159335, #153622.

2004-14-10 Dragan Sarbut <ds@baum.ro>
	
	* srlow/libsrlow/SRObject.c:
	(sro_text_get_caret_location):
	Fixed so that when text is inserted in a widget, the magnifier will 
	display	the caret correctly at focus tracking.
	Fix for bug #160821.

2004-12-10 Irene Ryan <irene.ryan@sun.com>

	* help/gnopernicus/C/gnopernicus.xml: updated manual
	* help/gnopernicus/C/gnopernicus-C.omf: updated OMF
	  with latest revision numbers and dates
	* help/gnopernicus/C/figures/gnopernicus.png: latest screenshot

2004-12-09 Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Present the difference in case of terminal and text-insert event.

	* srcore/srmain.c:
	(src_present_real_sro_for_speech):
	In case of terminal, do not shut up previous output.

	* srcore/srspc.c:
	(src_speech_shutup):
	Free items' list waiting to be spoken.

	Fixies for bug #157786.

2004-12-08 Dana Ormenisan <do@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Changed the presentation for 'object:property-changed:accessible-content'
	event for 'combo box' role to present also the name of the combo box.
	
	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Changed the name report for SR_ROLE_COMBO_BOX:
	 - for combo boxes which don't implement AtkText, associate label (if exists)+
	   AccessibleName (if exists) will be reported as name;
         - for combo boxes which implement AtkText, if there is an associate label 
	   it will be reported as name, otherwise the AccessibleName will be reported.

	Fises for bug #158055. 

2004-12-08 Remus Draica <rd@baum.ro>

	* gnopi/gnopi.c:
	(main):
	Start srcore process before UI interface (fix for #152147).

2004-12-07 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/screen-review.c:
	(srw_boundary_rect_new0):
	(srw_boundary_rect_clone):
	(srw_boundary_rect_free):
	(screen_review_init):
	Changed to define a clip_bounds for SPI_LAYER_INVALID widgets.
	
	Fixes for bug #160064.

2004-12-06 Remus Draica <rd@baum.ro>

	* configure.in:
	(with_brltty_prefix): Do not set it if prefix is none or NONE.

	* braille/libbrl/ttybrl.c: (patches from samuel.thibault@ens-lyon.org)
	(brltty_brl_send_dots):
	Send content of sendbuff instead of dots.
	(brltty_brl_open_device):
	Use brlapi error messages.

	Fixies for bug 156463.

2004-11-30 Dana Ormenisan <do@baum.ro>

	* srcore/srpres.c:
	(src_presentation_get_info_from_sro):
	Changed to present the entire line (instead of presenting a single character)
	if caret was increasing with 1 but the line was changed.
	
	Fixes for bug #153410.

2004-11-30 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_get_context):
	Changed to include SPI_ROLE_PANEL as a container child.
	
	Fixes for bug #158429.

2004-11-22 Dana Ormenisan <do@baum.ro>

	* srcore/srmain.c:
	(src_present_real_sro_for_speech):
	Changed to interrupt the speech output in case of 'focus:' event for
	SPI_ROLE_STATUS_BAR.
	
	Fixes for bug #157935.

2004-11-10 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_present_real_sro_for_speach):
	Present objects in case of "object:context-switched" events.

	* srlow/libsrlow/SRLow.[ch]:
	(srl_is_object_focused):
	Added.

	Fixies for bug #156466.

2004-11-10 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/screen-review.c:
	(pixels_per_line):
	Do not let it to be lower than a minimum value (bug #157730).

2004-11-05 Remus Draica <rd@baum.ro>

	* speech/libsrs/srs-speech.c:
	(srs_sp_clb):
	Report speech progress markers only if the client of speech library
	is interested in them (bug #157262). 

2004-11-05 Dana Ormenisan <do@baum.ro>  (patch from <padraig.obriain@sun.com>)

	* gnopi/gnopi.c:
	(main):
	Changed to avoid the at-spi-registryd core dump if accessibility support
	is enabled via gnopernicus.
	
	Fix for bug #152147.

2004-11-05 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_is_word_navigation):
	Changed to not provide a word-by-word navigation if the current 
	reported word is not on the current line.
	
	Fix for bug #153410.

2004-11-05 Remus Draica <rd@baum.ro>

	* configure.in:
	Check if brltty is installed. Add --with-brltty-dir parameter to allow
	user to specify where brltty is installed.

	* braille/libbrl/Makefile.am:
	* braille/test/Makefile.am:
	* srcore/Makefile.am:
	Add brltty dependencies.

	* braille/libbrl/braille.c:
	Replace __BRLTTY_SUPPORT__ with BRLTTY_SUPPORT.

	* braille/libbrl/ttybrl.c:
	Changes according with brltty version 3.6 API changes.

	Fixies for bug 156463.

2004-11-05 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_set_acc):
	(srle_change_type):
	Present current selected icon for layered-pane objects (#149146).

2004-10-13 Dana Ormenisan <do@baum.ro> (patch from Remus Draica <rd@baum.ro>)

	* speech/libsrs/srs-gs.c:
    	(srs_gs_callback):
	Changed to remove information from queue (srs_gs_outs) for an end of
	speech marker only if the marker is for text for which information is.
	
	Fix for bug #154250.

2004-10-12  James Henstridge  <james@jamesh.id.au>

	* configure.in: only call AC_PROG_INTLTOOL once.  Fixes a build
	failure with the latest intltool.

2004-10-06 Dragan Sarbut  <ds@baum.ro>

	* po/ro.po:
	Fixed error that happened at build time.

2004-10-05 Remus Draica <rd@baum.ro>

	* configure.in:
	Add ro to ALL_LINGUAS.

2004-10-05 Remus Draica <rd@baum.ro>

	* srcore/srbrl.c:
	Handle more signal which may be sent to srcore.
	Extension for bug #145206.

2004-10-05 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_present_real_sro_for_speech):
	Check if event is for watched object in case it doesn't have 
	FOCUSED state.

	* srlow/libsrlow/SRLow.[ch]:
	(srl_is_object_watched):
	Added.

	Fixies for bug #153920.

2004-10-05 Remus Draica <rd@baum.ro>

	* gnopi/Makefile.am:
	(EXTRA_DIST):
	Add destop_in_files to dist instead of desktop_DATA.

	* srcore/Makefile.am:
	(xml_in_files):
	Add verbose.xml.in instead of verbose.xml.

2004-10-01 Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Add presentation for tool-bar, for object:context-switched, for speech.

	* srlow/libsrlow/SRLow.c:
	(srl_get_context):
	Check if current object has as ancestor an object with role tool-bar.

	Fixies for bug #144315.

2004-09-28 Remus Draica <rd@baum.ro>

	* srcore/srpres.c:
	Retain for presentation only nodes in current language.
	Fix for #152707.

2004-09-28 Remus Draica <rd@baum.ro>

	* srcore/srbrl.c:
	(src_brlmon_send):
	(src_braille_send):
	* srcore/srmag.c:
	(src_magnifier_send):
	* srcore/srpres.c:
	(src_speech_send):
	Change the message in case invalid UTF-8 strings.

	* srcore/srmain.c:
	(src_xml_process_string):
	Allow '\t' and '\n' to be send to gnopernicus modules.

	Fixies for bug #150073.

2004-09-27 Remus Draica <rd@baum.ro>

	* srcore/srbrl.c:
	(src_braille_exited):
	Added.
	(brl_mon_run_process):
	Add a signal handler for SIGTERM.

	Fixies for bug #145206.

2004-09-24 Dana Ormenisan <do@baum.ro> (patch from <heikki.tauriainen@hut.fi>)

	* srcore/srmain.c:
	Define login_time in srmain.c. This change will allow to build gnopernicus
	with '-fno-common' option.
	
	Fixies for bug #153057.

2004-09-23 Dana Ormenisan <do@baum.ro> (patch from <padraig.obriain@sun.com>)

	* autogen.sh:
	* configure.in:
	* xmldocs.make:
	* braille/libbrl/Makefile.am:
	* docs/Makefile.am:
	* kbd_mouse/libke/Makefile.am:
	* magnifier/libmag/Makefile.am:
	* speech/libsrs/Makefile.am:
	* srconf/libsrconf/Makefile.am:
	* srlow/libsrlow/Makefile.am:
	* srutil/Makefile.am:
	Changed to use version 1.7 of autotools.
	
	Fixies for bug #145019.

2004-09-23 Remus Draica <rd@baum.ro>

	* gnopi/magui.c:
	(magui_set_zoomfactor_x):
	Remove a message about changing the value for zoomfactor.

	* magnifier/libmag/mag_ctrl.c:
	Check environment variable for all CORBA and bonobo calls 
	(fix for #152745).

2004-09-22 Dana Ormenisan <do@baum.ro>

	* srcore/srctrl.c:
	(src_present_line_for_speech):
	Changed to not ignore the delimiter cells. A space will be insert in the
	string which will be sent to speech for a SRW_DELIMITER_CELL. 
	
	* srlow/libsrlow/screen-review.c:
	Change the maximum value for 'pixels_per_column' to 10000, instead of 
	G_MAXINT.
	(srw_text_chunk_from_accessible):
	Changed to set pixels_per_column if the current Accessible object is not 
	a text object.
	
	Fixies for bug #149788.

2004-09-17 Remus Draica <rd@baum.ro>

	* srcore/srbrl.c:
	(src_brlmon_send):
	(src_braille_send):
	* srcore/srmag.c:
	(src_magnifier_send):
	* srcore/srspc.c:
	(src_speech_send):
	Avoid to send the XML string to apropiate module if it is not a valid
	UFT-8 string.

	* srcore/srmain.c:
	(src_xml_process_string):
	Check if string contains only valid XML characters ans use GString for
	concatenation.

	* srcore/srpres.c:
	(src_presentation_get_info_from_sro):
	Check if information obtained is valid UTF-8 string.

	Fixies for bug #150073.

2004-09-13 Irene Ryan <irene.ryan@sun.com>

	* help/gnopernicus/C/gnopernicus.xml, gnopernicus-C.omf
	Minor updates to the help manual for the GNOME 2.8 release.

2004-09-13 Dragan Sarbut <ds@baum.ro>

	* configure.in:
	Update version to 0.9.11.
	
	* NEWS:
	Updated

2004-09-12  Abel Cheung  <maddog@linuxhall.org>

	* configure.in: Added "ru" "tr" "vi" "zh_TW" to ALL_LINGUAS and removed "ro".

2004-08-31 Remus Draica <rd@baum.ro>

	* speech/libsrs/srs-gs-wrap.c:
	(srs_gs_wrap_get_activated_server_from_server_info):
	Check the return value from GNOME_Speech_SynthesisDriver_driverInit.
	Fix for #150518.

2004-08-30 Dragan Sarbut <ds@baum.ro>

	* configure.in:
	Update version to 0.9.10.
	
	* NEWS:
	Updated
	
	* README:
	Updated the version of gnopernicus to 0.9.

2004-08-30 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/screen-review.c:
	(srw_text_chunk_from_accessible):
	Changed to 'read' a check box in flat review mode even if this object
	does not expose a Text interface.
	(Partial fix for bug #149789).

2004-08-27  Jayaradha  <njaya@redhat.com>

	* configure.in: Add ta to ALL_LINGUAS.

2004-08-27 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c,h:
	(sro_is_word_navigation):
	Added.
	
	* srcore/srpres.c:
	(src_presentation_get_info_from_sro):
	Changed to report only the word (and not the entire line) when user
	navigates word-by-word and caret moves to a new line inside the same
	paragraph.
	(Fixies for bug #149785).

2004-08-26 Dragan Sarbut <ds@baum.ro>
	
	* srcore/srctrl.c:
	(src_mag_lock_xy_scale):
	(src_mag_increase_y_scale):
	(src_mag_decrease_y_scale):
	(src_mag_increase_x_scale):
	(src_mag_decrease_x_scale):
	Changed zoom_factor type from gint to gdouble.
	Fix for bug #145258

2004-08-26 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRLow.c:
         A new Accessible object, srl_last_focus2, was added in order to keep
	 the last focused object until after the srl_event_is_reported call.
	 (srl_event_is_reported):
	 Changed to compare the source of a focus event for a 'page-tab' role
	 with srl_last_focus2 (instead of srl_last_focus).
	 (srl_set_last_focus2):
	 Added.
	 (srl_process_event):
	 Changed to set last_focus2.
	 (srl_init):
	 Changed to initialize srl_last_focus2.
	 (srl_terminate):
	 Changed to unref srl_last_focus2.
	 
	 (Fixies for bug #151114).

2004-08-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add «nb» to ALL_LINGUAS.

2004-08-18 Dana Ormenisan <do@baum.ro>

	* brlmon/brlmonui.c:
	(brlmon_cursor_pos):
	Correct a  warning message at run-time, when cursor position on brlmon
	is greather that brlmon size (no of cells).
	(Fixies for bug #150425).

2004-08-18 Remus Draica <rd@baum.ro>

	* speech/libsrs/srs-speech.c:
	(srs_sp_clb):
	Do not report any marker if at least one voice doesn't have them
	(fix for bug #15048).

2004-08-17 Dragan Sarbut <ds@baum.ro>
	
	* speech/libsrs/srs-gs.c:
	(srs_gs_speaker_init):	
	Added initialization for "speaker" member to NULL.
	Fix for bug #150377

2004-08-16 Dana Ormenisan <do@baum.ro>

	* srcore/srpres.c:
	(src_presentation_get_info_from_sro):
	Change to report 'value:crt' with two decimals if this is not 
	an integer value.
	(Fixies for bug #144582).

2004-08-16 Dragan Sarbut <ds@baum.ro>
	
	* gnopi/spvoiceui.c:
	(spui_voice_add_modify_set_ranges):
	Added this function to set the correct ranges for the volume, 
	rate & pitch spin_buttons and horizontal_scroll_bars when 
	"Add/Modify Voice " widget loads.

2004-08-16 Dana Ormenisan <do@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Change presentation for 'multi-line-text' role (for speech) to report 
	'empty line' in case of blank lines.
	(Fixies for bug #149782).

2004-08-16 Remus Draica <rd@baum.ro>

	* configure.in:
	Update version to 0.9.9.
	
	* NEWS:
	Updated

2004-08-12  Martin Willemoes Hansen  <mwh@sysrq.dk>

	* gnopi/gnopi_files/about.glade2: Fixed translation credits, now
	msgid translator_credits will show up for the translators to fill in.

2004-08-12 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Changed to not report 'object:text-caret-moved' if detail1 or detail2
	of the event source is -1.
	(Fixies for bug #149969.)

2004-08-11 Remus Draica <rd@baum.ro>

	* brlmon/Makefile.am:
	Install brlmon in libexec, not in bin directory.

	* srcore/Makefile.am:
	(INCLUDES):
	Add a define for path where brlmon will be installed.

	* srcore/srbrl.c:
	(brl_mon_run_process):
	Start brlmon from its ne location.

	Fixies for bug #149825.

2004-08-10 Runa Bhattacharjee <runab@redhat.com>

	* configure.in: Added Bengali(bn) to ALL_LINGUAS.

2004-08-10 Remus Draica <rd@baum.ro>

	* braille/libbrl/brlxml.c:
	(brl_start_element): Add BPS_SCROLL to switch.
	* braille/test/remoteinit.c:
	Add new line at end of file.

	*speech/libsrs/srs-xml.c:
	(srs_xml_terminate): call srs_sp_terminate instead of srs_gs_terminate.

2004-08-10 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Retain when a window is created and do not report following activate
	and restore events for same window.

	Fix for bugs #135011.

2004-08-06 Remus Draica <rd@baum.ro>

	* srcore/srspc.c:
	(src_speech_shutup):
	Clear information for last datas sent to speech.
	(src_speech_send_chunk):
	After calling shutup function do not clean some information since 
	this is done in shutup function.

2004-08-06 Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Remove presentations for label because they are the same as those for
	generic object and generic event and add presentation chunks for event
	"object:context-switched".

	* srlow/libsrlow/SRLow.c:
	Add support for detecting when context has changed.

	Fixies for bugs #128289 and #111854.

2004-08-06 Remus Draica <rd@baum.ro>

	* speech/libsrs/srs-gs.c:
	(srs_gs_terminate):
	Comment the assert set on marker waiting variable.

	* speech/libsrs/srs-xml.c:
	(srs_terminate):
	Call srs_gs_terminate instead of srs_terminate.

	* srcore/srmain.c:
	(src_process_config_changed_for_srcore):
	Load default values for braille before initialising the module.

	* srcore/srspc.c:
	(src_speech_init):Initialize global some variables.
	(src_speech_terminate):Call shutup before terminate the speech module.

2004-08-05 Dragan Sarbut <ds@baum.ro>
	
	* speech/libsrs/srs-xml.c:
	(srs_characters):
	Modified so it will not skip the text that comes in double quotes.
	Patch from Remus Draica.
	Fix for bug #149408	

2004-08-03 Dragan Sarbut <ds@baum.ro>
	
	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	* srlow/libsrlow/SRLow.c:
	Reverted the patch that was applied to  bug #128289.

2004-08-03 Bill Haneman <bill.haneman@sun.com>

	* braille/libbrl/sercomm.c:
	(brl_ser_glib_cb): Fixed build issue on Solaris.

2004-08-03 Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Add presentation chunks for event "object:context-switched".

	* srlow/libsrlow/SRLow.c:
	Add support for the new event "object:context-switched".

	Fixies for bug #128289.

2004-08-02 Bill Haneman <bill.haneman@sun.com>

	* configure.in, NEWS, README: Revved to 0.9.8.

	Applied patch from Dana Ormenisan for bug #148090.
	
	* braille/libbrl/*.[ch]:
	Added scrolling feature to all braille drivers.
	Also rewrote module to conform better to GNOME style.

	* braille/test/*.c: Added scrolling tests.

	* srcore/brlinp.h, srcore/srctrl.c:
	(src_braille_scroll_*): Added scrolling commands.	

2004-08-02 Bill Haneman <bill.haneman@sun.com>

	* kbd_mouse/libke/libke.c:
	(COUNT_OF_ITEM_IN_LAYER_KEYSET): Increase to 17.
	(ke_return_key): Handle XK_KP_Separator case.
	(ke_get_keypad_keycodes): Look for XK_KP_Separator
	as well as XK_KP_Decimal.
	Fixes bug #148774.

2004-08-02 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Retain last information for text object for focus events.

2004-07-30 Remus Draica <rd@baum.ro>

	* braille/test/Makefile.am:
	(EXTRA_DIST):
	Remove a2b files.

2004-07-30 Remus Draica <rd@baum.ro>

	* configure.in:
	Update version to 0.9.7.
	
	* NEWS:
	Updated

	* README:
	Updated.

2004-07-30 Remus Draica <rd@baum.ro>

	* brlmon/brlmonui.c:
	* gnopi/gnopiconf.c:
	* srlow/libsrlow/SRLow.c:
	Fix some compile warnings.

2004-07-30 Remus Draica <rd@baum.ro>

	* gnopi/brlui.c:
	(brlui_translation_table_changing):
	Compare value from UI with translated value stored in code
	(bug #148764).

2004-07-29 Dragan Sarbut <ds@baum.ro>
	    
	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Changed to present the current value for sliders.	
    	Fix for bug #142839

2004-07-29 Dragan Sarbut <ds@baum.ro>
	
	* srlow/libsrlow/SRLow.c:
	(srle_get_prioroty):
	Because an event can be reported after the focus is changed,
	the event is reported to be a focus event if it doesn' belong 
	to another category.

2004-07-28 Dragan Sarbut <ds@baum.ro>
	
	* srcore/srmain.c:	
	(src_present_real_sro_for_brl_and_brlmon):
	Added src_caret_position to keep the current caret position.
	
	* srcore/srpres.c:
	(src_presentation_sro_get_pres_for_device_):
	Retaining the caret position.
	Fix for bug #141471

2004-07-28 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_present_real_sro_for_speech):
	Present events foe watched objects with a higher priority.

	* srlow/libsrlow/SRLow.c:
	Add a new category of events (events for watched object).
	
	Fixies for bug #141911.


2004-07-28 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(sro_get_role):
	Change role to table line only if the object has a valid (nonnegative)
	row and column. (bug #144412)

2004-07-27 Dragan Sarbut <ds@baum.ro>
	
	* srlow/libsrlow/screen-review.c:
	(srw_elements_from_accessible):
	Fixed so srcore doesn't crash when Layer 3 Key 7 is pressed in gedit
	and (Read Whole Window) command is called.
	Fix for bug #145214.

2004-07-23 Dragan Sarbut <ds@baum.ro>
	
	Removed all C++ comments "//" from gnopernicus.

2004-07-23 Dragan Sarbut <ds@baum.ro>
	
	* srlow/libsrlow/Srlow.c:
	(srl_init):
	Modified so it dosen't exit when it can't register a global event listener.	
	Added a gdk_beep to inform the user that something went wrong when
	SPI_registerGlobalEventListener was called.
	Fix for bug #148261

2004-07-23 Remus Draica <rd@baum.ro>

	* gnopi/spconf.c:
	(speaker):
	Add missed voices.

	* gnopi/spvoiceui.c:
	(spui_voice_absolute_handlers_set):
	Set range and initial value for sliders and spin-buttons for rate, 
	pitch and volume.

	* schemas/gnopernicus.schemas:
	Change initial values for parameters for voices.

	* speech/libsrs/srs-gs-wrap.c:
	Handle values for rate, pitch an volume as absolute and not as percents.

	* srconf/libsrconf/libsrconf.c:
	Change default values and steps for rate, pitch and volume.

	* srcore/srspc.c:
	Use for steps for rate, pitch and volume the value defined in 
	libsrconf.h.

	Fixies for bug #148001.

2004-07-22 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_change_type):
	Changed to convert an "object:state-changed:selected" at-spi event
	for a selected page-tab into a "focus:" event. 
	(srl_event_is_reported):
	Changed to report a "focus:" event for a page-tab only if the previous
	focused object is not the same as the current one. 
	In some situations we have two 'focus:' events for a page-tab (an
	"object:state-changed:selected" event which was converted into a focus
	event and a "focus:" event)=> report a single "focus:" event.
	(srl_process_event):
	Changed to call srl_event_is_reported before srl_set_last_focus.   
	(Fixies for bug #128970).

2004-07-22 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/screen-review.c:
	(srw_elements_from_accessible): 
	Changed to report a line which contains only spaces (i.e. ASCII <20> 
	and ASCII <160>) as an empty line.
	(Fixies for bug #144404).

2004-07-22 Remus Draica <rd@baum.ro>

	* srcore/srspc.c:
	(src_speech_get_engine_drivers):
	(src_speech_get_engine_voices):
	Removed.
	
	Retain voices and drives from infotmation got from speech and do not 
	read from gconf. (Partial fix for bug #122459).

2004-07-22 Remus Draica <rd@baum.ro>

	* speech/libsrs/srs-speech.c:
	Add compile flags for code used only with SRS_NO_MARKERS_SUPPORTED.

	* srcore/srspc.[c,h]:
	(srs_speech_set_idle):
	Add ID parameter for this function and check if marker is for current
	output.

2004-07-20 Remus Draica <rd@baum.ro>

	* speech/libsrs/Makefile.am:
	* srcore/Makefile.am:
	Add SRS_NO_MARKERS_SUPPORTED and SRS_ENABLE_OPTIMIZATION as compile
	flags.

	* speech/libsrs/spgscb.[ch]:
	Rewrite.

	* speech/libsrs/srs-gs-wrap.[ch]:
	* speech/libsrs/srs-gs.[ch]:
	* speech/libsrs/srs-speech.[ch]:
	* speech/libsrs/srs-xml.[ch]:
	* srcore/src-speech-in.[ch]:
	Added.
	
	* speech/test/tester.c:
	* srcore/srspc.[c,h]:
	Changes according with new function names.

	* speech/libsrs/spfestival.[ch]:
	* speech/libsrs/spgs.[ch]:
	* speech/libsrs/spviavoice.[ch]:
	* speech/libsrs/srspeech.[ch]:
	* speech/libsrs/srsxml.[ch]:
	* speech/libsrs/srsxmlapi.h:
	Removed.

	Fixies for bug 147973.

2004-07-16 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_cell):
	Changed to include the situation when the cell is a container cell 
	(to report the current cell in the general description of a table).

2004-07-16 Dana Ormenisan <do@baum.ro>

	* braille/test:
	Remove *.a2b files (braille translation tables).
	These files are also placed in /gnopi.
	(Fixies for bug #142406).

2004-07-15 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_column_header):
	Correct a memory leak.
	(sro_get_cell):
	Replace g_free call with SPI_freeString.
	
	* MAINTAINERS:
	Updated.

2004-07-15 Bill Haneman <billh@gnome.org>

	* brlmon/brlmonui.c:
	Added STRUTS enum and _screen_width static.
	(brlmon_update_struts): New, updates _NET_WM_STRUTS
	property when brlmon window is posted or resized.
	(brlmon_main_window, brlmon_on_windle_realize): Call
	brlmon_update_struts.
	Fixes bug #140881.
	
	* gnopi/gnopiconf.c:
	(gnopiconf_set_double, gnopiconf_set_double_in_section)
	(gnopiconf_get_double_with_default)
	(gnopiconf_get_double_from_section_with_default):
	New methods, support use of double/float gconf keys.

	* gnopi/magconf.c: Use double getters and setters for mag factor
	keys throughout.
	
	* gnopi/magconf.h: Change zoomfactorx and zoomfactory to gdouble
	from gint.

	* gnopi/magui.c: Get zoom factor spinbutton values as floats, not
	ints.

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Set digits to '1' in zoom factor spinbuttons, and set increment to
	0.5 when using arrow buttons.

	* gnopernicus.schemas: Change the zoom factor settings to floats
	instead of ints.

	* srcore/srctrl.c:
	Get and set gconf keys for zoom factors as floats, not ints.

	* srcore/srmag.c:
	Change the zoom_factor_x and zoom_factor_y fields in the
	SRCMagnifier struct to gdouble, from gint.
	Pass the parameters as floats in the XML strings sent to 
	the magnification control wrappers as floats (%f) too.

	* srcore/srmag.h:
	(src_magnifier_set_zoom_factor_x,src_magnifier_set_zoom_factor_y):
	Pass a gdouble as the param to these methods.

	* srcore/srmain.c: Use floats, not doubles, when reading schemas
	into the magnification config system.

	Fixes bug #144903.
	
2004-07-14 Dragan Sarbut <ds@baum.ro>

	* configure.in:
	Update version to 0.9.6.
	
	* NEWS:
	Updated

2004-07-14 Dragan Sarbut <ds@baum.ro>

	* gnopi/es.a2b:
	Replaced the spanish translation table with a better one.
	Thanks to Juan Ramon Jimenez Garcia <jjig@once.es>
	for the new file.

2004-07-13 Dragan Sarbut <ds@baum.ro>
	
	* schemas/gnopernicus.schemas:
	* srconf/libsrconf/libsrconf.h:
	Modified the default values for speech rate and pitch.
	Fix for bug #147487

2004-07-13 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	Prevent generating mouse events when XEvIE is not present (bug #143588).

2004-07-12 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_cell):
	Changed to include the situation when the cell is a container cell .
	(Fixies for bug #144396)

2004-07-12 Dana Ormenisan <do@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Change speech presentation for spin-button in case of 'generic'
	event.
	(Fixies for bug #144334)

2004-07-12 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_column_header):
	Changed to present the table column header only if it is
	displayed on the screen.
	(Fixies for bug #141185)

2004-07-12 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_description):
	Change to avoid a double output in verbose presentation mode:
	if an object doesn't have an accessible name (the description,
	if exists, will be reported as name) or the name and 
	the description are the same, do not report the description.
	(Fixies for bug #138607)

2004-07-12 Dana Ormenisan <do@baum.ro>

	* srcore/verbose.xml.in:
	* srcore/default.xml.in:
	Change presentation for slider to report the visible value.

	* srlow/libsrlow/SRLow.c:
	(srl_text_event_is_reported):
	Prevent a text event to be reported in case of a value change event for
	sliders.
	(Fixies for bug #144582)

2004-07-09 Dragan Sarbut <ds@baum.ro>
	
	* srcore/srspc.c:
	(src_speech_get_text_echo_type):
	(src_speech_get_spaces_echo_type):
	(src_speech_get_modifiers_echo_type):
	(src_speech_get_cursors_echo_type):
	Added checking for speech to be initialized.
	
	* srcore/srmain.ch:
	Using the --login option from srcore command line to let srcore know
	that it's running at login time and should try not to  work with gconf.
	
	* srcore/srmag.ch:
	Added some function to set magnifiers parameters without 
	working with gconf.
	
	* srcore/srctrl.c:
	Modified the magnifier control functions so they eill not work with 
	gconf if --login is passed in srcore's command line. Now at GDM login
	time , the magnifier can be controlled from the command layers.
	
	Patch for bug #122459

2004-07-08 Dragan Sarbut <ds@baum.ro>
	* srcore/srmain.c:
	(src_process_key):
	Change to return if speech is not initialized.
	Patch applied for Remus Draica.
	Fix for bug #143828	

2004-06-14 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_cell):
	Changed to not take the cell (do not call AccessibleTable_getAccessibleAt) 
	if the column index < 0.
	(Fixies for bug #144309).

2004-06-13  Marcel Telka  <marcel@telka.sk>

	* configure.in (ALL_LINGUAS): Added sk.

2006-06-11 Dana Ormenisan <do@baum.ro>

	* srcore/srmag.c:
	Correct some warning messages at run-time when magnifier's
	panning option is turned on:
	(src_magnifier_panning):
	Changed to add the timeout only if old_panning != NULL. 
	(Fixies for bug #143591).

2006-06-11 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	Revert changes made to avoid some warning messages at run-time
	when magnifier's panning option is turned on.

2004-06-11 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_change_type):
	Chnage event type for links only when the new link is valid (!=-1).
	(gnopernicus fix for bug #143502).

2004-06-10 Dana Ormenisan <do@baum.ro>

	* srcore/srctrl.c:
	(src_repeat_last):
	(src_cmd_queue_process):
	(src_ctrl_init):
	(src_ctrl_terminate):
	Changed to put the comand before the last one in the command queue
	(in order to scroll on braille device).
	This command will take the last command value, with one exception:
	if the last command was "present layer changed".
	(Fixies for bug #132320).

2004-06-09  Alexander Shopov  <ash@contact.bg>

	* configure.in (ALL_LINGUAS): Added "bg" (Bulgarian)

2004-06-09 Dana Ormenisan <do@baum.ro>

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Output the group headers 'Display screen' and 'Zoomer placement'
	when the objects in that group are presented: add the appropriate
	label-for/labelled-by relations.
	(Fixies for bug #136320).

2004-06-09 Remus Draica <rd@baum.ro>

	* configure.in:
	Update version to 0.9.5.

	* NEWS:
	Updated.

2004-06-08 Dana Ormenisan <do@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Rename tooltip for Preferences->Speech->Text Echo->None radio
	button ('Do not say text').The new description is
	'Do not speak text'.

2004-06-08 Dana Ormenisan <do@baum.ro>

	* gnopi/spui.c:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Add a new Text echo mode: 'None'- to output the text typed
	only on braille/brlmon without disable the speech component. 
	
	* srcore/srspc.h:
	Add a new SRCSpeechTextEchoType mode: SRC_SPEECH_TEXT_ECHO_NONE.
	
	* srcore/srmain.c:
	* srcore/srspc.c:
	Add code for 'None' text echo mode.
	(Fixies for bug #143935).

2004-06-08 Dana Ormenisan <do@baum.ro>

	* srcore/srctrl.c:
	(src_flat_review_line):
	Changed to report 'first line'/'last line' in flat review
	mode if user is already on firs/last line and press up/down
	numpad arrow key.
	(Fixies for bug #143944).

2004-06-08 Dana Ormenisan <do@baum.ro>

	* srcore/default.xml.in:
	Change presentation for 'multi-line-text' role: do not 
	report <role>.
	(Partial fix for bug #138091).

2004-06-08 Dragan Sarbut <ds@baum.ro>
	
	* gnopi/gnopi.c:
	Added --login option.  
	Check for accessibility is disabled if this option is 
	passed to gnopernicus.
	
	* srcore/srmain.c:
	Added --login option.
	This option for srcore does nothing for now.
	
	Fix for bug #143514

2004-06-08 Dana Ormenisan <do@baum.ro>

	* srcore/srctrl.c:
	(src_hierarchy_flat):
	Changed to send information to speech line by line, to improve the
	performance for 'Read whole window' command.
	(Fixies for bug #142730).

2004-06-07 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c:
	Correct some warning messages at run-time.
	(Fixies for bug #143591).

2004-06-04 Dragan Sarbut <ds@baum.ro>
	
	* srcore/srmag.ch:
	(src_magnifier_set_split_screen_horizontal):
	Added function to set the zoomer placement so the magnifier window 
	will be on the upper half of the screen.The values for zoomer 
	placement are kept internaly and in gconf.
	
	* srcore/srmain.h:
	(main):
	Added commandline option "u" for srcore used to set 
	horizontal half screen magnification.
	(src_init):
	Added an gboolean parameter  which represents the horizontal 
	half screen magnification commandline option.
	Fix for bug #143655.	

2004-06-04 Dana Ormenisan <do@baum.ro>

	* kbd_mouse/libke/libke.c:
	(ke_return_active_modifiers):
	Removed.
	(ke_report_user_key_event):
	Changed to not use X calls to check for modifiers.
	KEKeyEvent structure will be used to check for modifiers.
	(Fixies for bug #143509).

2004-06-04 Dragan Sarbut <ds@baum.ro>
	
	* magnifier/libmag/mag.c:
	(mag_initialize):
	Removed return FALSE from gconf "set_data" functions.
	Fix for bug #143711.

2004-06-04 Dana Ormenisan <do@baum.ro>

        * kbd_mouse/libke/libke.c:
	Register a listener for XK_Escape.
	* srcore/srmain.c:
	(src_process_cursor):
	(src_process_key):
	Changed to report Escape with 'Say all navigation keys' enabled.
	(Fixies for bug #143517).

2004-06-02 Dana Ormenisan <do@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	When focus moves between the table lines, present the cell information
	using 'cell' voice.
	
	* srlow/libsrlow/SRObject.c:
	(sro_get_cell):
	If there is a single column table, when user switchs between lines, the 
        single cell in the current line will be presented.
        If there is a multi column table and the whole table line is selected, 
	three cells will be presented: the currently focussed cell, the cell 
	before (if exists) and the cell after the currently focussed one (if exists).
        If there is a multiple column header and the table line is partially 
	selected, only the currently focussed cell will be presented.
	(Fixies for bug #142835).

2004-05-31 Dragan Sarbut <ds@baum.ro>

	* magnifier/libmag/mag.c:
	(mag_zoomers_set_cursor_color):
	When changing the color, gnopernicus verifies if cursor_scale 
	is on.
	Fix for bug #143440

2004-05-27 Dragan Sarbut <ds@baum.ro>

	* configure.in:
	Update version to 0.9.4.

	* NEWS:
	Updated.

2004-05-27 Dragan Sarbut <ds@baum.ro>
	
	* schemas/gnopernicus.schemas:
	Removed extra tag.
	Bug # 143286

2004-05-26 Dragan Sarbut <ds@baum.ro>

	* srconf/libsrconf/libsrconf.c:
	Modified a fuction so a warning message will not appear.
	* srcore/srspc.ch:
	* srcore/srmag.ch:
	* srcore/srbrl.ch:
	Organized all global variables in structures , modified all 
	functions acording to this , and created some functions to set/get 
	data from structures.
	
	* srcore/srctrl.c:
	Modified some functions that used the global variables witch are now 
	in structures.
	
	* srcore/srmain.c:
	Modified some functions to set the data in the structures.
	Bug #122459
	

2004-05-26 Dragan Sarbut <ds@baum.ro>

	* configure.in:
	Update version to 0.9.3.

	* NEWS:
	Updated.

2004-05-26 Dragan Sarbut <ds@baum.ro>

	* magnifier/libmag/libmag.c:
	(mag_zoomer_set_ROI_left):
	(mag_zoomer_set_ROI_top):
	(mag_zoomer_set_ROI_width):
	(mag_zoomer_set_ROI_height):
	ROI is not restricted to source_rect anymore.
	(mag_zoomer_set_ZP_extents_left):
	(mag_zoomer_set_ZP_extents_top):
	(mag_zoomer_set_ZP_extents_width):
	(mag_zoomer_set_ZP_extents_height):
	A call to get_source is made after setting the target_rect
	because the source_rect changes.
	(Fix for bug #140850 & bug #142538)

2004-05-25 Remus Draica <rd@baum.ro>

	* configure.in:
	Prevent AC_OUTPUT to generate output in brlmon/braille_fonts/Makefile.

	* brlmon/Makefile.am:
	* brlmon/brlmon.c:
	Remove all things related to braille font.

	* brlmon/braille_fonts:
	Removed.

	Fixies for bug #140195.

2004-05-25 Dana Ormenisan <do@baum.ro>

	* schemas/gnopernicus.schemas:
	* gnopi/cmdmapconf.c:
	Remove Ctrl+Shift+Alt+S keystroke combination.
	"Describe my surroundings" command is no longer mapped on this key
	combination.
	
	* README:
	Updated.

2004-05-24 Dana Ormenisan <do@baum.ro>
	* srlow/libsrlow/SRLow.c:
	Listen for "object:children-changed:add" and 
	"object:children-changed:removed" events.
	These events will be presented only for objects with SPI_ROLE_PAGE_TAB.  
	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Change the presentation for "page-tab" role. Add presentation for:
	  - "focus:" event: 
	       'switch tab, <tab name>, <shortcut (if exists)>'
	  - "object:tab-added" event:
	       'create tab, <tab name>'
	  - "object:tab-removed" event:
	       'closing tab, <tab name>'.
	(Fixies for #bug 128970).              

2004-05-20 Dana Ormenisan <do@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2
	"Say all cursors" option was renamed with "Say all navigation keys".
	(Change required in #bug 141149).

2004-05-19 Dana Ormenisan <do@baum.ro>

        * kbd_mouse/libke/libke.c:
	Register a listener for XK_BackSpace and XK_Delete.
	* srcore/srmain.c:
	(src_process_cursor):
	(src_process_key):
	Changed to report Backspace and Delete wit 'Say all modifiers' enabled.
	(Fixies for bug #141149).

2004-05-19 Dragan Sarbut <ds@baum.ro>

	* gnopi/gnopi_files/Braille_Monitor_Settings/braille_monitor_settings.glade2:
	Grayed out settings for DUAL and BRAILLE Mode Type.
	
	* brlmon/brlmonui.c:
	(brlmon_get_mode_type_from_string):
	Changed so that mode_type is always NORMAL.
	Fix for bug #140192.	

2004-05-19 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_app_name):
	(sro_get_window_name):
	Call Accessible_ref for returned value by sro_get_acc_at_index 
	(bug 142360).

2004-05-19 Dragan Sarbut <ds@baum.ro>

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Ghanged label from "Cursor Magnification" to "Set cursor separate from
	magnification"
	Fix for bug #137247

2004-05-18 Dragan Sarbut <ds@baum.ro>

	* magnifier/libmag/mag.c:
	(mag_initialize):
	Created a structure for target_rect since target_rect isn't used
	in other functions.
	Get the display size in a global structure and write the width and 
	height to gconf.
	(mag_zoomer_set_zp_extents_left):
	(mag_zoomer_set_zp_extents_top):
	(mag_zoomer_set_zp_extents_width):
	(mag_zoomer_set_zp_extents_height):
	Changed to use the display_size rect when setting ZP
	in stead of target_rect.
	Fix for bug #142535

2004-05-18 Padraig O'Briain <padraig.obriain@sun.com>

	* srlow/libsrlow/SRObject.c (sro_get_column_header): Remove
	duplicated calls to Accessible_unref. Fixes bug #141908.

2004-05-18 Padraig O'Briain <padraig.obriain@sun.com>

	* kbd_mouse/libke/libke.c:
	(ke_report_keyecho_event): Remove workaround for bug #129951.
	(ke_register_keyset_item):
	(ke_layer_register_events):
	(ke_keyecho_register_events): Do not register key stroke listeners for
	modifiers SPI_KEYMASK_BUTTON1, SPI_KEYMASK_BUTTON2 or 
	SPI_KEYMASK_BUTTON3.
	(ke_user_key_list_unregister_events):
	(ke_layer_unregister_events):
	(ke_keyecho_unregister_events): Do not unregister key stroke listeners 
	for modifiers SPI_KEYMASK_BUTTON1, SPI_KEYMASK_BUTTON2 or 
	SPI_KEYMASK_BUTTON3.

	Fixes bug #129951.

2004-05-13 Dragan Sarbut <ds@baum.ro>

	* configure.in:
	Update version to 0.9.2.

	* NEWS:
	Updated.

2004-05-11  James Henstridge  <james@daa.com.au>

	* configure.in: remove GNOME_PLATFORM_GNOME_2 macro, which is a
	no-op and deprecated.

2004-05-06 Dana Ormenisan <do@baum.ro>

	* kbd_mouse/libke/libke.c:
	(ke_report_keyecho_event):
	Changed to report a single event with a particular timestamp value.
	The other events with the same timestamp value will be rejected
	(bug #129951).

2004-05-06 Dana Ormenisan <do@baum.ro>

	* schemas/gnopernicus.schemas:
	Add empty voice in the voice list (bug #141974). 

2004-05-05 Remus Draica <rd@baum.ro>

	* README:
	Updated.

	* configure.in:
	Add a new configure option (--enable-magnifier).
	Failing the configure process in case magnifier is not instaled and 
	user want it (bug #141495).

2004-05-04 Dana Ormenisan <do@baum.ro>

        * kbd_mouse/libke/libke.c:
	(ke_idle_struct_new):
	(ke_idle_struct_free):
	(ke_repot_layer_cmd):
	Added.
	(ke_call_srkey_cb):
	(ke_call_keyboard_layer_cb):
	Changed to report the keyboard events on a timer.
	(Fixies for bug #138391).

2004-04-30 Remus Draica <rd@baum.ro>

	* configure.in:
	Update version to 0.9.1.

	* NEWS:
	Updated.

2004-04-28 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_is_for_focused_ancestor_acc):
	Do not check for SPI_ROLE_HTML_CONTAINER.

2004-04-28 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_is_window_event):
	Don't report events for role SPI_ROLE_WINDOW as "window:xxx"
	(bug 122713).

2004-04-28 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_is_for_focused_ancestor):
	Added.
	(srle_change_type):
	Convert a caret-moved event to a focus event only if the object has a
	focused ancestor.

2004-04-27 Dragan Sarbut <ds@baum.ro>
	
	* magnifier/libmag/mag_ctrl.c:
	(magnifier_set_source_screen):
	(magnifier_set_target_screen):
	Retaining the values of source and target screen.
	(magrect_clip_to_source):
	Verify if the source and target are the same.
	If they are do not aply patch.
	
	* schemas/gnopernicus.schemas:
	Setting the default values of the source and target to be :0.0.
	
	* srconft/libsrconf/libsrconf.h:
	Setting the default values of the source and target to be :0.0.
	
	* srcore/srmag.c:
	Decommenting a line that verifies if the target is NULL.
	
	Fix for bug 136771.

2004-04-27 Dragan Sarbut <ds@baum.ro>

	* gnopi/magui.c:
	(magui_magnification_options_save_changed):
	(magui_set_smoothing):
	(magui_set_mouse_tracking):
	Marked some text for translation.
	Changed some code to compare the translated values , 
	not the english ones.

	* gnopi/spvoiceui.c:
	(spui_voice_add_modify_speaker_values_modify):
	Marked some text for translation.
	(Fix for bug 140634).

2004-04-27 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRObject.c,h:
	(sro_get_app_name):
	(sro_get_window_name):
	Added.

	* srcore/srctrl.c:
	(src_surroundings_logic):
	Changed: "Describe my surroundings" command also provide the name of 
	the current focused object, the window/dialog name and the application
	name.
	(Fixies for bug 140698).

2004-04-27 Dana Ormenisan <do@baum.ro>

	* README:
	* gnopi/cmdmapconf.c:
	* gnopi/cmdmapui.c:
	* schemas/gnopernicus.schemas:
	* srcore/srctrl.c:
	"window hiwrarchy flat" command was renamed. The new name is
	"read whole window". 

2004-04-23 Dana Ormenisan <do@baum.ro>

        * gnopi/bmui.c:
	* gnopi/brlui.c:
	* gnopi/cmdmapui.c:
	* gnopi/findui.c:
	* gnopi/genui.c:
	* gnopi/kbui.c:
	* gnopi/magui.c:
	* gnopi/presui.c:
	* gnopi/scrui.c:
	* gnopi/spdictui.c:
	* gnopi/spui.c:
	* gnopi/spvoiceui.c:
	Made help pages accessible.
	(Fixies for bug #140658).

2004-04-21 Remus Draica <rd@baum.ro>

	* srcore/srpres.c:
	Marked role for translation.

	* srcore/srspc.c:
	Marked a string for translation.

2004-04-20 Remus Draica <rd@baum.ro>

	* srconf/libsrconf/libsrconf.h:
	Changed the default value for active setting from "Default" to
	"default".

	* srcore/srmain.c:
	(src_process_change_for_presentation):
	Use a constant value instead of a hard coded string for default value
	for active setting.

	Fixies for #139278.

2004-04-19 Remus Draica <rd@baum.ro>
	
	* configure.in:
	Changed current version to 0.9.0.

	* NEWS:
	Change the previous version to 0.9.0.

2004-04-15 Dragan Sarbut <ds@baum.ro>
	
	* configure.in:
	Changed current version to 0.8.3.

	* NEWS:
	    Added news for the new version.

2004-04-14 Dana Ormenisan <do@baum.ro>

	* brlmon/brlmonui.c:
	(brlmon_create_text_area):
	Correct a message.
	* gnopi/spdictui.c:
	(spui_dictionary_add_modify_set_value):
	Correct a message.
	(Fixies for bug 140040).

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-08 Dragan Sarbut <ds@baum.ro>

	* magnifier/libmag/mag.[ch]:
	(mag_zoomer_set_target):
	Added.
	
	* magnifier/libmag/mag_ctrl.c:
	(magnifier_set_source_screen):
	(magnifier_set_target_screen):
	Modified function to use gnome-mag proper functions
	instead of bonobo-properties functions.
	(magnifier_get_source):
	Changed source_display_size to source_display_bounds.
	
	* magnifier/libmag/mag_xml.c:
	(startElement):
	Added parsing for target string;
	
	* magnifier/srcore/srmag.c:
	(src_magnifier_create_mml):
	Added lines to include target string creation of the mml.
	
	* magnifier/srcore/srmain.c:
	(src_process_config_changed_for_magnifier):
	Added lines to use target display when gnopernicus starts.
	
	* configure.in:
	Changed required version of gnome-mag 0.11.0.
	
	Fix for bug (135545).

2004-04-08 Dana Ormenisan <do@baum.ro>

	* README:
	Updated (version required for brltty is 3.5).

2004-04-08 Remus Draica <rd@baum.ro>

	* gnopi/brlconf.c:
	Make braille_setting variable extern (bug #136865).

	* gnopi/magui.c:
	(magui_set_crosswire_color):
	Avoid a warning at compile time.

2004-04-08 Dana Ormenisan <do@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Change presentation for table:
	  Table, <table name>, "row header" <row header (if exists)>,
	  "column header" <column header (if exist)>,<current_cell_content>.
	Change presentation for table line:
	  If focus moves to a new table line, the new row header (if exists)
	  and the current cell content will be presented.
	  
	* schemas/gnopernicus.schemas:
	 Add two new voices ( row_header and cell) to describe the current row
	 header and the current cell content for the focused table.
	 
	* srcore/srpres.c:
	Add two new presentation items: SRC_PRESENTATION_ROW_HEADER and
	SRC_PRESENTATION_CELL.  
	
	* srlow/libsrlow/SRObject.c,h:
	(sro_get_header):
	Removed.
	(sro_get_column_header):
	(sro_get_row_header):
	(sro_get_cell):
	Added.
	(sro_default_get_name):
	In case of tables, check if the table has a relation with an appropriate
	label.
	
	(Fixies for #bug 137336).

2004-04-08 Dana Ormenisan <do@baum.ro>

	* braille/libbrl/alvabrl.c:
	* braille/libbrl/braille.c:
	Add support for ALVA320, ALVA340, ALVA34d devices (bug #135527).

2004-04-07 Dana Ormenisan <do@baum.ro>

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Changed some keyboard accelerators. (bug #138093).

2004-04-07 Dana Ormenisan <do@baum.ro>

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Changed some keyboard accelerators. (bug #138102).

2004-04-07 Dana Ormenisan <do@baum.ro>

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Underlined keyboard accelerators for 'Add/Modify' and 'Remove'.
	(bug #138100).

2004-04-07 Dana Ormenisan <do@baum.ro>

	* gnopi/magui.c:
	(magui_crosswire_color_invert_off):
	Added.
	(magui_crosswire_color_invert_toggled):
	(magui_set_crosswire_color):
	When 'Cross-hair color inverted' check box is checked, 'Cross-hair 
	color' button will be grayed. (bug #132188).

2004-04-07 Dragan Sarbut <ds@baum.ro>

	* gnopi/gnopi_files/gnopi.glade2:
	Changed tooltip to "Mouse preferences" from
	"Keyboard preferences".
	Fix for bug no : 137729

2004-04-07 Remus Draica <rd@baum.ro>

	* README:
	Change the gnopernicus version to 0.8.

2004-04-05 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_is_for_watched_acc):
	Move iimplementation for "srle_is_for_watched_acc" forward in the file
	to avoid a compile warning.

	* configure.in:
	Update current version to 0.8.2.

2004-04-02 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(prel_key_binding):
	Change According with changes in gail and jab (keybindings 
	for a menu item are now separated by ":") (bug #138392).

2004-04-02 Remus Draica <rd@baum.ro>

	* configure.in:
	Add AM_GCONF_SOURCE_2 macro.

	* schemas/Makefile.am: 
	(patch from Julio M. Merino Vidal <jmmv@menta.net>)
	Install schemas only if GCONF_SCHEMAS_INSTALL is defined.

	Fixies for bug #134684.

2004-04-02 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_children_count):
	Report the real number of children in case or LIST role (bug 125695).

2004-04-02 Remus Draica <rd@baum.ro> (patch created by Adi Dascal <ad@baum.ro>)

	* braille/libbrl/alvabrl.c:
	(alva_brl_open_device):
	Corect some initialization values for ALVA544 (bug #108277).

2004-04-02 Remus Draica <rd@baum.ro>

	* srmain/srcore.c:
	(src_present_real_sro):
	Split in 3 functions, one for each device.
	(src_process_sro_event):
	Present "object:visible-data-changed" event only to magnifier.

	* srlow/libsrlow/SRLow.c:
	Listen for "object:visible-data-changed" event and report it for 
	current focused object.

	Fixies for bug #135250.

2004-03-26 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Report focus events for an object with TRANSIENT state (bug 134226).

2004-03-26 Dragan Sarbut <ds@baum.ro>
	
	* gnopi/magui.c:
	(magui_cursor_off):
	Changed the truth value of cursor_size.
	(magui_set_cursor_mag):
	Added call to the function: magui_cursor_magnification_off.
	
	* magnifier/libmag/mag.c:
	(mag_zoomers_set_cursor_scale_on_off):
	Changed truth values for cursor_scale.

	Fixies for bug #137247.

2004-03-26 Dragan Sarbut <ds@baum.ro>

	* magnifier/libmag/mag.c:
	(mag_zoomer_set_params_zoom_factor):
	Retaining the the zoom factor state.
	(check_for_focus_tracking_none):
	Added this function to check if the focus tracking is selected
	to be "none".
	(mag_zoomer_set_params_tracking):
	If the focus tracking is "none", select mouse_tracking.
	Retaining in a MagRectangle the values of the last ROI when the 
	tracking was mouse_tracking.
	(mag_zoomer_set_ROI_left):
	(mag_zoomer_set_ROI_top):
	(mag_zoomer_set_ROI_width):
	(mag_zoomer_set_ROI_height):
	Set the new ROI if the focus tracking is "none".

	Fixies for bug #135260.

2004-03-26 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Compute retained information for current object using previous values
	for text-delete event (bug 135209).

2004-03-26 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_change_type):
	Convert a caret-moved event into a focus one only for non-watched 
	objects too (bug #136603). 

2004-03-23  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-22 Remus Draica <rd@baum.ro>

	* configure.in:
	Update current version to 0.8.1.

	* NEWS:
	Updated.

2004-03-20  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

2004-03-16 Iñaki Larrañaga   <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque)  to ALL_LINGUAS.

2004-03-15 Remus Draica <rd@baum.ro>

	* configure.in:
	Update current version to 0.8.0.

	* NEWS:
	Updated.

2004-03-07 Remus Draica <rd@baum.ro>

	* configure.in:
	Update current version to 0.7.6.

	* NEWS:
	Updated.

2004-03-07 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_present_real_sro):
	Do not allow the next speech output to interrupt presentationfor
	focus events for tables.

	* srlow/libsrlow/SRLow.c:
	(srl_notify_clients_obj):
	Report a focus event when user moves to another table.

	Fixies #132285.

2004-03-04 Dana Ormenisan <do@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Add presentation for tables. When a table is focused, gnopernicus will 
	outputs:"Table <table_name><#lines>.
	
	* srlow/libsrlow/SRObject.c,h:
	(sro_default_get_name):
	 Changed: if the table doesn't have an accessible name and/or a relation with an
	 appropriate label, the only/current focused table column name will be
	 presented as a table name.
	(sro_default_get_children_count):
	 Changed: in case of tables, this function will return the number of rows.
	(sro_get_line):
	 Added.
	 
	(Partial fixies for bug #132285).	 

2004-03-05  Ilkka Tuohela  <hile@iki.fi>

	* Added Finnish translation to configure.in

2004-03-04 Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	In case of state-changed for radio-buttons present only the new state.
	(patch from bug #132182).

2004-03-04 Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	In case of caret-moved event for link objects present current
	character.

	* srlow/libsrlow/SRLow.c:
	Detect when user is in a link with caret.

	* srlow/libsrlow/SRObject.c:
	Report an object as a link only when user is in a link.
	
	Fix for #135028.

2004-03-04 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	React to caret-moved events for non-focused objects.

	* srlow/libsrlow/SRObject.c:
	Correct some warnings messages at run-time.

	Fix for #120730.

2004-03-02 Remus Draica <rd@baum.ro>

	* srcore/srpres.h:
	Change names for some presentation functions.

	* srcore/srpres.c:
	* srcore/srmain.c:
	Changea according with previous changes.

2004-03-02 Dragan Sarbut <ds@baum.ro>

	* srcore/srmain.c:
	If the invert value is not present in the srcore commandline,
	the value is taken from gconf.

	Fix for bug #132181.

2004-03-02 Dragan Sarbut <ds@baum.ro>

	* magnifier/libmag/mag.c:
	Retaining the values of the magnifier coordinates
	before they are sent to gnome-mag
	
	* magnifier/libmag/magctrl.c:
	(mag_rect_clip_to_source):
	Added new function to prevent the ROI area to go undernith the 
	magnifiing area.
	(magnifier_set_roi):
	Updating the ROI with the result from the (mag_rect_clip_to_source)
	function.
	
	Fix for bug #124486.

2004-02-25 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_is_tooltip_event):
	Do not report the tooltip hide event(bug #133205).

2004-02-25 Dana Ormenisan <do@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_is_window_event):
	 Check if the role is SPI_ROLE_TOOL_TIP and make sure that the window
	 events are not reported in this case(bug #135241).

2004-02-25 Remus Draica <rd@baum.ro>

	* configure.in:
	Update current version to 0.7.5.

	* NEWS:
	Updated.

2004-02-23 Remus Draica <rd@baum.ro>

	Added "unwatch all objects" feature (bug #132865).

	* README:
	Updated (added the new function for layer 1 key 3).

	* gnopi/cmdmapconf.c:
	* gnopi/cmdmapui.c:
	Added the new function to UI.

	* schemas/gnopernicus.schemas:
	Added the funtion to layer 1 key 3.

	* srcore/srctrl.c:
	Added support for the new funtion.

2004-02-23 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Remove code which make update in case of text-delete event.

2004-02-23 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_process_event)
	Retain current focused object before checking if current event is
	reported. In this way some internal structures for text objects are updated
	for focus event (bug #135020).

2004-02-23 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Report table-columns-header only when is first time reached
	(bug #135114).

2004-02-23 Dana Ormenisan <do@baum.ro>

	* schemas/gnopernicus.schemas:
	Add a new voice (header) to describe the table column header for a 
	table cell.
	
	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Change presentation for table-columns-header and table-line.Distinct 
	presentation for focus and selection-change events.
	
	* srcore/srpres.c:
	Add a new presentation item type - SRC_PRESENTATION_HEADER.
	
	* srlow/libsrlow/SRObject.c,h:
	(sro_get_header):
	Added.
	
	(All changes for bug #135114).

2004-02-22 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	When user moves in same line or same table header a new event 
	(selection-changed) instead of focus is emitted (bug #135114).

2004-02-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-20 Remus Draica <rd@baum.ro> (patch from Julio M. Merino Vidal <jmmv@menta.net>)

	* braille/libbrl/sercomm.c:
	Check if OLCUC is defined (bug #134914).

2004-02-19 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_sro):
	Check if the index in parent is valid (>=0) (bug #134008).

2004-02-18 Remus Draica <rd@baum.ro>

	* speech/libsrs/srspeech.[c,h]:
	(srs_call_shutup):
	Add parameters for this function.

	* speech/libsrs/srsxml.c:
	Change call to srs_call_shutup according with new prototype.
	
	Partial fixies for bug #13386.

2004-02-17 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(get_toolbar_from_main_widget):
	Report all toolbars to the user, one at the time and do not expect to be
	only one (bug #134225).

2004-02-17 Dana Ormenisan <do@baum.ro>

	* speech/libsrs/srsxml.c:
	Add some translator comments (bug #134530).

2004-02-17 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(presconf_all_settings_get):
	Allow user to choose only from installed presentation xml files.

2004-02-17 Remus Draica <rd@baum.ro>

	* srcore/verbose.xml.in:
	Add description to presented informantion for almost all roles.

	* srcore/srpres.c:
	Add description to information that can be presented for an object.

	* schemas/gnopernicus.schemas:
	Add description voice.

	Fixies for bug #126370.

2004-02-17 Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Add presentation for table-columns-header (bug #134083, bug #129665).

2004-02-17 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_shortcut):
	Correct the crash described as side effect in bug #128973.

2004-02-14 Remus Draica <rd@baum.ro>

	* srcore/default.xml.in:
	* srcore/verbose.xml.in:
	Add presentation for popup menus.

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	For popup menus report "context menu" as name in case of no name from
	at-spi.

	(All are changes for bug #126108).

2004-02-14 Remus Draica <rd@baum.ro>

	* */.cvsignore:
	Update some .cvsignore files and added where necessary.

2004-02-13 Remus Draica <rd@baum.ro>

	* srcore/srspc.c:
	(src_speech_process_string):
	In case of '\n' send "enter" to speech (bug #126355).

2004-02-12 Remus Draica <rd@baum.ro>

	* srcore/verbose.xml.in:
	* srcore/default.xml.in:
	Change presentation for spin-button to report the visible value.

	* srlow/libsrlow/SRLow.c:
	(srle_text_event_is_reported):
	Prevent a text event to be reported in case of a value change event for
	spin-buttons.
	
	Fixies for bug #133625.

2004-02-11 Remus Draica <rd@baum.ro>

	* NEWS:
	Updated.

	* srlow/libsrlow/SRLow.c:
	Watch only one object and filter events for that object.

2004-02-11 Remus Draica <rd@baum.ro>

	* NEWS:
	* configure.in:
	Change current version to 0.7.4.

2004-02-10 Remus Draica <rd@baum.ro>

	* README:
	Updated.

2004-02-10 Remus Draica <rd@baum.ro>

	* srcore/verbose.xml.in:
	* srcore/default.xml.in:
	Changed presentation string for single/multi line text in case of 
	present event.

2004-02-08 Remus Draica <rd@baum.ro>

	* srcore/srpres.c:
	Small fixies.

2004-02-08 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_accelerator):
	(sro_get_shortcut):
	Avoid some critical messages to terminal (bug 132005).

2004-02-08 Remus Draica <rd@baum.ro>

	* srcore/verbose.xml.in:
	* srcore/default.xml.in:
	Report shortcut and state for radio-buttons for braille.

2004-02-08 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Report as the name for push-button the names of children in case of
	push-buttons with children (bug #129451).

2004-02-08 Remus Draica <rd@baum.ro>

	* srcore/verbose.xml.in:
	* srcore/default.xml.in:
	Add some missing voices for conditional tags.

2004-02-06 Remus Draica <rd@baum.ro>

	* NEWS:
	Updated.

	* srcore/verbose.xml:
	* srcore/default.xml:
	Removed.

	* srcore/verbose.xml.in:
	* srcore/default.xml.in:
	Added.

	* configure.in:
	Changed required version of intltool to 0.29.
	
	* po/POTFILES.in:
	Removed verbose.xml and default.xml and added verbose.xml.in and 
	default.xml.in.

	* schemas/gnopernicus.schemas:
	Changed default profile to "default".

	* srcore/Makefile.am:
	Changed to generate .xml files from xml.in files.

	* srcore/srmain.c:
	* srcore/srpres.[c,h]:
	Changed to use the new xml files used to store presentation information.

2004-02-06 Dana Ormenisan <do@baum.ro>

	* MAINTAINERS:
	Created.

2004-02-04 Dana Ormenisan <do@baum.ro>

	* srconf/libsrconf/libsrconf.c:
	(srconf_init):
	Change the message (bug #131558).

2004-02-03 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.[c,h]:
	(srl_unwatch_all_objects)
	Added.

	* srlow/libsrlow/SRLow.c:
	(srl_set_watch_for_object):
	Allow user to watch only one object.

2004-01-30 Dana Ormenisan <do@baum.ro>

	* braille/libbrl/ttybrl.c:
	(brltty_brl_glib_cb):
	Change VAL_SWITCHMASK with VAL_TOGGLE_MASK (bug #132244).

2004-01-29 Remus Draica <rd@baum.ro>

	Changes to fix bug 128360. 

2004-01-29 Remus Draica <rd@baum.ro>

	* kbd_mouse/libke/libke.c:
	(ke_user_key_list_register_events)
	Add SPI_KEYMASK_NUMLOCK to the modifiers for a user defined key combination.
	(bug #132125).
	
	* README:
	Updated with "Note 7".

2004-01-28 Brian Cameron <Brian.Cameron@Sun.com>

    * srlow/test/SRTest.c:
	Fixed string problem causing core dump on Solaris.

2004-01-28  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* configure.in: Added help/gnopernicus/es/Makefile and help/braille_monitor/es/Makefile.

2004-01-26 Remus Draica <rd@baum.ro>

	* schemas/gnopernicus.schemas:
	Change initial profile to "none".

	* srcore/srmain.c:
	(src_process_config_changed_for_presentation):
	Remove code to src_process_chang_for_presentation.
	(src_process_chang_for_presentation):
	Added.
	(src_init):
	In case of first use write presentation strings to gconf.

	All changes are fixies for bug #132542.	

2004-01-26 Remus Draica <rd@baum.ro>

	* srcore/srspc.c:
	(src_dictionary_load):
	Call srconf_free_slist only for non NULL lists.

	* gnopi/coreconf.c:
	(srcore_changes_cb):
	Prevent execution of this function if general_setting is NULL 
	(bug #132115).

2004-01-25  Francisco Javier F. Serrador  <serrador@cvs.gnome.org>

	* gnopernicus/help/es: Added Spanish help files
	* gnopernicus/help/Makefile: Modified Makefile to include es subdir

2004-01-22 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_shortcut):
	Report correct shortcut for push-buttons from SO applications.

2004-01-21 Remus Draica <rd@baum.ro>

	* gnopi/defui.c:
	(defui_question_message):
	Change the message (bug #131552).

	* srconf/libsrconf/libsrconf.c:
	(srconf_init):
	Change the message (bug #131558).

	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/General_Settings/general_settings.glade2:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Change some messages (bug #131557).

2004-01-21 Remus Draica <rd@baum.ro>

	* kbd_mouse_libke/libke.c:
	(ke_user_key_list_free):
	* gnopi/spconf.c:
	(spconf_speaker_settings_list_find):
	Correct some messages at run-time (bug 132005).

2004-01-21 Remus Draica <rd@baum.ro>

	* schemas/gnopernicus.schemas:
	Remove an open only tag (thanks to jspaar@myrealbox.com).

2004-01-21 Remus Draica <rd@baum.ro>

	* configure.in:
	(CSPI_REQUIRED):
	Change the required version to 1.3.11.

2004-01-18 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_process_key):
	Call speech stutup function in case of control-left key 
	(bug fix #131442).

	* NEWS:
	Updated.

2004-01-10 Remus Draica <rd@baum.ro>

	* srcore/Makefile.am:
	(EXTRA_DIST):
	Add default.xml and verbose.xml to distribution.

2004-01-10 Remus Draica <rd@baum.ro>

	* NEWS:
	Updated.

	*configure.in:
	Change current version to 0.7.3.

2004-01-10  Arafat Medini <lumina@silverpen.de>
                                                                
	* ar.po: Added Arabic translation

2004-01-09 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	Added SRLow.h to include section.
	(src_watch_current):
	Changed the string sended to speech.
	
	* srlow/libsrlow/SRObject.[c,h]:
	Removed sro_add_watch_for_object function.

	* srlow/libsrlow/SRLow.[c,h]:
	Add support for watching a specified object.

2004-01-09 Remus Draica <rd@baum.ro>

	* braille/libbrl/Makefile.am:
	(libbrl_la_SOURCES): added handybrl.c and handybrl.h.

2004-01-09 Remus Draica <rd@baum.ro>
	
	* braille/libbrl/braille.c:
	* braille/libbrl/sercomm.[c.h]:
	Changed to add support for HandyTech devices.

	* braille/libbrl/handybrl.[c.h]:
	Added.
	
	All these changes are made by Markus Melzer <Markus.Melzer@handytech.de>.

2004-01-09 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(set_gconf_keys_from_xml):
	Chnaged the name of the node from "presentation-key" to
	"_presentation-key".

2004-01-09 Remus Draica <rd@baum.ro>

	* gnopi/Makefile.am:
	(INCLUDES):
	Added definition for PRESENTATION_DIR.

	* gnopi/presconf.c:
	(presconf_set_defaults):
	Set only the value for default active profile.
	(presconf_all_settings_get):
	Fill the returned list with the name of the files from presentation
	directory.
	(presconf_all_settings_set):
	Removed.

	* gnopi/presconf.h:
	(presconf_all_settings_set):
	Removed.
	
	* schemas/gnopernicus.schemas:
	Removed all presentation strings.

	* srcore/Makefile.am:
	(INCLUDES):
	Added definition for PRESENTATION_DIR.
	(settingsdir):
	(settings_DATA):
	Added.

	* srcore/default.xml:
	* srcore/verbose.xml:
	Added.

	* srcore/srmain.c:
	Add libxml/parser.h file to incluse section.
	(load_presentation_file):
	(set_presentation_gconf_key):
	(set_gconf_keys_from_xml):
	Added. Those function are received from Bill Haneman <bill.haneman@sun.com>
	and contain very small personal changes.

2004-01-07 Remus Draica <rd@baum.ro>

	* README:
	Updated.

2004-01-07 Remus Draica <rd@baum.ro>

	* gnopi/cmdmapconf.c:
	(cmd_key_cmds):
	* gnopi/cmdmapui.c:
	(cmd_function):
	* schemas/gnopernicus.schemas:
	Add the new function "watch current object".

	* srcore/srctrl.c:
	(src_watch_current):
	Added.

	* srlow/libsrlow/SRObject.[c,h]:
	(sro_set_watch_for_object):
	Added.

	All changes are partial fix for bug #128998.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" in ALL_LINGUAS.

2004-01-02  Sanlig Badral  <Badral@openmn.org>

	* configure.in: Added "mn" to ALL_LINGUAS.

2004-01-02 Padraig O'Briain <padraig.obriain@sun.com>

	* kbd_mouse/libke/libke.c 
	(ke_layer_register_events)
	(ke_keyecho_register_events)
	(ke_layer_unregister_events)
	(ke_keyecho_unregister_events): Use SPI_KEYMASK_NUMLOCK instead of
	SPI_KEYMASK_MOD2 or SPI_KEYMASK_MOD3. Fixes bug #128959.

2003-12-19 Remus Draica <rd@baum.ro>

	* schemas/gnopernicus.schemas:
	Add presentation strings for edit-bar role.

	* srcore/srpres.c:
	(src_presentation_role_pres):
	* srlow/libsrlow/SRObject.c:
	(acc_sr_role):
	(sr_role_name):
	* srlow/libsrlow/SRObject.h:
	(SRObjectRoles):
	Add the new role edit-bar.

	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Report all events for edit-bar role.
	
	All changes are partial fixes for bug #121844.

2003-12-19 Remus Draica <rd@baum.ro>

	* speech/libsrs/srspeech.[c,h]:
	(srs_call_shutup):
	Added.

	* speech/libsrs/srsxml.c:
	(srs_startElement):
	Call srs_call_shut_up function in case that previous output has a lower
	priority or can be preemted.

2003-12-17  Marc Mulcahy  <marc.mulcahy@sun.com>

	* configure.in: Changed gnome-speech required version to 0.3.0.

2003-12-17 Remus Draica <rd@baum.ro>

	* configure.in:
	(GNOME_SPEECH_REQUIRED): change required version to 0.2.7 (bug #129448).

2003-12-12 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Presentation/presentation.glade2:
	* gnopi/presui.c,.h:
	* gnopi/presconf.c,.h:
	Changed UI. It is more simple as was. It will be a separate configuration
	application for presentation strings.
	
	* schemas/gnopernicus.schemas:
	Added in schemas for the default profile list and the default active profile.
	
	* srconf/libsrconf/libsrconf.c,.h:
	Added defines for new keys, add function to read presentation profiles.

2003-12-11  Marc Mulcahy  <marc.mulcahy@sun.com>

	* speech/libsrs/spgs.c (gs_init_get_gs_servers): Update
	bonobo-activation query to support new gnome-speech API.

2003-12-10  William Jon McCann  <mccann@jhu.edu>

	* gnopi/gnopiui.c (gn_settings_response):
	(gn_load_gnopernicus_credits):
	(gn_settings_response, gn_delete_emit_response_cancel):
	Removed functions.
	* gnopi/gnopiui.c (gn_load_gnopernicus_about):
	* gnopi/gnopi_files/about.glade2:
	Use GnomeAbout dialog.  Use copyright symbols.

2003-12-10 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_shortcut):
	Report the context accelerator as shortcut in case in which no shortcut
	is present (bug #128372).

2003-12-10 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	For icons report name as accessible name and icon description
	(bug #126183).

2003-12-08  William Jon McCann  <mccann@jhu.edu>

	* gnopi/gnopi_files/User_Properties/user_properties.glade2: 
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2: 
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2: 
	* gnopi/gnopi_files/Presentation/presentation.glade2: 
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2: 
	* gnopi/gnopi_files/Language/language.glade2: 
	* gnopi/gnopi_files/Keyboard_Mouse_Settings/keyboard_mouse_settings.glade2: 
	* gnopi/gnopi_files/Find/find.glade2: 
	* gnopi/gnopi_files/Braille_Monitor_Settings/braille_monitor_settings.glade2: 
	* gnopi/gnopi_files/Braille_Settings/translation_table.glade2: 
	* gnopi/gnopi_files/Braille_Settings/status_cell.glade2: 
	* gnopi/gnopi_files/Braille_Settings/cursor_settings.glade2: 
	* gnopi/gnopi_files/Braille_Settings/braille_style.glade2: 
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2: 
	* gnopi/gnopi_files/Braille_Settings/braille_fill_char.glade2: 
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2: 
	* gnopi/gnopi_files/Braille_Settings/attribute_settings.glade2: 
	* gnopi/gnopi_files/gnopi.glade2: 
	Remove separators from dialogs per HIG.  Small HIG tweaks.

2003-12-05 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(get_name_from_label_rel):
	Return name for multiple labeled_by relations (bug #128065).

2003-12-02 Pal Csongor Sprencz <ps@baum.ro>

	* srconf/libsrconf/libsrconf.c,.h:
	    Add posibilities to use other path for gconf settings as
	    the default local path.
	
	* srcore/srmain.c:
	(main): Added more command line options.
	(src_set_command_lines): Created. 
	    Set in gconf the command lines values.
	
	* gnopi/presui.c:
	* srlow/libsrlow.c:
	Clened from // comments.
	
	* srutil/SRMessages.h:
	Undefine SRU_PARANOIA

2003-11-27 Yuriy Syrota <rasta@cvs.gnome.org>

	* configure.in: Added "uk" to ALL_LINGUAS.

2003-11-26 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_present_real_sro):
	Send the XML string to speech with a higher priority in case of 
	workspace switching (bug #126630).

2003-11-26 Remus Draica <rd@baum.ro>

	* speech/libsrs/srspeech.c:
	(srs_speak_to_engine):
	Removed a message for debug purpose forgotten from previous commit.

2003-11-26 Remus Draica <rd@baum.ro>

	* speech/libsrs/srspeech.[c,h]:
	(srs_remove):
	Added.

	* speech/libsrs/srspeech.h:
	(SRSText):
	Added 2 new fields: priority and preempt.

	* speech/libsrs/srsxml.c:
	(srs_startElement):
	Added 2 new attributes for SRSOUT tag.

	* srcore /srctrl.c:
	* srcore/srmain.c:
	Changed calls of src_speech_send_chunk according with new prototype.

	* srcore/srspc.[c,h]:
	(src_speech_send_chunk):
	Modified to support a new parameter and to not simulate shutup actions.

	All changes are to implement a priority queue for speech.
	Changes fix bugs #120751, #126098 and #125404.

2003-11-25 Pal Csongor Sprencz <ps@baum.ro>

	* help/gnopernicus/C/gnopernicus-C.omf:
	* help/braille-monitor/C/brlmonitor-C.omf:
	Fix seriesid conflict with gedit:

2003-11-25 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(srl_acc_manages_descendants):
	Avoid checking for an invalid state pointer (bug #127813).

2003-11-24 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(srl_table_get_visible_range_from_cell):
	Correct a range issue (start for real first visible cell).

2003-11-21 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentations):
	* schemas/gnopernicus.schemas:
	Changed presentation strings for table lines.

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Report always text as name.
	(srl_table_is_on_screen_cell_at):
	(srl_table_get_visible_range_from_cell):
	Added.
	(get_sro_children):
	Call srl_table_get_visible_range_from_cell in case of an event for a 
	table cell.
	
	All changes are for bug #127605.

2003-11-21 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/brlui.c:
	BUGFIX #127601: renamed current_item variable to brl_current_item 
	and made it static.
	
	* gnopi/cmdmapui.c:
	BUGFIX #127601: renamed current_item variable to cmd_current_item and
	made it static.

2003-11-18 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentations):
	* schemas/gnopernicus.schemas:
	Changed presentation strings for table column headers objects
	(bug #126187).

2003-11-18 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Report focus events only for objects with FOCUSED state (bug #125406).

2003-11-14 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	* gnopi/gnopi_files/Presentation/presentation.glade2:
	Change TreeView resizeing propertieses.

2003-11-13 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/cmdmapconf.c:
	* gnopi/cmdmapui.c:
	* schemas/gnopernicus.schemas:
	Added command to turn on/off for braille, speech, magnifier and 
	braille monitor components.
	
	* gnopi/coreconf.c:
	Listen gconf component activate changes events.
	
	* gnopi/genui.c:
	* gnopi/gnopi.c:
	Remove g_spawn_async (fork) call for braille monitor process.
	It moved in srcore.
	
	* srcore/srbrl.c:
	Fork process for braille monitor at brl_init time.
	
	* srcore/srctrl.c:
	(src_braille_on_off):
	(src_speech_on_off):
	(src_magnifier_on_off):
	(src_braille_monitor_on_off): Added new commands

2003-11-13 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	Fix resizeing issue at dialogs.
	
	* gnopi/brlui.c:
	(brlui_braille_device_combo_changed): Remove possibility to select 
	tty number when the selected device is BRLTTY.

2003-11-11 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentations):
	* schemas/gnopernicus/schemas:	
	Add a presentation string for magnifier for terminal objects
	(bug #126658).

2003-11-11 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Changed name of "Mouse tracking" in "Mouse tracking mode"

2003-11-11 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentations):
	* srcore/srpres.c:
	(src_presentation_read_formated_string_from_default):
	* schemas/gnopernicus/schemas:	
	Changed presentation string for magnifier.

2003-11-11 Pal Csongor Sprencz <ps@baum.ro>

	BUGFIX #124641:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Added options for focus tracking. Remove Cancel, OK buttons make windows
	instant applyable.
	
	* gnopi/defui.c:
	Fix dialog with ask.
	
	* gnopi/magui.c,.h:
	* gnopi/magconf.c,.h:
	Added options for focus tracking.
	
	* schemas/gnopernicus.schemas:
	Added alignmnet_x, and alignment_x gconf entry.
	
	* srcore/srmain.c:
	Added callback for alignment_x and alignment_y gconf events.

2003-11-11 Adi Dascal <ad@baum.ro>
	
	* magnifier/libmag/mag.c:
	BUGFIX #124641:
	Fixed tracking logic in case of "None" (no-focus-tracking for magnifier).

	* srconf/libsrconf/libsrconf.h:
	BUGFIX #124641:
	Added MAGNIFIER_ALIGNMENT_X and MAGNIFIER_ALIGNMENT_Y keys and the
	default for them.

2003-11-10 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/magui.c:
	Changed sensitivity property of "Cursor magnification" and 
	"Crosswire clip".
	
	* schemas/gnopernicus.schemas:
	Removed gconf-item cursor_mag.

	* gnopi/magui.c,
	* gnopi/magconf.c,h:
	Changed name of members of the Magnifier structure - cursor_mag 
	in cursor_scale.

2003-11-10 Adi Dascal <ad@baum.ro>
	
	* magnifier/libmag/mag.c:
	(mag_zoomer_set_params_alignment):
	    - alignment parameters are :centered, min, max, auto, none 
	    - they are no longer values of the enum
	    - they are used in focus-tracking
	(mag_zoomers_set_crosswire_size),
	(mag_zoomers_set_crosswire_color):
	    - operations have to be available even if there is no cursor, only
	    the crosswire is on
	    - changed from old behavior (if cursor was off crosswire was off too)
	(mag_tracking_logic):
	    - if the alignment is not "auto", it doesn't metter if the object is 
	    already in the magnified area; always move it so it would be as the
	    alignment parameter requires (centered, min, max aligned)
	
	* gnopi/magui.c,
	* gnopi/magconf.c,
	* srcore/srmain.c:
	BUGFIX #124479:
	The key for cursor scale is MAGNIFIER_CURSOR_SCALE, not 
	MAGNIFIER_CURSOR_MAG (srmag.c was using the correct one, but the other 
	files did NOT)
	
	* srconf/libsrconf/libsrconf.h:
	BUGFIX #124479:
	Removed MAGNIFIER_CURSOR_MAG and DEFAULT_MAGNIFIER_CURSOR_MAG.

2003-11-10 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Report the description as name in case that all other tries failed.
	(bug #126182).

2003-11-09 žygimantas Beručka <uid0@tuxfamily.org>

	* configure.in: Added "lt" to ALL_LINGUAS.

2003-11-07 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c:
	BUGFIX #126259:(screen_review_get_focused_line) the focused object is 
	not a really visible object so it won't be in any line; there is not 
	focused_line, so start from top (return line 1).

	* srlow/libsrlow/SRObject.c:
	(get_relation_from_acc) : return relation object, as the functions needs
	to return a SRRelation object, not boolean
   	
2003-11-06 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/cmdmapui.c:
	BUGFIX #125764: Added in command list the "window hierarchy flat" command.
	
	* gnopi/defui.c:
	BUGFIX #120642: Added Question dialog before set the default values.
	
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	BUGFIX #124534: Change text of "Crosshair" to "Cross-hair"
	
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	BUGFIX #120225: Changed name of "Position Switches" to "Position Sensors"
	
	* srconf/libsrconf/libsrconf.c:
	(srconf_get_data_with_default):Fix leak.
	(srconf_get_config_data_with_default):Fix leak.

2003-11-05 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_get_text_from_acc):
	(sro_get_button_from_acc):
	Changes to be more general (bug #120751).

2003-11-04 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentations):
	* schemas/gnopernicus.schemas:
	Change "destroy window" message with "closing window" (bug #125395).

2003-11-04 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_present_crt_window):
	In case of window:create window send the XML string to speech with an
	higher priority.

	* srcore/srpres.c:
	(src_presentation_present_sro_for_speech):
	Create an special XML string in case of ALERT windows and window:create
	event.

	* srlow/libsrlow/SRObject.c:
	(sro_get_text_from_acc):
	(sro_get_button_from_acc):
	(sro_alert_get_info):
	Added.

	* srlow/libsrlow/SRObject.h:
	(sro_alert_get_info):
	Added function prototype.
	
	All these changes are for fix bug #120751.

2003-11-03 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	BUGFIX #126095: Voice sliders could be change with arraw keys.
	Thanks the patch for Padraig.

2003-10-29 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_notify_clients_obj):
	Set the name for object in case of window events.

	* srlow/libsrlow/SRObject.c:
	(SRObject): Add a new field (name).
	(sro_init): Set name field to NULL for a new object.
	(sro_terminate): Free name field.
	(sro_default_get_name): Return as name the content of name field,
	in case that all other tries failed.
	(sro_set_name): Add this function.

2003-10-28 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_event_is_reported):
	Present value chenaged event for focused sliders (bug #125391).

2003-10-24 Adi Dascal <ad@baum.ro>
	
	* srlow/libsrlow/screen-review.c:
	(srw_get_toplevels): change the way these windows are collected (not
	using the SPI_STATE_ACTIVE anymore, but going up into the parents of
	the focused-object and gathering the toplevels, depending on the
	scope flags).

2003-10-23 Adi Dascal <ad@baum.ro>

	* srcore/srmag.c:
	(src_magnifier_load_values) :Do not return the NULL pointer if something 
	fails to be read from gconf|schemas. This will make the initial settings
	of magnifier not to be transmitted to the module.(BUGFIX #124765, BUGFIX #124111)
	
	* schemas/gnopernicus.schemas:
	Type of the cursor_color is int (not bool).
		
2003-10-23 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c,h:
	Remove extra tabs and semicolon.(BUGFIX #125207). 
	
2003-10-22 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_flat_review):
	* srlow/libsrlow/screen-review.c:
	(creen-review_get_focused_line):
	Return the index of focused line 1 based and present the right line.

2003-10-22 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c,h:
	- got rid of memory leaks that where present due to calls like:
		string = g_strconcat (string, string2, NULL);
	- got rid of including diffrent delimiters for diffrent roles
	 (This was redundant as this information is not passed to the 
	 screen-review client. The client will have the information about 
	 the role (role) and that the cell contains a delimitor (id) inside 
	 the SRWAccCEll structure)
	- introduced the z-order in the TextChunk, for future use (in case of 
	SRW_SCOPE_APPLICATION or SRW_SCOPE_DESKTOP scope.

	* srlow/libsrlow/screen-review.c,h,
	* srcore/srctrl.c:
	- replaced the name of DELIMITATOR with DELIMITER (this is indeed 
	english ;-) ) 

	* srcore/srctrl.c:
	If screen-review fails to make the lines (the number of lines returned 
	is zero) than end the flt review mode and let the user know about the
	failure.

2003-10-20 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c,h:
	Added scope flags : SRW_SCOPE_WINDOW, SRW_SCOPE_APPLICATION,
	SRW_SCOPE_DESKTOP.
	Deal with iconified windows. For the moment report the name of the
	window (the "iconofied" string is not concatenated to the title).
	Correction in the way that the active window is idetified.
	Added clipping against the desktop size for toplevel-windows.
	
2003-10-17 Pal Csongor Sprencz <ps@baum.ro>

	* srcore/srmain.c:
	Fix issue at load default gconf value of module activation.
	
2003-10-16 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_overview):
	Return from this call if speech is not enabled.

	* srlow/libsrlow/SRObject.c:
	(get_main_widget_from_acc):
	Prevent entering in an endless loop in case of no object with
	application role in parent line. (#124108)

2003-10-15  Jordi Mallach  <jordi@sindominio.net>

	* configure.in (ALL_LINGUAS): Added "ca" (Catalan).

2003-10-14 Pal Csongor Sprencz <ps@baum.ro>, Adi Dascal <ad@baum.ro>

	* magnifier/libmag/mag.c,
	* gnopi/magui.c:
	If cursor is set to off than the crosswire is not any longer turned off.
	The UI changes are accordingly.
	
	* srcore/srmain.c:
	* gnopi/gnopi.c:
	Make non-case sensitive command line values (bug #122089).
	
	* gnopi/magui.c:
	Fix bug sensitivity of spin button when the cursor is checked/unchecked.
	(bug #124484)

2003-10-13 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c,h:
	Copyright text - fixed.
	Add/remove some comments.
	
2003-10-09 Adi Dascal <ad@baum.ro>, Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/magconf.c,
	* srconf/libsrconf/libsrconf.h,
	* srcore/srmag.c:
	-Make sure that the coordinates are set ok in case of a change of 
	resolution. (if zoomer is (1200,0)-(1200,1200) in an 1600X1200 
	resolution than do a veritcal split in case of changing the resolution
	to 800X600 or something else that would make the previous setting, saved 
	in gconf, unusable)
	-Zoomer's coordinates are from 0 to size_x-1/ size_y-1 (not from 1 to
	size_x/size_y)
	
	* NEWS:
	Updated.
	
2003-10-09 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_get_mouse_coordinates_from_sro):
	Adjust values for x and y to ensure that always mouse will be moved
	to the left side of character.

2003-10-08 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentation):
	* schemas/gnopernicus.schemas:
	Add a presentation string for speech for toggle-button in case of
	"object:property-change:accessible-name" event.

	* srlow/libsrlow/SRLow.c:
	Report "object:property-change:accessible-name" event for current
	focused object.
	
	All changes are for bug #120654.

2003-10-07 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Avoid to report text events (insert and delete) for objects reported 
	in case of bug #123470.

2003-10-07 Adi Dascal <ad@baum.ro>
	
	* braille/libbrl/ttybrl.c (changes by Dave Mielke):
	Unbounded keys no longer send unpredictable value.
	Input command are now passed on to BRLTTY until a better way is found.

	* braille/libbrl/Makefile.am:
	Fixed distribution issues.(an EXTRA_DIST was missing)
	
	* NEWS:
	Updated.

	* configure.in:
	Changed package version number to 0.7.1.

2003-10-06 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Report focus events for status bar when user press ALT+CTRL+TAB
	(#123470).

	* NEWS:
	Updated.

2003-10-03 Adi Dascal <ad@baum.ro>

	* README:
	Updated (BRLTTY).

2003-10-03 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/brlconf.c:
	* gnopi/brlui.c:
	* srcore/srmain.c:
	* srcore/srbrl.c,.h:
	Added check if the selected translation table file exist.
	
	* srcore/Makefile.am:
	Added to includes the  -DBRAILLE_TRANS_TABLES_DIR define.
	
	* NEWS:
	Updated.

2003-10-02  KAMAGASAKO Masatoshi  <emerald@gnome.gr.jp>

	* configure.in: Added "ja" to ALL_LINGUAS.

2003-09-09  Abel Cheung  <maddog@linux.org.hk>

	* configure.in: Added "da" "es" "it" to ALL_LINGUAS.

2003-09-07  Wang Jian  <lark@linux.net.cn>

	* configure.in: Added "zh_CN" to ALL_LINGUAS.

2003-09-06  Laurent Dhima  <laurenti@alblinux.net>

	* configure.in: Added "sq" to ALL_LINGUAS.

2003-09-05 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_present_real_sro):
	report inserted text in case of text with length greater than 1
	(#121374).

2003-09-05 Remus Draica <rd@baum.ro>

	* configure.in:
	* gnopi/gnopi.c:
	* gnopi/Makefile.am:
	Removed code to create a script to launch gnopernicus binary (#116871).

	* NEWS: 
	Updated.

2003-09-05 Remus Draica <rd@baum.ro>

	* NEWS: 
	Updated.

2003-09-05 Bill Haneman <bill.haneman@sun.com>

	* srcore/srpres.c:
	* srlow/libsrlow/SRObject.[c,h]:
	Avoid to iterate all children for objects with MANAGES_DESCENDANTS
	state. (#100214). See first proposed patch for 100214.

2003-09-05 Remus Draica <rd@baum.ro>

	* correct Bill's patch to avoid compilation warnings. See second
	proposed patch for 100214.

2003-09-05 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c:
	Avoid to iterate all children for objects with MANAGES_DESCENDANTS
	state. (#100214). See third proposed patch for 100214.

2003-09-03 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/presconf.c:
	BUGFIX #120822: Fix compile error. Thanks for patch for Damien Carbery.
	
	* kbd_mouse/libke/libke.c:
	BUGFIX #118777: Fix to work layer under Solaris.
	BUGFIX #116998: Fix when use SPI_KEYLISTENER_ALL_WINDOWS.
	
	* NEWS:
	Updated.
	
	* README:
	Updated.


2003-09-03 Adi Dascal <ad@baum.ro>

	* configure.in:
	Changed package version number to 0.7.0. 
	
	* NEWS:
	Updated.
	
	* README:
	Updated.

2003-09-02  Ole Laursen  <olau@hardworking.dk>

	* configure.in: Added "da" (Danish) to ALL_LINGUAS.

2003-09-01  Alessio Frusciante <algol@firenze.linux.it>

	* configure.in: Added "it" (Italian) to ALL_LINGUAS.

2003-08-25 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spvoiceui.c:
	Fix. Wrong speaker has a voice if it changed the driver.

2003-08-25 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/presui.c:
	* gnopi/presconf.c,.h:
	Fix bug at presentation remove. Did not remove item if has a default factory
	which are working and the item are in the default factory.

2003-08-25 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	BUGFIX #120471: Added accelerators for Add/Modify and remove buttons.

2003-08-23  Christophe Merlet  <redfox@redfoxcenter.org>

	* configure.in: Added "fr" to ALL_LINGUAS

2003-08-22 Pal Csongor Sprencz <ps@baum.ro>

	* kbd_mouse/libke/libke.c:
	Fix to filter incorect TIMEOUT events.
	Removed unused codes.

2003-08-21  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "no" to ALL_LINGUAS

2003-08-19 Adi Dascal <ad@baum.ro>

	* gnopi/gnopi_files/about.glade2:
	Changed name of "BAUM retec AG" in "BAUM Retec AG". This is a text that 
	is not to be translated.

	* speech/libsrs/spgs.c : 		
	Report if one of the voices is not able to speak.

	* braille/libbrl/Makefile.am:
	Fixed distribution issues.(Thanks to Mario Lang)

2003-08-19  Dafydd Harries  <daf@parnassus.ath.cx>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS.

2003-08-18 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi.c:
	* srcore/srmain.c:
	Changed for --disable-XXX command line options short name to upper charcater of 
	the --enable-XXX short name.
	
	* README:
	Updated.
	

2003-08-18 Adi Dascal <ad@baum.ro> (patch from Joe Marcus Clarke <marcus@freebsd.org>)

	* magnifier/libmag/mag.c:
	BUGFIX #119814: Replaced 'atoll' call to 'strtoll' function as a 
	portability fix.
	
	* srcore/srbrl.c:
	BUGFIX #119814: Include sys/types.h as a portability fix.
	
	* srutil/util.c:
	BUGFIX #119814: Include the final '}' in the IPv6 ifdef.

	* NEWS:
	Updated.

	* configure.in:
	Changed package version number to 0.3.6. 
		
2003-08-16 Guntupalli Karunakar <karunakar@freedomink.org>

	* configure.in: Added "hi" to ALL_LINGUAS.

2003-08-15 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi.c:
	* gnopi/coreconf.c:
	* srconf/libsrconf/libsrconf.h:
	* srcore/srmain.c:
	Made a synchronization between the gnopi and srcore at init.
	
	* README:
	Updated.

2003-08-15 Remus Draica <rd@baum.ro>

	* srcore/srpres.c:
	* srlow/libsrlow/SRObject.c:
	Changes to report the new "hyper link" role from mozilla.

	* NEWS:
	Updated.

2003-08-15 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi.c:
	* srcore/srmain.c:
	Changed and added new command lines. 
	(disable/enable braille, speech, magnifier, braille monitor)

2003-08-14 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_kb_key_echo):
	(src_kb_cursor_echo):
	Change priority with which strings are sended to speech.
	
	* srcore/srspc.c:
	(src_speech_translate_symbol):
	Add leading and trailing spaces in case of translation of a symbol.
	in case of '?', '!' and '.' always leave the sign and and translate it.
	(src_speech_process_string):
	Force translation for a single symbol,

2003-08-14 Adi Dascal <ad@baum.ro>
	
	* gnopi/gnopernicus.in:
	Added. From this "template", the gnopernicus script will be generated.
	The new 'gnopernicus' script is acting exactly like the formal 
	'gnopernicus' binary, meaning that is accepting the same parameters.
	
	* configure.in:	
	* gnopi/Makefile.am:
	Changed name of 'gnopernicus' binary into 'gnopernicus.bin'.
	Created the 'gnopernicus' script in order to launch the GUI with a11y
	gtk-modules loaded in, so gnopernicus.bin application will always be 
	accessible. This is needed because of the accessibility key (the gconf 
	key that needs to be set in order to turn accessibility ON). If gnopernicus
	wouldn't load the a11y libraries (this would be/is possible only at 
	start-up time) the dialogs that announce the user that the key is OFF 
	wouldn't be "visible" for the blind user.
	Being a screen reader, the only one tool that allows the blind user to
	interact with the desktop, gnopernicus needs to be always accessible,
	and not to alterate the environment without user's approvement. 

2003-08-14 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_textget_caret_location):
	Fill location structure with proper values.

2003-08-13  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: Added "be" (Belarusian) to ALL_LINGUAS.

2003-08-13 Adi Dascal <ad@baum.ro>

	* braille/libbrl/Makefile.am,
	* braille/libbrl/braille.c,
	* magnifier/libmag/Makefile.am:
	Fixed distribution in case of conditional building/compiling.
	(Automake needs to know the list of files that are intended to be 
	compiled statically. In adition the EXTRA_* variable supports dist_ and 
	nodist_ prefix; dist_ is redundant) 

	* srcore/Makefile.am:
	Get rid of temp.xml from EXTRA_DIST, as this file does NOT exist anymore.

2003-08-12 Pal Csongor Sprencz <ps@baum.ro>
	
	* kbd_mouse/libke/libke.c:
	(ke_report_keyecho_event):Filter a release key events.

2003-08-12 Pal Csongor Sprencz <ps@baum.ro>
	
	* gnopi/gnopi.c:
	* gnopi/gnopi_files/about.glade2:
	* srcore/srmain.c:
	Remove translation text.
	BUGFIX #119676

2003-08-11 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/about.glade2:
	Changed Copyright text. Add more persons in Thanks to tab.
	
	* help/gnopernicus/C/gnopernicus.xml:
	* help/braille_monitor/C/brlmonitor.xml:
	Changed Copyright text.

2003-08-11 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmonui.c:
	* gnopi/bmui.c:
	Automatic adjust of cell height to font size.

	* srcore/srmain.c:
	Removed unused comments.

2003-08-11 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2:
	Added relations(labeled by/for) between widgets.
	
	* gnopi/gnopi.c:
	Added more command line parameters ("--braille", "--speech", 
	"--magnifier", "--braille-monitor", "--braille-device", "-braille-port")
	Not finish gnopernicus execution when it show a log out dialog box.
	
	* srconf/libsrconf/libsrconf.h:
	Added MIN_BRAILLE_PORT, and MAX_BRAILLE_PORT.
	
	* srcore/srbrl.c:
	* srcore/srmain.c:
	Added more command line parameters. 
	
	* README:
	* NEWS:
	Updated.

2003-08-11 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_process_mouse_event):
	* srlow/libsrlow/SRLow.c:
	Removed all code for listening, processing and reporting 
	mouse:rel events (bugfix #119570).

2003-08-10  Changwoo Ryu  <cwryu@debian.org>

	* configure.in: Added "ko" to ALL_LINGUAS.

2003-08-08 Adi Dascal <ad@baum.ro>

	* braille/libbrl/ttybrl.c:
	 Call of brlapi_getTty has now the first parameter 0 (not 7), 
	 so the	function will inspect the value of CONTROLVT, environment
	 variable. Please see instructions on BRLTTY and gnopernicus
	 at http://mielke.cc/brltty/doc/Gnopernicus.txt
	 
	* speech/test/srsml.xml:
	Updated the SML test file with UTF8 texts (french and spanish).
	
	* speech/test/tester.c:
	Updated.
	
	* srcore/srmain.c:
	Updated the exit-message of gnopernicus.
	
	* srcore/srspc.c:
	Corrected the call of srs_xml_output : instead of the length of the
	UTF8 string, the size of the string is required. This fixes the 
	warning messages that appeared in case of UTF8 strings (german), about
	diffrent tags expected, opening and ending tag mismaches.
	
	* NEWS:
	Updated.
	
	* README:
	Updated. Added information about the link that describes usage of
	gnopenricus in conjunction with BRLTTY.
	
	* configure.in:
	Changed package version number to 0.3.5. 

2003-08-06 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srle_set_acc, srle_change_type, srl_event_is_reported):
	Changes to report link selection events for mozilla.

	* NEWS:
	Updated.

2003-08-06  Metin Amiroff<metin@karegen.com>

	* configure.in: Added "az" (Azerbaijani) to ALL_LINGUAS

2003-08-06 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentations):
	* schemas/gnopernicus.schemas:
	Add default presentation string for "window:rename" event.

	* srlow/libsrlow/SRLow.c:
	Added support to report if a window changed it name.

2003-08-06 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/brlui.c:
	* gnopi/cmdmapui.c:
	* gnopi/magui.c:
	* gnopi/presui.c:
	Combo boxes editable falgs set to False.

2003-08-05 Adi Dascal <ad@baum.ro>
	
	* braille/libbrl/baumbrl.c:
	Added INKA initialization (finished INKA driver).

	* braille/libbrl/braille.c:
	Modified to support INKA driver.

2003-08-04 Adi Dascal <ad@baum.ro>

	* speech/libsrs/spgs.c : 
	Eliminated two globals that had no reason for being globals.
	Fixed callback checking according to gnome-speech 0.2.4 changes.

2003-08-04 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/findui.c:
	BUGFIX #119079: Search setting UI review.
	
	* README:
	Updated.

2003-08-04 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spui.c:
	(punct_keys):
	Replace TRANSLATE with MOST and BOTH with ALL.

	* schemas/gnopernicus.schemas:
	Replace defualt value for punctuation from SOME to IGNORE.

	* srconf/libsrconf/libsrconf.h:
	Replace defualt value for DEFAULT_SPEECH_PUVTUATION from SOME to IGNORE.

2003-08-04 Remus Draica <rd@baum.ro>

	* srcore/srspc.c:
	(src_speech_dictionary):
	Changed last filed type from SRCSpeechPunctuationType to gboolean. 
	Filled the structure in proper way.
	(src_speech_set_translate_for):
	Added.
	(src_speech_set_punctuation_type):
	(src_speech_translate_symbol):
	Updated.

2003-08-04 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_init):
	Added initialization for srl_idle_need And srl_idle_installed.
	(srl_report_event):
	Prevent calling srle_free directly for an element in srl_last_events
	array.

2003-08-04 Remus Draica <rd@baum.ro>

	* gnopi/spconf.c:
	(speakers):
	* schemas/gnopernicus.schemas:
	Added default parameters for the new "empty" voice.

	* srcore/srctrl.c:
	(src_flat_review_line):
	Report empty lines with voice "empty".

2003-08-02  Christian Neumair  <chris@gnome-de.org>

	* gnopi/gnopi_files/Braille_Settings/translation_table.glade2:
	Fixed typo (Translatation => Translation).

2003-08-02 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/gnopi.glade2:
	Changed "Startup Mode" label to "Startup Mode..."
	
	* gnopi/gnopi_files/Find/find.glade2:
	Changed Close Button to OK button

2003-08-01 Pal Csongor Sprencz <ps@baum.ro>
	
	* gnopi/gnopiui.c:
	* gnopi/magui.c:
	* gnopi/findui.c:
	Updated after BUG #117229 recomandation.
	
	* gnopi/gnopi_files/start_up.png:
	Created.
	
	* gnopi/gnopi_files/Makefile.am:
	Added icon start_up.png.
	
	* gnopi/gnopi_files/gnopi.glade2:
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	* gnopi/gnopi_files/General_Settings/general_settings.glade2:
	* gnopi/gnopi_files/Load_Default/load_default.glade2:
	* gnopi/gnopi_files/Find/find.glade2:
	Updated UI for UI freez.
	
	* README:
	Updated.

2003-08-01 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c,h,
	* srcore/srctrl.c:
	BUGFIX #112459: Switching from higherarkical review mode to flat review
	is NOT causing, anymore, the review position to default to the top of 
	the current context, BUT is presenting the line containing the focused 
	object.
	In addition, in review mode:
	    - the 7 key, on layer 0: presents the first line 
				    (top of the current context)
	    - the 1 key, on layer 0: presents the last line  
				    (bottom of the current context)
	    - the 3 key, on layer 0: presents the line containing the focused 
				    object
	* srcore/srmain.c:
	Free screen-review's structures before exiting (if gnopernicus is still
	in flat-review mode when gnopernicus exists memory leaks would occur
	without this change, because the clean up was done only when switching
	to focus tracking )
	
	* README:
	Updated to let users know about these new commands.

	* NEWS:
	Updated (prepare for a new release).

2003-08-01 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/srcui.c:
	Set/unset count empty lines when All checkbox is toggled.

2003-08-01 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c,h:
	(srw_lines_get_n_lines):Count the number of empty lines if the SRW_ALIGNF_VSP_COUNT_LINES flag
	is set.
	Adjust SRWAccLine structure so this number can be passed to the 
	screen-review client.
	
	* srcore/srctrl.c:
	(src_flat_review_line)
	Report number of empty lines to braille, brlmon and speech.
	BUGFIX #108281 (partially; special voice for empty line(S) STILL needs 
	to be added)

2003-08-01  Artur Flinta  <aflinta@cvs.gnome.org>
                                                                                
        * configure.in: Added pl to ALL_LINGUAS.

2003-07-31 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spconf.c,.h:
	* gnopi/spvoiceui.h:
	Fix problem whit force all voice at driver.
	(spconf_driver_list_get_speech_voice): Added.
	
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2:
	* gnopi/srcui.c:
	Added new flag. COUNT EMPTY LINES
	
	* srlow/libsrlow/screen_review.h:
	Added  SRW_ALIGNF_VSP_COUNT_LINES flag.

2003-07-31 Adi Dascal <ad@baum.ro>

	* speech/libsrs/spgscb.h : 
	Updated for GNOME Speech 0.2.4 - include gnome-speech/gnome-speech.h

2003-07-31 Adi Dascal <ad@baum.ro>

	* speech/libsrs/spgs.c : 
	Updated for GNOME Speech 0.2.4 - word markers.

2003-07-31 Remus Draica <rd@baum.ro>

	* schemas/gnopernicus.schemas:
	* gnopi/presconf.c:
	(default_presentations):
	Changed presentation string for tooltip:hide events.

2003-07-31 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spconf.c:
	* gnopi/spvoiceui.c:
	Add "noname" title for voice which nam length is 0. 
	Fix  at add_modify the voice changes.


2003-07-31 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spconf.c,.h:
	* gnopi/spvoiceui.c:
	BUGFIX #118332 Show readable driver names and voice names.
	
	* gnopi/gnopi_files/about.glade2:
	BUGFIX #118687: Remove from translation text which not needed.
	Mentioneted that every time if the file is loaded in glade-2 the 
	translation flag is set to yes.
	
	* kbd_mouse/libke/libke.c:
	Ararnge variable name, clean code.
	
	* configure.in:
	BUGFIX #118678: Fixed ambiguous pot file name.

2003-07-31 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_notify_clients_obj):
	Remove an output for debug purpose.

2003-07-31 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Rewrite this file. Bug fixies #108089, #117576, #118257, #117478.

2003-07-31 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	* srcore/srctrl.[c,h]:
	Report object role in flat review mode in case of pressing positional or
	optical sensor from braille device (bug #118331).

2003-07-31 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/about.glade2:
	BUGFIX #118687: Remove from translation text which not needed.
	BUGFIX #118688: Fixed typo errors.
	BUGFIX #118689: Fixed typo errors.
	Added automatical text wrapping.
	
	* gnopi/gnopi_files/Braille_Monitor_Settings/braille_monitor_settings.glade2:
	BUGFIX #118691: Fixed consistency.
	
	* gnopi/gnopi_files/Braille_Settings/braille_style.glade2:
	BUGFIX #118692: Fixed typo errors.
	
	* gnopi/gnopi_files/Braille_Settings/cursor_settings.glade2:
	BUGFIX #118694: Removed trainling space.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	BUGFIX #118718: Fixed message" Count characters"

2003-07-30 Pal Csongor Sprencz <ps@baum.ro> (Damian Carbery <damien.carbery@sun.com>)
    
	* kbd_mouse/libke/libke.c:
	BUGFIX #118654: Fix bug for solaris compilation (u_int32_t).

2003-07-30 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Report label as part of the name in case of check boxes.

2003-07-30 Pal Csongor Sprencz <ps@baum.ro>
    
	* gnopi/gnopi.c:
	Removed unused code.
	
	* gnopi/gnopiui.c:
	Added "Thanks to" tabs for about dialog.
	
	* gnopi/gnopi_files/about.glade2:
	Created.
	
	* gnopi/gnopi_files/Makefile.am:
	Added about.glade2.

2003-07-30 Pal Csongor Sprencz <ps@baum.ro>
    
	* gnopi/gnopi_files/Load_Default/load_default.glade2:
	BUGFIX #118594: Remove redundant text from buttons.
	Numbering the buttons.

2003-07-29  Marc Mulcahy  <marc.mulcahy@sun.com>

	* speech/libsrs/spgs.c (gs_init_activate_server): Updated for
	GNOME Speech 0.2.4

	* configure.in: Updated to require GNOME Speech 0.2.4

2003-07-29 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Braille_Monitor_Settings/braille_monitor_settings.glade2:
	Removed is panel option.

2003-07-29 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/gnopi.glade2:
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	* gnopi/gnopi_files/Keyboard_Mouse_Settings/keyboard_mouse_settings.glade2:
	* gnopi/gnopi_files/Load_Default/load_default.glade2:
	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/General_Settings/general_settings.glade2:
	* gnopi/gnopi_files/Braille_Monitor_Settings/braille_monitor_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_style.glade2:
	* gnopi/gnopi_files/Braille_Settings/cursor_style.glade2:
	* gnopi/gnopi_files/Braille_Settings/tanslation_table.glade2:
	Updated. Removed stops/perods from tooltips.
	
	* brlmon/brlmonui.c:
	* gnopi/bmui.c:
	* gnopi/bmconf.c,h:
	Removed window style. Only in panel style is displayed.
	
	* kbd_mouse/linbke/libke.c:
	Modified user_key, and textecho listeners.
	
	* README:
	Updated.Ã³o

2003-07-28 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/presui.c:
	Grab "focus_out_event" in add/modify window.
	Fixed state machine for chunk spliting.

2003-07-28 Pal Csongor Sprencz <ps@baum.ro>
    
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Changed accessible name for slides.
	
	* srconf/libsrconf/libsrconf.h:
	* schemas/gnopernicus.schemas:
	Changed "SAME" to "SOME".

2003-07-28 Remus Draica <rd@baum.ro>

	* schemas/gnopernicus.schemas:
	Changed presentation string for tooltips objects, for hide event, for
	speech device. (bug #118257).

2003-07-28 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spvoiceui.c:
	* gnopi/gnopi_files/Speech_Settings.glade2:
	BUGFIX #108826: Changed a value of (volume, rate, pitch) when the spin 
	button is edited.

2003-07-25 Adi Dascal <ad@baum.ro>

	* speech/libsrs/spgs.c:
	Enhace reporing of problems for speech.
	If a speaker could NOT be created, don't try to release it because crash
	might occur. (FreeTTS case)

2003-07-25 Adi Dascal <ad@baum.ro>

	* speech/libsrs/spgs.c:
	Report only once that a certain voice does NOT support speech markers.
	
2003-07-25 Pal Csongor Sprencz <ps@baum.ro>

	* srcore/srspc.c,.h:
	* gnopi/spui.c:
	Renamed SRC_SPEECH_PUNCTUATION_SAME to SRC_SPEECH_PUNCTUATION_SOME,.
	
	* gnopi/gnopi_files/Find/find.glade2:
	Added Escape accelerator to close dialog window.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	BUGFIX #118226: New alignment.
	
	* gnopi/gnopi_files/Magnifier_Settings/magnifeir_settings.glade2:
	Updated.
	
	* gnopi/mgconf.h:
	Added casting for value. (Somtimes show warning because not have 
	the casting)

2003-07-25 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_event_sink):
	Report new focused object after exit from flat review mode
	(bug #118243).

2003-07-24 Pal Csongor Sprencz <ps@baum.ro>

	* srcore/srmain.c:
	* srcore/srspc.c:
	BUGFIX #118113: Typo error
	
	* gnopi/presui.c:
	BUGFIX #117294: Typo error.
	
	* gnopi/spvoiceui.c:
	* gnopi/magui.c:
	* gnopi/gnopi_files/gnopi.glade2:
	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Updated.

2003-07-24 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_process_sro_event):
	Call src_magnifier_start_panning only if magnifier is active
	(bug #117478).

2003-07-24 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi.c:
	* gnopi/gnopi_files/gnopi.glade2:
	BUGFIX #116871.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Updated.

2003-07-24 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_nav_change_mode):
	Changed the strings which will be sended to speech (bug #117293).

2003-07-24 Remus Draica <rd@baum.ro>

	* schemas/gnopernicus.schemas:
	* gnopi/presconf.c:
	Changed presentation string for menu-bar to report name for children,
	not the number of them.

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Report the label relation as name for sliders.

2003-07-24  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added Portuguese (pt) to ALL_LINGUAS.

2003-07-23  Danilo ÃÂ egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-07-23 Adi Dascal <ad@baum.ro>

	* schemas/gnopernicus.schemas,
	* srconf/libsrconf/libsrconf.h:
	BUGFIX #117999 (part of this bug): 
	Change the name of the default language, for braille's translation 
	table to "de" (from "GE"), to comply with changes from 2003-07-04

2003-07-23 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/bmui.c,.h:
	* gnopi/bmconf.c,.h:
	* gnopi/gnopi_files/Braille_Monitor_Settings/
	braille_monitor_settings.glade2:
	* brlmonui.c:
	Added code for new font and to resize it.
	
	* brlmon/braille_fonts/Makefile.am:
	Updated. Copy font in install path.
	
	* brlmon/braille_fonts/braille14.bdf:
	Removed.
	
	* brlmon/braille_fonts/braillehc.afm:
	* brlmon/braille_fonts/braillehc.pfb:
	* brlmon/braille_fonts/braillehc.pfm:
	Added.
	
	* srconf/libsrconf/libsrconf.h:
	Added new keys.
	
	* configure.in:
	Changed default font dir to default Type1 font dir.
	(/usr/share/fonts/default/Type1)
	
	* README:
	Updated.

2003-07-22 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spvoiceui.c:
	Made state sensitive the (volume, rate, pitch) labels from 
	"Edit Aboslute" dialog box.	
	
	* brlmon/brlmonui.c:
	* help/braille_monitor/C/brlmonitor.xml:
	* help/gnopernicus/C/gnopernicus.xml:
	Fixed typo error.

2003-07-22 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/brlui.c:
	* gnopi/cmdmapui.c:
	Updated.
	
	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2:
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	* gnopi/gnopi_files/Properties/properties.glade2:
	* gnopi/gnopi_files/General_Settings/general_settings.glade2:
	Updated.

2003-07-21 Pal Csongor Sprencz <ps@baum.ro>
    
	* SRUtil/util.c,.h:
	(get_sockaddr): Created.
	
	* srcore/srbrl.c:
	* brlmon/brlmon.c:
	* brlmon/tester.c:
	* braille/test/remote.c:
	* configure.in:
	Remove linc dependecy.
	BUGFIX #116971
	BUGFIX #92652

2003-07-21 Adi Dascal <ad@baum.ro>

	* speech/libsrs/spgs.c:
	BUGFIX #116888: Check if voices are valid before use them.
	Cosmetical changes.

2003-07-21 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/findui.c:
	Updated.
	
	* gnopi/gnopi_files/Braille_Settings/braille_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2:
	* gnopi/gnopi_files/Braille_Settings/attribute_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_style.glade2:
	* gnopi/gnopi_files/Braille_Settings/translation_table.glade2:
	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/Screen_Review/screen_review:
	Updated.
	BUGFIX #117525

2003-07-21 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/bmui.c:
	Remove a debug strings.
	
	* gnopi/kbui.c:
	Changed loaded window name to "Mouse Preferences"
	
	* gnopi/Find/text_selected_24.png:
	Created.
	
	* gnopi/Find/Makefile.am:
	Updated.
	
	* gnopi/gnopi.glade2:
	* gnopi/Speech_Settings/speech_settings.glade2:
	* gnopi/Find/find.glade2:
	* gnopi/General_Settings/general_settings.glade2:
	* gnopi/Braille_Monitor_Settings/braille_monitor_settings.glade2:
	Updated.
	BUGFIX #117434
	BUGFIX #117415
	
	* README:
	Updated.

2003-07-21 Remus Draica <rd@baum.ro>

	* util/SRMessages.h:
	Changed conditions evaluation for sru_assert, sru_return_if_fail and
	sru_return_val_if_fail.

2003-07-18 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_surroundings_logic):
	(src_overview):
	Use ngettext to return the right plural form.

	* util/SRMessages.[c,h]:
	* util/SREvent.c:
	* util/SRintl.h:
	* util/util.h:
	* srlow/libsrlow/SRObject.c: 
	Remove unused code.

	* util/SRintl.h:
	Add definition for ngettext in case ENABLE_NLS is not defined.

	* util/SRMessages.h:
	Avoid multiple checks of conditions for macros defined here.

2003-07-17 Padraig O'Briain <padraig.obriain@sun.com>

	* srlow/libsrlow/SRObject.c: 
	(sro_default_get_name): 
	(get_sro_children): Check return value from 
	AccessibleTable_getRowAtIndex is non-negative before using it
	This fixes bug #117502.

2003-07-16 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/brlui.c:
	* gnopi/cmdmapui.c:
	* gnopi/presui.c:
	* gnopi/spvoiceui.c:
	* gnopi/spdictui.c:
	Add interactive search for list views.
	
	* gnopi/bmui.c:
	Correct warrnings at load default.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Made not editable the engine and the voice combo boxes.

2003-07-15 Pal Csongor Sprencz <ps@baum.ro>

	* srcore/srspc.c:
	BUGFIX #117425: Use "Greater" instead of "Grand".
	BUGFIX #117426: Use "Hash" instead of "Diez".
	
	* gnopi/brlui.c:
	* gnopi/spvoiceui.c:
	* gnopi/spdictui.c:
	* gnopi/cmdmapui.c:
	* gnopi/presui.c:
	Made insensiteve the buttons when in list no selected item.
	
	* gnopi/gnopi_files/gnopi.glade2:
	Apply patch proposed by Calumn Benson.
	Added icon for Braille Monitor Settings.
	
	* gnopi/gnopi_files/monitor.png:
	Created.
	
	* gnopi/gnopi_files/Makefile.am:
	Added monitor.png
	
	* gnopi/gnopi_files/Keyboard_Mouse_Settings/keyboard_mouse_settings.glade2:
	BUGFIX# 117422.
	
	* gnopi_files/Load_Default/load_default.glade2:
	Made button labels title caps.
	
	* gnopi_files/General_Settings/general_settings.glade2:
	Updated.
	
	* README:
	Updated.

2003-07-14 Pal Csongor Sprencz <ps@baum.ro>
    
	* gnopi/gnopi_files/Braille_Monitor_Settings/braille_monitor_settings.glade2:
	BUGFIX #117073: Fixed cryptic message.
	
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	BUGFIX #117288: Use "crosshair" instead of "crosswire".
	
	* gnopi/gnopi.c:
	BUGFIX #117281: "take effect"  misstype fixed.
	
	* srcore/srctrl.c:
	BUGFIX #117370: Fixed typo error. "Comands".
	
	* srcore/srmain.c:
	BUGFIX #117371: Change exit text to "Gnopernicus is going to exit now."
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	BUGFIX #117372: Removed extra spaces.
	
	* srcore/srspc.c:
	BUGFIX #117378: Fix typo error.

2003-07-14 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen_review.c:
	Fixies to avoid usage of uninitialized variables.

2003-07-14 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	Fixies to avoid usage of uninitialized variables.

2003-07-14 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/presui.c:
	BUGFIX #117294: Misspelled "colud".
	
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	BUGFIX #117291: "Brialle" typo error fixed.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	BUGFIX #117290: "all voice" typo error fixed.
	BUGFIX #117289: "whit" typo error fixed.
	BUGFIX #117286: typos errors fixed.
	
	* gnopi/gnopi.c:
	BUGFIX #117281: "log out that the change" typo error fixed.
	
	* gnopi/cmdmapui.c:
	* gnopi/brlui.c:
	BUGFIX #117276: Fixed inconsistency in messages.
	
	* gnopi/gnopiconf.c:
	BUGFIX #117275: Fixed inconsistency in messages.
	
	* gnopi/bmui.c:
	BUGFUX #117274: Fixed inconsistency in messages.
	
	* gnopi/genui.c:
	BUGFIX #116961: Fixed inconsistency in messages.
	
	* gnopi/cmdui.c:
	BUGFIX #116230: Don't use mag slang.
	
	* brlmon/brlmon.c:
	BUGFIX #117271: Fixed inconsistency in messages.
	
	* brlmon/brlmonui.c:
	BUGFIX #117272: Fixed misspelling "dispaly".
	
	* srconf/linsrconf/libsrconf.c:
	* gnopi/langui.c
	* brlmon/brlmonui.c:
	* srcore/srspc.c:
	Fixies to avoid usage of uninitialized variables.

2003-07-13  Hasbullah Bin Pit  <sebol@ikhlas.com>
                                                                                
        * configure.in: Added "ms" (Malay) to ALL_LINGUAS.

2003-07-12  Evandro Fernandes Giovanini <evandrofg@ig.com.br>

	* configure.in: Added "pt_BR" to ALL_LINGUAS.

2003-07-10 Paul Duffy <dubhthach@frink.nuigalway.ie>

        * configure.in: Added "ga" to ALL_LINGUAS

2003-07-10 Adi Dascal <ad@baum.ro>
	
	* srlow/libsrlow/screen-review.c,h:
	A little cosmetical change (more required).

2003-07-10 Adi Dascal <ad@baum.ro>

	* configure.in:
	Put back linc dependecy until we find the solution for #116971

2003-07-10 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi.c:
	(gn_check_accessibility_key): Created. Check if the
	"/desktop/gnome/interface/accessibility" key is turned on. If not
	ask the user to turn on.
	(gn_init): Split function in 2 function "gn_init_gconf" and "gn_init".
	
	* gnopi/gnopiconf.c,.h:
	(gnopiconf_get_bool):Created.
	
	* gnopi/cmdmapui.c:
	Added namspace "cmdui_command_list".
	(cmdui_command_list_restore_state): Created.
	Leak fixes. And error message misses.
	
	* gnopi/cmdmapconf.c,.h:
	(cmdconf_remove_item_from_gconf_list): Renamed to 
	    "cmdconf_remove_items_from_gconf_list"
	(cmdconf_remove_list_from_gconf): Renamed to 
	    "cmdconf_remove_lists_from_gconf"
	(cmdconf_remove_item_from_list): Created.

	* gnopi/brlui.c:
	    Correct function call name "cmdconf_remove_item_from_gconf_list".
	* gnopi/defui.c:
	    Correct function call name  "cmdconf_remove_list_from_gconf".

2003-07-10 Pablo Gonzalo del Campo  <pablodc@bigfoot.com>

        * configure.in: Addes "es" (Spanish) to ALL_LINGUAS.

2003-07-10 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Changed to report name in case of a table (bug #116013).

2003-07-10 Remus Draica <rd@baum.ro>

	* schemas/gnopernicus.schemas:
	* gnopi/presconf.c:
	Changed presentation strings for push-button to report if button is 
	available or not.

2003-07-08 Pal Csongor Sprencz <ps@baum.ro>

	* srconf/libsrconf/libsrconf.c:
	BUGFIX #116161: Replace "dir" whit "directory".

2003-07-08 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmon.c:
	BUGFIX #116964: Fixed misspelling. Add space after ":".
	
	* brlmon/brlmonui.c:
	BUGFIX #116964: Fixed misspelling. Add space after ":".
	BUGFIX #116955: Removed messages with "Recommended to delete 
	~/gconf/gnopernicus directories".
	
	* brlmon/brlmonxml.c:
	Made localazable the message strings.
	
	* srconf/libsrconf/libsrconf.c:
	BUGFIX #116955: Removed messages with "Recommended to delete 
	~/gconf/gnopernicus directories".
	
	* gnopi/bmconf.c:
	* gnopi/bmui.c:
	* gnopi/brlconf.c:
	* gnopi/brlui.c:
	* gnopi/cmdmapconf.c:
	* gnopi/cmdmapui.c:
	* gnopi/coreconf.c:
	* gnopi/defui.c:
	* gnopi/gnopi.c:
	* gnopi/gnopiconf.c:
	* gnopi/kbconf.c:
	* gnopi/magconf.c:
	* gnopi/magui.c:
	* gnopi/presui.c:
	* gnopi/spconf.c:
	BUGFIX #116964: Fixed misspelling. Add space after ":".
	BUGFIX #116959: Fixed misspelling "Atrribute" and the uppercase 
	misspelling.
	BUGFIX #116955: Removed messages with "Recommended to delete 
	~/gconf/gnopernicus directories".

2003-07-08 Pal Csongor Sprencz <ps@baum.ro>
	
	* kbd_mouse/libke/libke.c:
	Revert changes made to use SPI_KEYLISTENER_ALL_WINDOW used for numpad
	keys. 

2003-07-08 Adi Dascal <ad@baum.ro>

	* gnopi/defui.c:
	BUGFIX #116957: fixed the typo error in "All default setting loaded" ->
	"All default settings loaded".

	* srcore/srctrl.c:
	BUGFIX #116954: got rid of "%d-th" strings and introduced a translatable
	form.

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	BUGFIX #116969: fixed the typo error in "Inver crosswire color." ->
	"Invert crosswire color."

	* gnopi/genui.c:
	BUGFIX #116961: fixed malformed messages that were supposed to be
	translated.

2003-07-08 Calum Benson <calum.benson@sun.com>

	* gnopi/gnopernicus.png:
	BUGFIX #115981: updated application icon.

2003-07-08 Adi Dascal <ad@baum.ro>

	* configure.in:
	BUGFIX #116971: get rid of linc dependecy.

2003-07-08 Adi Dascal <ad@baum.ro>

	* gnopi/spvoiceui.c:
	BUGFIX #116963: Fixed the "invalid" misspelling.

	* gnopi/brlui.c,
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2,
	* brlmon/brlmon.c:
	BUGFIX #116958: Get rid of trailing spaces, tabs and newlines in
	messages to be translated.

	* gnopi/spconf.c:
	BUGFIX #116962: Make message more clear.

2003-07-08 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	Correct the redio group for position sensors.

2003-07-08 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	BUGFIX #116956: Replace word "Dievice" with "Device".

	* gnopi/brlui.c:
	* gnopi/cmdmapui.c:
	* gnopi/spdictui.c:
	* gnopi/spvoice.c:
	* gnopi/presui.c:
	Added more dialog box messages.

2003-07-07 Pal Csongor Sprencz <ps@baum.ro>
	
	* schemas/gnopernicus.schemas:
	Updated.
	
	* kbd_mouse/libke/libke.c,.h:
	Use Toolkit listener for keyecho and for user defined keys.
	Use global window listener for numpad keys.
	BUGFIX #112399: limit the keycombination what a user can define.
	Register user keyevent whit keycode obtained from Xserver.
	
	* gnopi/brlui.c:
	(brlui_add_modify_ok): Show message if key is invalid.
	
	* gnopi/cmdmapconf.c:
	* gnopi/cmdmapui.c:
	BUGFIX #112399: made localizable the display keys text. Limit number of
	keys in selectable list.
	
	* gnopi/defui.c:
	Removed defui_send_msg function. Call gn_show_message instead of
	defui_send_msg.
	
	* gnopi/genui.c:
	Replace "Braille Monitor" with "Braille monitor".
	
	* gnopi/gnopiui.c,.h:
	(gn_show_message): Created.
	
	* gnopi/magui.c:
	Made localizabe an items from combos.
	
	* gnopi/presui.c:
	Show message at invalid item. Fill role, event, and device combos.

	* gnopi/spvoiceui.c:
	Use gn_show_message instead of spui_send_msg.
	(spui_send_msg):Removed.
	
	* gnopi/gnopi_files/gnopi.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_settings.glade2:
	* gnopi/gnopi_files/General_Settings/general_settings.glade2:
	* gnopi/gnopi_files/Presentation/presentation.glade2:
	* gnopi/gnopi_files/Load_Default/load_default.glade2:
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	Updated.

2003-07-07 Michael Meeks  <michael@ximian.com>

	* srcore/srmain.c (src_say_message): make src_message
	module static; constify message to reflect it's use.

	* srcore/srctrl.c (src_mag_cursor_increase_size),
	(src_mag_cursor_decrease_size): factor out common code to
	(src_mag_cursor_adjust_size): here & improve flow.
	(src_mag_crosswire_adjust_size, src_mag_crosswire_decrease_size) 
	(src_mag_crosswire_increase_size): the same treatment.
	(src_nav_parent_logic): split out cut & paste & genericise into
	(src_nav_logic): this thing.
	(src_nav_parent_logic): fold into
	(src_nav_parent): here.
	(src_nav_next_logic, src_nav_child_logic)
	(src_nav_previous_logic, src_nav_caret_logic) 
	(src_nav_first_logic, src_nav_last_logic, src_nav_title_logic) 
	(src_nav_toolbar_logic, src_nav_statusbar_logic): bin.

2003-07-07 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/Makefile.am:
	BUGFIX #116700
	Added (X_LIBS) libraries to LDADD.
	
	* gnopi/gnopi_files/Load_Default/load_default.glade2:
	BUGFIX #116157
	Fixes for misstyping : "c_ommnad map" string replaces with "c_ommand map". 	
	
	* po/POTFILES.in:
	Make it uptodate. 

	* po/POTFILES.skip:
	Updated.	


2003-07-04 Adi Dascal <ad@baum.ro>

	* gnopi/gnopi.c:
	BUGFIX #116156:
	Inconsitency of the messages - fixed.
	
2003-07-04 Adi Dascal <ad@baum.ro>
	
	* gnopi/GE.A2B,
	* gnopi/SWEED.A2B,
	* gnopi/SPAIN.A2B,
	* gnopi/US.A2B:
	Renamed to respect i18n-language-abbreviation.
	    -US.A2B	->	en_US.a2b
	    -SWEED.A2B	->	sv.a2b
	    -GE.A2B	->	de.a2b
	    -SPAIN.A2B	->	es.a2b

	* braille/libbrl/brlxml.c:
	(ttc_get_translation_table): changed the way translation tables are loaded
	    because of changing their names.
	(brl_disp_load_translation_table): removed unused code.
	(brl_out_load_translation_table): removed unused code.
	
	* braille/test/Makefile.am:
	Changed the EXTRA_DIST section due to name-changing of translation 
	tables files (*.a2b)
	
	* braille/test/brl_out_test.xml:
	Modified according to "language"-attribute's change :
	    -us		->	en_US
	    -sweed	->	sv
	    -ge		->	de
	    -spain	->	es
	    
	* gnopi/Makefile.am,
	* srcore/Makefile.am:
	Modified because of the renaming of translation table files (*.a2b).
	
	* gnopi/Makefile.am:
	Use translation_DATA at EXTRA_DIST instead of enumerating all *.a2b 
	files again.
	
	* gnopi/brlconf.c,
	* gnopi/gnopi.c,
	* gnopi/gnopiconf.c,
	* gnopi/kbconf.c,
	* gnopi/magconf.c,
	* gnopi/spconf.c:
	BUGFIX #116161:
	Respect l10n guidelines : make gnopernicus messages generic.
	File's, function's etc. names should be passed to sru_*(message, warning etc).
	

	* gnopi/brlui.c:
	BUGFIX #116228:
	Changed strings for the language of braille-translation-tables to have 
	meaning and to commply with i18n language-naming conventions.
	
	* gnopi/gnopi_files/Braille_Settings/braille_fill_char.glade2,
	* gnopi/cmdmapui.c:
	BUGFIX #116230, #116159:
	Replace slang-ish (mag -> magnification, magnifier, char -> character) 
	words to comply with l10n rule: "Use clear, simple and consistent 
	language, specifically, never use slang, and avoid abbreviations."
	
	* gnopi/gnopiui.c:
	Don't mark for translation things that should NOT be translated like 
	names of people or products.
	
	* gnopi/magui.c:
	BUGFIX #116160:
	Don't use newline padding inside messages to be translated(to comply with
	l10n rules/guidelines).
	
	* gnopi/gnopi_files/Presentation/presentation.glade2:
	BUGFIX #116155:
	Weird messages don't have to be translated. A redesign is needed here.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	BUGFIX #116155:
	"%"-named label should NOT be translated : changed translatable's 
	attribute value	in "no".

	* po/POTFILES.in:
	Make it uptodate. 

	* po/POTFILES.skip:
	Added.	
	BUGFIX #116154:
	Here are the files that should not be translated for this version and
	those that have horrible strings (in a markup-language style) and
	should be redesigned before translated.
	
	* srcore/srctrl.c:
	Removed some of the unused code.
	(src_present_line_to_braille_or_brlmon): removed hardcoded usage of 
	language for braille.
	
	* srcore/srspc.c:
	BUGFIX #116237:
	(src_speech_set_voice_parameters): fixed "incorrect"-word spelling.
	
	* srcore/temp.xml:
	Removed because it is not used.
	
2003-07-04 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmonui.c:
	Made no resizeable a braille monitor.
	
	* gnopi/gnopi_files/gnopi.glade2:
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2:
	* gnopi/gnopi_files/Presentation/presentation.glade2:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	* gnopi/gnopi_files/Load_Default/load_default.glade2:
	* gnopi/gnopi_files/Keyboard_Mouse_Settings/
	    keyboard_mouse_settings.glade2:
	* gnopi/gnopi_files/General_Settings/general_settings.glade2:
	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_style.glade2:
	* gnopi/gnopi_files/Braille_Settings/cursor_style.glade2:
	* gnopi/gnopi_files/Braille_Settings/translation_table.glade2:
	* gnopi/gnopi_files/Braille_Monitor_Settings/
	    braille_monitor_settings.glade2:
	Updated. Added more tooltips.
	
	* README:
	Updated.

2003-07-03 Pal Csongor Sprencz <ps@baum.ro>

	* srconf/libsrconf/Makefile.am:
	Added libsrutil.la lib
	
	* srconf/libsrconf/libsrconf.c:
	Fixes for misstyping : "Recomended" string replaces with "Recommended". 
	Made translatable  warning texts.
	
	* srconf/libsrconf/libsrconf.h:
	Added defines for braille monitor gconf keys.
	
	* schemas/brlmonitor.schemas:
	Updated.
	
	* help/gnopernicus/C/gnopernicus.xml:
	Updated.
	
	* gnopi/bmui.c,.h:
	* gnopi/bmconf.c,.h:
	Created.
	
	* gnopi/Makefile.am:
	Added files bmui.c,.h and bmconf.c,.h
	
	* gnopi/init:
	Removed.
	
	* gnopi/gnopi_files/Braille_Monitor_Settings
	* gnopi/gnopi_files/Braille_Monitor_Settings/braille_monitor_settings.glade2:
	* gnopi/gnopi_files/Braille_Monitor_Settings/Makefile.am:
	Created.
	
	* gnopi/gnopi_files/Makefile.am:
	Added subdirectory Braille_Monitor_Settings.
	
	* gnopi/gnopi_files/gnopi.glade2:
	Added Braille Monitor settings to I/O settings menu.
	
	* gnopi/gnopi_files/Load_Defaults/load_defaults.glade2:
	Added Load default Braille Monitor.
	
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	Added labeled by/for relations.
	
	* gnopi/cmdmapui.c:
	Removed a debug text.
	
	* gnopi/defui.c:
	* gnopi/gnopi.c:	
	* gnopi/gnopiui.c:
	Implement support for braille monitor settings.
	(gn_load_gnopernicus_about): Changes a about dialog.
	
	* brlmon/monitor.glade2:
	Removed.
	
	* brlmon/Makefile.am:
	Remove to install monitor.glade2.
	
	* brlmon/brlmon.c,.h:
	* brlmon/brlmonui.c,.h:
	Added support to change setting from gnopi.
	Remove all options windows and short cuts. 
	Set braille monitor unfocusable. Could be change windows type property
	between a panel and a normal window. Removed all option windows and 
	shortcuts command. Cleaned code.
		
	* configure.in:
	(LIBSRCONF): add dependencies for libgnome-2.0.
	(AC_OUTPUT): added directory 
		    "/gnopi/gnopi_files/Braille_Monitor_Settings/Makefile"
	
	* README:
	Updated.
	
2003-07-02 Adi Dascal <ad@baum.ro>

	* gnopi/gnopernicus.png:
	Resized icon to 48x48.

2003-07-01 Adi Dascal <ad@baum.ro>

	* braille/test/remoteinit.c,
	* brlmon/brlmonui.c,
	* gnopi/brlconf.c,
	* gnopi/coreconf.c,
	* gnopi/gnopiconf.c,
	* gnopi/kbconf.c,
	* gnopi/magconf.c,
	* gnopi/spconf.c:
	Fixes for misstyping : "Recomended" string replaces with "Recommended". 
	Thanks to Mario Lang for the fix!		

	* gnopi/gnopernicus.desktop.in:
	Screanreader to appear in Application->Accessibility->Screan Reader and
	Magnifier.
	Changed desktop entry name and comment to comply with GNOME HIG v1.0.
	Fix for #115981. "Accessibility" submenu still needs creation (gnome-vfs).	

	* gnopi/gnopernicus.png:
	Added as sample icon for "Applications->Accessibility" menu.
	
	* gnopi/Makefile.am:
	Added support for installing and distributing gnopernicus.png.
	
	* configure.in:
	Changed package version number to 0.3.4.
	
2003-06-30 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2,
	* gnopi/gnopi_files/Magnifier_Settings/magnififer_settings.glade2,
	* gnopi/gnopi_files/Find/find.glade2,
	* gnopi/gnopi_files/Presentation/presentation.glade2,
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2,
	* gnopi/gnopi_files/User_Properties/user_properties.glade2,
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2,
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	Made missed labeled by/for relations between widget objects.
	
	* gnopi/cmdui.c:
	Added support for search in list table.
	

2003-06-29  Miloslav Trmac  <mitr@volny.cz>

	* configure.in: Added cs (Czech) to ALL_LINGUAS.

2003-06-28  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sv" to ALL_LINGUAS.

2003-06-25 Bill Haneman <bill.haneman@sun.com>

	* Makefile.am:
	Added omf.make to EXTRA_DIST, fixes dist problem.
	Thanks to Mario Lang for the fix!

2003-06-11 Pal Csongor Sprencz <ps@baum.ro>

	* kbd_mouse/libke/libke.c:
	Added LOG writes function.

2003-06-10 Marc Mulcahy  <marc.mulcahy@sun.com>

	* speech/libsrs/spgs.c (gs_normilize_driver_name): Duplicate
	string before calling g_strdelim.
	
	* configure.in: Fix build.
	
2003-06-09 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_log_gnopernicus):
	Added code to avoid crashes in some cases.

2003-06-06 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmonui.c:
	Correct the top and botton alignement of text.
	
	* gnopi/gnopi_files/gnopi.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2:
	Updated UI. Remove options which have no support.
	
	* gnopi/brlui.c:
	* gnopi/brlconf.c,.h:
	Added suport for BRLTTY.
	
	* gnopi/gnopi.c:
	Kill srcore at exit if it exited.
	
	* help/gnopernicus/C/*:
	* help/braille_monitor/C/*:
	Updated help text.
	
	* schemas/gnopernicus.schemas:
	Updated.
	
	* srconf/libsrconf/libsrconf.h:
	Added new keys and defines. Changed same gconf key name.
	
	* srcore/srmain.c:
	* srcore/srbrl.c:
	* srcore/srspc.c,.h:
	(src_process_config_changed_for_braille): Changed test.
	(src_get_defaults): Loaded new values at init.
	(src_process_config_changed): Move speech config source test in srspc.	
	
	* README:
	Updated.

2003-06-06 Adi Dascal <ad@baum.ro> (patch from Mario Lang <mlang@delysid.org>)

	* braille/ttybrl.c:
	Added. Sources of brltty driver provided by Mario Lang.

	* braille/ttybrl.h:
	Added.
	
	* braille/librl/Makefile.am,
	* braille/libbrl/braille.c:
	Modified to support brltty driver - patch provided by Mario Lang.
	Conditional compilation for brltty driver ontop of the above mentioned 
	patch.
	
	* configure.in:
	Added configuration for braille module : use or NOT of brltty, 
	detection of brltty.
	Cosmetical changes.
	
	* NEWS : 
	Updated. Announce brltty support.
	
2003-06-03 Adi Dascal <ad@baum.ro>

	* configure.in:
	Changed package version number to 0.3.3.
	
	* NEWS:
	Updated.

2003-05-28 Pal Csongor Sprencz <ps@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Removed debug string.
	
	* srconf/libsrconf/libsrconf.c,.h:
	Added new gconf keys defines. 
	(sr_config_changed_callback): extend to support for list type in callback.
	
	* srcore/srspc.c:
	* srcore/srmain.c:
	Modify that to suport new speaker structure. Added new item in structure 
	(driver name). Change notification to listen all gnopernicus speaker.
	
	* gnopi/Makefile.am:
	Added new files. 
	
	* gnopi/spdictui.c,.h:
	* gnopi/spvoiceui.c,.h:
	Created.
	
	* gnopi/spui.c:
	Splited in spui, spdictui and spvoiceui.c.
	
	* gnopi/spconf.c,.h:
	Added suport for new speaker structure.
	
	* gnopi/spvoice.c,.h:
	New UI implemented.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Updated UI.
	
	* gnopi/gnopiconf.c,.h:
	Added gnopiconf_value_change function.
	
	* README:
	(Note6):Updated about font installation.
	
2003-05-21 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	Added support for logging events.

	* README:
	(Note5):
	Updated.

2003-05-20 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/braille_fonts/Makefile.am:
	Modify install script.(Bug #113177)
	(Bug #104624).
	
2003-05-14 Pal Csongor Sprencz <ps@baum.ro>
	
	* configure.in:
	Added "--with-default-fonts-path" option
	    
	* Makefile.am:
	Removed command for braille font installation.
	
	* brlmon/braille_fonts/Makefile.am:
	Added new install and uninstall script for braille font.
	
2003-05-13 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Added special case for label objects (Bug #107712).

	* schemas/gnopernicus.schemas:
	* gnopi/presconf.c:
	Modified presentation strings for label objects.
	
2003-05-12 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.[c,h]:
	(sro_text_get_caret_location):
	Added this function to obtain coordinates for current caret.
	
	* srcore/srpres.c:
	(src_presentation_present_sro_for_magnifier):
	Modified to use the new API (sro_text_get_caret_location).

2003-05-12 Adi Dascal <ad@baum.ro>

	* speech/libsrs/spgs.c,
	* speech/libsrs/srspeech.c:
	Added better support (and messages for user) for voices that do not
	support speech markers.

2003-05-09 Adi Dascal <ad@baum.ro>

	* configure.in:
	Changed package version number to 0.3.2.
	
	* NEWS:
	Updated.
	
2003-05-09 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Little changes in UI. Added "general voice settings controls" in 
	speech UI.
	
	* gnopi/magui.c:
	* gnopi/magconf.c:
	For casting from ulong to int.
	
	* gnopi/spui.c,.h:
	* gnopi/spconf.c,.h:
	Added new option to increment and decrement the voice parameters 
	globaly. (It same with a keypad commands at layer*)

2003-05-08 Remus Draica <rd@baum.ro>

	* gnopi/magui.c:
	(magui_zoomer_add_clicked):
	Remove a message.

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Report label as part of name in case od radio buttons. Also add a " "
	(space) separator between label and real name.

2003-05-08 Remus Draica <rd@baum.ro>

	* srutil/SRMessages.c:
	(sru_log_get_env_var):
	Remove "critical" messages to be reported by default. 

2003-05-06 Pal Csongor Sprencz <ps@baum.ro>
	
	* srcore/srmain.c:
	(src_process_config_changed_for_magnifier):
	Added voice feedback for panning options.
	
2003-05-06 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopiconf.c:
	(gnopiconf_set_string):
	Set string with length 0 when a string is NULL.
	
2003-05-05 Adi Dascal <ad@baum.ro>

	* braille/libbrl/braille.c:
	(brl_open_device): return FALSE if the function fails to open the 
	device and no other initializations.(BUGFIX #111508)

	* braille/libbrl/brlxml.c:
	(brl_xml_init): return FALSE if brl_open_device fails; there is no 
	reason to continue the initializations if this fails.(BUGFIX #111508)
		
	* NEWS:
	Updated.
	
2003-05-05 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(notify_clients_):
	Release the reference for last event reported to user. (Corect memory
	leakes reported in bug #108089).

	* NEWS:
	Updated.

2003-04-30 Adi Dascal <ad@baum.ro>

	* srcore/srmag.c:
	(src_magnifier_automatic_panning):
	Modified panning algorithm : stop when reaching the end of text and 
	position to the start position (the caret or left of the focused object).    	
	(src_magnifier_start_panning):
	Panning to be done for objects that implement AccessibleText Interface,
	not only for objects with "text" role.

	* NEWS:
	Updated.

	* README:
	Updated.
	
2003-04-30 Pal Csongor Sprencz <ps@baum.ro>

	* srcore/srmag.c:
	(src_magnifier_load_values): Load panning setting values from gconf. 

	* srcore/srctrl.c:
	Remove external declaration of panning.
	(src_mag_panning_on_off):
	Move src_magnifier_stop_panning call in srmain.

	* srcore/srmain.c:
	(src_process_config_changed_for_magnifier):
	Check the panning gconf value. Stop panning if the value is FALSE.

2003-04-29 Adi Dascal <ad@baum.ro>

	* configure.in:
	Changed package version number to 0.3.1.

2003-04-24 Bill Haneman <bill.haneman@sun.com>

        Fixes for bug #111549.
	
	* brlmon/brlmonui.c:
	(brlmon_use_default_color): set to TRUE by default.
	(NO_OF_DOT_TYPES): changed to three.
	(brlmon_load_colors): Remove color specification for DOTNONE_COLOR,
	only specify colors for dots 7 and/or 8.
	(brlmon_set_color): Set color according to theme colors for
	GTK_STATEs, if brlmon_use_default_color is TRUE.
	(brlmon_save_brlmon_options): Only save three colors, not four.

	* brlmon/monitor.glade2:
	Removed UI elements for specifying the "DOTNONE_COLOR".
	Make the "use default theme colors" checkbox TRUE by default.


2003-04-24 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Add code to report events to user on a timer or on a idle callback
	For more details see README file.

	* README:
	Updated with details about how to use GNOPERNICUS_TIMER 
	environment variable (Note4).

2003-04-23 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_process_event): removed the workaround that was introduced for 
	bug #105962.
	We MUST NOT have any toolkit-name-specific code in gnopernicus.
	The main issue of the #105962 bug was solved so gnopernicus is 
	working as it should without that workaround (magnifier tracks caret 
	position for java and gtk toolkit applications, but NOT YET for 
	StarOffice - see bug #13677 in IssueZilla).

2003-04-22 Adi Dascal <ad@baum.ro>
	
	* magnifier/mag_ctrl.c:
	(get_magnifier):
	Replaced g_error with g_warning in case that the magnifier server is NOT
	found. This situation can be handled so there is no reason to stop the 
	entire application because the service of magnifier is not available.
	Note : The "General Settings" dialog from GUI will indicate that this
	service is "unavailable".
	
	* srcore/srmag.c:
	(src_magnifier_init): 
	Give a more complete explanation about what might caused the 
	initialization of magnifier to fail.

2003-04-18 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmon.c,.h:
	* brlmon/brlmonui.c,.h:
	* brlmon/brlmon.glade2:
	Added Option settings (CTRL-D). Fix BUG 110285.
	
	* schemas/brlmonitor.schemas:
	Changed gconf keys to dotnone, dot7, dot8 and dot78
	
	* help/braille_monitor/C/brlmonitor.xml:
	* README:
	Updated.

2003-04-17 Remus Draica <rd@baum.ro>

	* srutil/SREvent.c:
	Add bonobo.h file to include section to prevent a compile warning.
	
	* srutil/SRMessages.h:
	Add prototipes for sru_log_init si sru_log_terminate for case of 
	compilation with SRU_PARANOIA flag.

2003-04-17 Remus Draica <rd@baum.ro>

	* srutil/SREvent.c:
	Add SRMessages.h file at include section.
	(sru_terminate):
	Change compile flag ENABLE_PARANOIA with SRU_PARANOIA.

	* srutil/SRMessages.c:
	Change default value in case that environment variable
	GNOPERNICUS_DEBUG_STACK has no value.

	* srutil/SRMessages.h:
	Always compile runtime support for logging messages.
	Small changes to improve performance (improvements suggested by 
	Bill Haneman (bill.haneman@sun.com)).

2003-04-16 Adi Dascal <ad@baum.ro>

	* configure.in:
	Changed package version number to 0.3.0, in order to make a fist release.

	* srutil/SREvent.c:
	Added bonobo_debug_shutdown for the paranoia behaviour.

2003-04-16 Remus Draica <rd@baum.ro>

	* srutil/SRMessages.[c,h]:
	Some optimizations and correct definition for sru_info and sru_debug
	macros in case of compilation without --enable-paranoia option.

2003-04-15 Remus Draica <rd@baum.ro>

	* brlmon/brlmon.c:
	* srcore/srmain.c:
	* gnopi/gnopi.c:	
	(main):
	Remove the call to sru_log_init after gnome_program_init (some macros
	like sru_xxx use g_get_prgname which return NULL if gnome_program_init
	is not called before.

	* srutil/SRMessages.[c,h]:
	Rewrite sru_xxx macros (and other necessary stuff) to allow user to 
	choose levels for which he want log messages.

2003-04-14 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmon.c,
	* brlmon/brlmonui.c,
	* brlmon/brlmonxml.c,
	* gnopi/brlconf.c,
	* gnopi/brlui.c,
	* gnopi/coreconf.c,
	* gnopi/genui.c,
	* gnopi/findui.c,
	* gnopi/defui.c,
	* gnopi/gnopi.c,
	* gnopi/gnopiconf.c,
	* gnopi/gnopiui.c,
	* gnopi/kbconf.c,.h,
	* gnopi/kbui.c,
	* gnopi/spconf.c,.h,
	* gnopi/spui.c,.h,
	* gnopi/magconf.c,
	* gnopi/magui.c,
	* gnopi/cmdmapui.c,
	* gnopi/cmdmapconf.c,
	* gnopi/presui.c,
	* gnopi/presconf.c,
	* gnopi/scrui.c,
	* srconf/libsrconf/libsrconf.c,
	* kbd_mouse/libke/libke.c:
	Using sru_... macros istead of g_... and fprintfs.
	Added new messages. Remove more unused code.
	
	* gnopi/gnopernicus.desktop:
	Change run icon path.
	
2003-04-14 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(main):
	Remove a forgotten call to sru_info from test time.

2003-04-11 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_flat_review_line):
	Report a special empty lines for flat review mode.

2003-04-11 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c:
	Remove tests for ENABLE_PARANOIA.
	 
2003-04-11 Remus Draica <rd@baum.ro>

	* braille/libbrl/Makefile.am:
	* braille/test/Makefile.am:
	* brlmon/Makefile.am:
	* gnopi/Makefile.am:
	* kbd_mouse/libke/Makefile.am:
	* kbd_mouse/test/Makefile.am:
	* magnifier/libmag/Makefile.am:
	* magnifier/test/Makefile.am:
	* speech/libsrs/Makefile.am:
	* speech/test/Makefile.am:
	* srconf/libsrconf/Makefile.am:
	* srconf/test/Makefile.am:
	* srcore/Makefile.am:
	* srlow/libsrlow/Makefile.am:
	* srlow/test/Makefile.am:
	* srutil/Makefile.am:
	(INCLUDES):
	Remove SR_VA_ARGS and add definition for G_LOG_DOMAIN.
	
	* brlmon/brlmon.c:
	* gnopi/gnopi.c:
	* srcore/srmain.c:
	(main):
	Add calls to sru_log_init() and sru_log_terminate().
	
	* configure.in:
	Remove checks for varargs.
	
	* srcore/srctrl.c:
	* srcore/srmag.c:
	* srcore/srmain.c:
	* srcore/srpres.c:
	Replace srl_xxx macros with sru_xxx macros.
	
	* srutil/SRMessages.[h,c]:
	Rewrite sru_xxx macros. Add 2 new macros sru_info and sru_debug and 
	2 new functions sru_log_init and sru_log_terminate.

2003-04-09 Adi Dascal <ad@baum.ro>

	Make sure that make dist and make distcheck work OK:	

	* Makefile.am:
	Removed xml-i18n-*.in, autogen.sh from distribution.
	
	* autogen.sh:
	Display a warning message about gnome-common dependency, for the case
	when gnome-autogen.sh is not found.
	Removed creation of pot file from this level.
	
	* configure.in:
	Replace use of AM_PROG_XML_I18N_TOOLS macro with AC_PROG_INTLTOOL.
	
	* brlmon/Makefile.am,
	* gnopi/Makefile.am:
	Removed CVS, .cvsignore and Makefile from distribution.
	
2003-04-09 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmonui.c.h:
	Changed deprecated gdk_colors_alloc function call with 
	gdk_colormap_alloc_colors.
	Added new shortcut CTRL-d to switch between theme text color and
	user defined color.
	Cleaned from unused code.
	
	* brlmon/brlmon.c:
	Cleaned from unused code.
	
	* README:
	* help/braille_monitor/C/brlmonitor.xml:
	Update.
	
2003-04-08 Pal Csongor Sprencz <ps@baum.ro>

	* schemas/gnopernicus.schemas:
	Added "location" speaker entry.
	
	* gnopi/spconf.c:
	Added "location" gnopernicus speaker.
	
	* gnopi/spui.c:
	Remove commented code.

2003-04-07 Adi Dascal <ad@baum.ro>

	* configure.in:
	    - use third argument of AC_DEFINE_UNQUOTED to get rid of
		acconfig.h and the warnings at build time.
	    - added "--enable-paranoia" option

	* acconfig.h:
	Removed.

	* srlow/libsrlow/screen-review.c:
	Removed debug messages.
	Added a warning message that will be visible if  ENABLE_PARANOIA (test).

2003-04-07 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_process_event):
	A solutin for bug 105972 using toolkit name.

2003-04-06 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentations):
	* schemas/gnopernicus.schemas:
	Add string presentation for role label. (bug fix 107712)

2003-04-06 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_process_event):
	Remove code according with changes to fix bug #107639.

2003-04-02 Remus Draica <rd@baum.ro>

	* braille/libbrl/alvabrl.c:
	(alva_brl_open_device):
	Correct some device parameters for display lengths which were wrong
	for ALVA544.

	* braille/libbrl/alvabrl.c:
	(brl_open_device):
	Add some checks for correctness of filling CurrentDevice structure.

2003-04-02 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c:
	(struct SRWLine): added is_empty member.
	(srw_acc_line_new): changed accordingly to SRWLine modifications.
	(srw_acc_line_free): changed accordingly to SRWLine modifications.
	(srw_acc_line_from_string):
	    - changed accordingly to SRWLine modifications
	    - use defined values instead of values for particular cells : fill,
	    delimitator
	(srw_text_chunk_list_insert_chunk): added a parameter that indicates if
	    the lineis empty or not.
	(srw_lines_get_n_lines): added support for empty lines.

	* srlow/libsrlow/screen-review.h:
	Added SRW_FILL_CELL and SRW_DELIMITATOR_CELL.
	Changed SRWAccLine type adding "is_empty" member.

	* srcore/srctrl.c:
	(src_present_line_for_speech): adapted to the new type SRWAccLine.
	(src_present_line_to_braille_or_brlmon): use defined values for particular
	    cells instead of "0" and "-1".
	(src_flat_review_next_line),
	(src_flat_review_prev_line): do not permit cycle navigation (the user might
	    be confused)

	* speech/libsrs/srspeech.c:
	(tts_callback): put a freed pointer on NULL and added the is_speaking 
	    condition to the TTS_EV_END_OF_SPEECH event 

2003-04-01 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/brlui.c:
	Added code for context helps.
	
	* gnopi/gnopi_files/Screen_Reader/screen_reader.glade2:
	Remove Apply button.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Correct frame alignments.
	
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2:
	* gnopi/gnopi_files/Braille_Settings/attribute_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_fill_char.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_style.glade2:
	* gnopi/gnopi_files/Braille_Settings/cursor_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/status_cell.glade2:
	* gnopi/gnopi_files/Braille_Settings/translation_table.glade2:
	Added context help buttons.
	
2003-03-27 Pal Csongor Sprencz <ps@baum.ro>

	* srcore/srmag.c:
	(src_magnifier_create_mml): Remove warnings.
	
	* srconf/test/testlibsrconf.c:
	Remove duplicated defines.
	
	* gnopi/spconf.c,.h:
	(spconf_load_default_speaker_parameters,
	spconf_load_speaker_parameters_from_gconf):Renamed to
	    spconf_speaker_parameters_load_default, 
	    spconf_speaker_parameters_load_from_gconf
	(spconf_split_dictionary_entry,
	spconf_create_dictionary_entry): Renamed to
	    spconf_dictionary_split_entry, spconf_dictionary_create_entry.
	(spconf_speaker_settings_copy): Created.
	

	* gnopi/spui.c:
	(spui_add_modify_get_properties): Don't update current item at cancel
	    if the command is MODIFY.
	(spui_sp_voice_property_value_changed):
	    Call spin button update at change event.
	Remove string leaks.
	    
2003-03-28 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	* schemas/gnopernicus.schemas:
	* srcore/srpres.c:
	* srlow/libsrlow/SRObject.[c,h]:
	Add all necessary support to present a tree-item object to user. 

2003-03-27 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c;
	(srl_process_event):
	Add a forgotten line to avoid an unwanted call to Accessible_unref.

2003-03-27 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	* srlow/libsrlow/SRObject.c:
	Revert temporary changes to make gnopernicus work well 
	(some workarounds).
	
2003-03-27 Pal Csongor Sprencz <ps@baum.ro>

	* kbd_mouse/libkelibke.c:
	Revert temporary changes to make gnopernicus work well 
	(some workarounds).

2003-03-17 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_process_event_real_window):
	Temporary fix to prevent reporting window switch event in case user
	navigates using arrow keys between UI controls (more details in bug
	#108664). 

2003-03-17 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/General_Settings/general_settings.glade2:
	* gnopi/gnopi_files/user_properties/user_properties.glade2:
	* gnopi/gnopi_files/Presentation/presentation.glade2:
	* gnopi/gnopi_files/Keyboard_Mouse_Settings/keyboard_mouse_settings.glade2:
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2:
	Added accelerator F1 for help buttons. Added more help buttons.

	* gnopi/brlui.c:
	* gnopi/genui.c:
	* gnopi/kbui.c:
	* gnopi/scrui.c:
	Added help for windows.
	
	* gnopi/Makefile.am:
	Change installation path for gnopernicus.desktop.
		
2003-03-12 Pal Csongor Sprencz <ps@baum.ro>
	
	* kbd_mouse/libke/libke.c:
	(ke_report_key_event):
	(ke_report_layer_key):
	(ke_report_user_key) : Added queues to process key event.
	(ke_init): Use SPI_KEYLISTENER_ALL_WINDOWS to grab keyevent 
	from java application. It has latency.

2003-03-13 Remus Draica <rd@baum.ro>

	* gnopi/comandmapui.c:
	Change some strings exposed to user.

2003-03-13 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c;
	(srl_process_event):
	Add code to report corect focus for mozilla.	

2003-03-12 Pal Csongor Sprencz <ps@baum.ro>
	
	* kbd_mouse/libke/libke.c:
	* braille/libbrl/braille.c:
	* srlow/libsrlow/SRObject.c:
	Remove C++ style comments.
	
	* kbd_mouse/libke/libke.c:
	Rejects release key events.
	
	* gnopi/cmdmapui.c:
	"attributes at caret" added function in command list.
	
	* gnopi/gnopi_files/gnopi.glade2:
	Added accelerator F1 for help.

2003-03-12 Remus Draica <rd@baum.ro>
	
	* srcore/srctrl.c:
	* gnopi/cmdmapconf.c:
	Add support to present text attributes for character at caret position
	(mapped on layer 1, key 1 (L01K01)).

2003-03-12 Pal Csongor Sprencz <ps@baum.ro>
	
	* kbd_mouse/libke/libke.c:
	(ke_return_keystring):Created. Return keystring if the returned keystring 
	from at-spi has length 0.
	(ke_init):Use SPI_KEYLISTENER_ALL_WINDOWS.
	
2003-03-12 Adi Dascal <ad@baum.ro>, Pal Csongor Sprencz <ps@baum.ro>

        *configure.in:
	 Added gconf dependency for magnifier.
    
	*gnopi/magconf.c,.h:
	(magconf_load_zoomer_from_schema): removed boundary tests at load of 
	    ZoomerPlacement.
	(magconf_get_display_size): created. 
	    Load from gconf the screen size values.
	(magconf_changes_cb): removed if conditions before g_free.
    
	*gnopi/magui.c:
	(display_zise): defined structure for screen size.
	(magui_zoomer_remove_clicked): changed output string function to 
	    sru_message.
	(magui_smoothing_value_changed),
	(magui_mouse_tracking_value_changed): removed if condition before g_free.
	(magui_zp_left_value_changed):
	(magui_zp_top_value_changed):
	(magui_zp_height_value_changed):
	(magui_zp_width_value_changed): Added dynamic range limitation for spin
	     buttons.
	(magui_set_handlers_magnification_options): Load screen size. Added 
	    rage limitation for zoomer placement.
	(magui_set_mouse_tracking): check if the UI was loaded.
	
	*gnopi/gnopi_files/Magnifier_Settings/magnifier_settings.glade2:
	Changed label name for ZP width and height to ZP right and bottom.

	*magnifier/libmag/mag.c:
	Added dependecy on libsrconf.h
	(mag_zoomer_set_ZP_extents_left),
	(mag_zoomer_set_ZP_extents_top),
	(mag_zoomer_set_ZP_extents_width),
	(mag_zoomer_set_ZP_extents_height):
	    Modified to resize the zoomer.
	(mag_mouse_tracking_logic),
	(mag_tracking_logic): 
	    Corrected the way width and height of the interesting area (ROI)
	     are calculated.
	(mag_initialize): write in gconf target's maximum coordinates so the 
	    GUI will know how to make limitations.

	*magnifier/test/Makefile.am: added srconf support
	
	*schemas/gnopernicus.schemas:
	Chamge values for Zoomer placements.
	
	*srconf/libsrconf/libsrconf.h:
	DEFAULT_MAGNIFIER_DISPLAY_SIZE_X, 
	DEFAULT_MAGNIFIER_DISPLAY_SIZE_Y : defined.
	MAGNIFIER_DISPLAY_SIZE_X, 
	MAGNIFIER_DISPLAY_SIZE_Y : defined.
	DEFAULT_MAGNIFIER_ZP_LEFT, 
	DEFAULT_MAGNIFIER_ZP_WIDTH,
	DEFAULT_MAGNIFIER_ZP_HEIGHT : changed values
	
	*srcore/srmag.c:
	Added to magnifier struct zoomer_placement variables.
	Load, save and create XML with zoomer placement values.
	
	*srcore/srmain.c:
	(src_mag_create_mml_zoom_factor_lock):removed.
	(src_process_config_changed_for_magnifier): Catch value changes
	for zoomer placement. Change define usage from ACTIVE_SCHEMA to
	MAGNIFIER_ACTIVE_SCHEMA.


2003-03-11 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sra_prelucrare):
	In Java apps, attributes are separated by , (comma). 
	Add support for that.

2003-03-10 Pal Csongor Sprencz <ps@baum.ro>

	* schemas/gnopernicus.schemas:
	Updated.
	
	* gnopi/cmdmapconf.c:
	Changed key ACS-s to ACS-S.
	
2003-03-10 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(sro_default_get_name):
	Temporary fix for bug #107032.

	* srlow/libsrlow/SRLow.c:
	(srl_process_event):
	Temporary fix for bug #105962.

	* srcore/srctrl.c:
	(src_repeat_last):
	Return from this function in case that speech is not activated.

2003-03-07 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(get_role_from_acc):
	Remove code based on presumtion that all table children have TABLE_CELL
	role (bug fix #98486).

2003-03-06 Adi Dascal <ad@baum.ro>
	
	* schemas/gnopernicus.schemas:
	Changed default values for volume (from 80% to 100%) and pitch 
	(from 100% to 80%) for the default voices.
	
	* srconf/libsrconf/libsrconf.h:
	Changed default volume (from 80% to 100%) and default rate 
	(from 70% to 80%) for the general case. 

	* README : updated (especially regarding usage of festival voices)
	* TODO: emtptied.
		
2003-03-06 Remus Draica <rd@baum.ro>

	*srlow/libsrlow/SRLow.c:
	(report_event):
	Add code to report only last events which have importance for user. 
	This code is useful specially for java apps. (partial fix for #97867).

2003-03-06 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	* gnopi/gnopi.c:
	* brlmon/brlmon.c:
	* braille/test/remote.c:
	(main):
	Add missing cals to textdomain function.

2003-03-05 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentations):
	Modify entries for "toggle button" and new entries for "radio-menu-item"
	and for "check-menu-item" roles.

	* srcore/srpres.c:
	(src_presentation_role_pres):
	Add entries for "radio-menu-item" and for "check-menu-item" roles.
	
	* srlow/libsrlow/SRLow.c:
	Add support for events related to "radio-menu-item" and 
	"check-menu-item" roles.
	Reject some window related events for menus.
	
	* srlow/libsrlow/SRObject.[c,h]:
	Add necessary enties for "radio-menu-item" and "check-menu-item" roles. 

2003-03-05 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_process_event):
	Remove code which filter not events for terminal objects (comment out
	code from 2003.02.28).

2003-03-05 Pal Csongor Sprencz <ps@baum.ro>

	* kbd_mouse/libke/libke.c:
	Made keyset for keypad keys and for control keys. 
	Use XKeysymToKeycode to obtain the keycode values for a specific keys.
	(ke_get_keypad_keycodes and ke_get_key_keycodes)
	(ke_print_register_return_value): Added
	
	* kbd_mouse/libke/Makefile.am:
	Added $(X_LIBS) to LDADD.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Assigned toggled signal for rb_punct_ignore , rb_punct_same, 
	rb_punct_all and rb_punct_most radio buttons.
	
	* gnopi/gnopi_files/Find/find.glade2:
	Removed Return accelerator from OK button.
	
	* srconf/libsrconf/libsrconf.h:
	* schemas/gnopernicus.schemas:
	Changed default value of PUNCTUATION to "SAME".

2003-03-03  Marc Mulcahy  <marc.mulcahy@sun.com>

	* schemas/gnopernicus.schemas: Add defaults for the name voice.

2003-03-03  Colin Walters  <walters@gnu.org>

	* braille/libbrl/Makefile.am, braille/test/Makefile.am,
	brlmon/Makefile.am, gnopi/Makefile.am,
	kbd_mouse/libke/Makefile.am, kbd_mouse/test/Makefile.am,
	magnifier/libmag/Makefile.am, magnifier/test/Makefile.am,
	schemas/Makefile.am, speech/libsrs/Makefile.am,
	srconf/libsrconf/Makefile.am, srconf/test/Makefile.am,
	srcore/Makefile.am, srlow/libsrlow/Makefile.am,
	srlow/test/Makefile.am, srutil/Makefile.am (INCLUDES): Put defines
	in here instead of CFLAGS.

	* configure.in: Use "dnl" instead of "/*" for comments.

	* Makefile.am (EXTRA_DIST): Add intltool-extract.in,
	intltool-merge.in, intltool-upate.in.
	(install-exec-hook): Respect $(DISTDIR).

2003-02-28 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_process_event):
	Prevent rejecting caret-moved events for terminal objects.
	
	* gnopi/presconf.c:
	(default_presentations):
	Modify presentation string for speech for terminal and arrage those 
	strings alfabetically after role name.

2003-02-26 Pal Csongor Sprencz <ps@baum.ro>

	* kbd_mouse/libke/libke.c:
	Use SRC_USER_DEF_LIST define instead of SRC_KEY_PAD_LIST.
	
	* gnopi/cmdmapui.c:
	Extend list of keys in combobox.
	 
2003-02-26 Remus Draica <rd@baum.ro>

	* gnopi/presconf.c:
	(default_presentations):
	Change presentation string for terminal.

	* srcore/srmain.c:
	(src_present_real_sro):
	* srlow/libsrlow/SRLow.c:
	(srl_process_event):
	Remove code to reject terminal events and add code to process them same
	way like text events.

2003-02-26 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_mouse_goto_crt_sro):
	Make this function more stable to user quick actions.
	(src_flat_review):
	(src_flat_hierarchy):
	Use SR_NAV_WINDOW flag to get top level window for an object.

	* srlow/libsrlow/SRObject.c:
	(srl_process_event):
	Prevent report "window:restore" event in case which a popup menu shows
	on screen.
	(sro_default_get_location):
	Report correct coordinates for SR_ROLE_TITLE_BAR.
	(sro_get_sro):
	Add a case for SR_NAV_WINDOW.
	
	* srlow/libsrlow/SRObject.c:
	(SRNavigationDir):
	Add SR_NAV_WINDOW flag.

2003-02-26 Pal Csongor Sprencz <ps@baum.ro>
	
	* srconf/libsrconf/libsrconf.c:
	(srconf_get_data_with_default): 
	(srconf_get_config_data_with_default): return NULL if error ocurred.
	
	* srconf/libsrconf/libsrconf.h:
	ListType and SRConfListType removed.
	
	* brlmon/brlmon.c:
	* brlmon/brlmonui.c,.h:
	(brlmon_load_colors): created.
	Load colors fro dots at init.
	
	* gnopi/spui.c:
	Voice name "test" used in srcore. Check in UI that the user could not be
	add voice name with test.
	
	* gnopi/cmdmapui.c:
	* gnopi/cmdmapconf.c:
	"toggle tracking mode" add in function list.
	
	* gnopi/brlconf.c,.h:
	Clean from unused code.		
		
2003-02-25 Adi Dascal <ad@baum.ro>

	* braille/libbrl/sercomm.c:
	Commented out extern int errno (this code should be reviewed, as in 
	cleaned because there are too many comments)
	(brl_ser_open_port): no need of errno.
	

2003-02-25 Pal Csongor Sprencz <ps@baum.ro>

	* po/POTFILES.in:
	Removed:optical_sensor.glade2 and position_switches.glade2
	Added:braille_mapping.glade2
	
2003-02-25 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/gnopi.glade2:
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/Presentation/presentation.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_settings.glade2:
	Updated GUI. (Added help buttons).
	
	* gnopi/gnopi_files/Braille_Settings/position_switches.glade2:
	* gnopi/gnopi_files/Braille_Settings/optical_sensor.glade2:
	Removed files.
	
	* gnopi/gnopi_files/Braille_Settings/braille_mapping.glade2:
	Created file.
	
	* gnopi/gnopi_files/Braille_Settings/Makefile.am:
	position_switches and optical_sensors removed, and braille_mapping 
	added to DATA list.
	
	* gnopi/brlui.c:
	* gnopi/brlconf.c,h:
	* gnopi/cmdmapconf.c,.h:
	* gnopi/cmdmapui.c:
	Redesign in key mapping. Move braille key set list in braille sub menu.
	Use tabs for different list.
	
	* gnopi/magui.c:
	* gnopi/magconf.c:
	* gnopi/spui.c:
	* gnopi/spconf.c:
	* gnopi/presui.c:
	* gnopi/gnopiconf.c:
	* gnopi/defui.c:
	* gnopi/findui.c:
	* gnopi/coreconf.c:
	Use sru_error instead of g_error. 
	(gn_load_help) call help with different sections.
	
	* kbd_mouse/libke/libke.c:
	Removed debug string.
	
	* srconf/libsrconf/libsrconf.h:
	Added defines for USER_DEFINED sections.
	Moved some defines from GUI here.
	
	* srcore/srctrl.c:
	Load user_defined list too. Remove warnings if the list is NULL.
	
	* help/gnopernicus/C/gnopernicus.xml:
	* schemas/gnopernicus.schemas:
	* README:
	Updated.
	
2003-02-22 Pal Csongor Sprencz <ps@baum.ro>
    
	* gnopi/gnopi.c:
	* gnopi/gnopiui.c:
	(gn_exit_child): Beep when srcore was unnormal exited.
	
	* gnopi/langui.c:
	Correct the wrong usage of macro N_ to _ .
	
	* README:
	Updated.
	
2003-02-21 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spconf.c:
	* gnopi/spui.c:
	(spconf_set_default_voices): fix infinity cycle. 
	BUGFIX #106710
	(spconf_load_speaker_parameters_from_gconf): skip speaker whoes  
	have not correct parameters.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Updated. Added accelerator.
	
2003-02-20 Remus Draica <rd@baum.ro>

	* gnopi/cmdmapui.c:
	(cmd_function):
	Add some new entries to functions from which user can choose.

	* gnopi/presconf.c:
	(default_presentations):
	* srcore/srpres.c:
	(src_presentation_role_pres):	
	* srlow/libsrlow/SRObject.c:
	(sr_role_name):
	* srlow/libsrlow/SRObject.h:
	(SRObjectRoles):
	Add all necessary new entries for new "link" role.

	* srlow/libsrlow/SRObject.c:
	(get_role_from_acc):
	Add logic to obtain "link" role.

2003-02-20 Pal Csongor Sprencz <ps@baum.ro>

	* srconf/libsrconf/libsrconf.c:
	(srconf_get_config_data_with_default):
	(srconf_get_data_with_default):
	Return default value in case that proper value cannot be read from gconf.

2003-02-20 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	* srcore/srpres.c:
	Changes to read key comands mapping and string presentation only from
	gconf.
    
2003-02-19 Adi Dascal <ad@baum.ro>

	* speech/libsrs/spgs.c,
	* speech/libsrs/spgscb.c:
	Added FIXME comments.
	
2003-02-17 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_shutup):
	Prevent call of src_speech_shutup function if speech is not used
	    (bug fix #106000).

	* srcore/srmain.c:
	(src_process_key):
	Remove call for src_speech_shutup in case of presing Control left key.
	This facility is now available via keyboard mapping UI.	

	* kbd_mouse/libke/libke.c:
	(ke_unregister_key_list):
	Prevent a warning message at compile time.

2003-02-14 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Find/find.glade2:
	Added accelerator Return to Set button.
	
	* gnopi/cmdmapconf.c:
	* gnopi/cmdmapui.c:
	Added accelerator Return to items in functions list.
	Fix item duplication at reload.
	
	* kbd_mouse/libke/libke.c:
	Check key event if it is in a user key list.
	
2003-02-13 Pal Csongor Sprencz <ps@baum.ro>

	* braille/libbrl/brlxml.c:
	Precess string in <text> tag useing utf8 format.
	
	* brlmon/brlmon.c:
	Comment code part for run-time localization.

	* README:
	Updated.
	
2002-02-12  Draghi Puterity <mp@baum.de>

	* speech/libsrs/srspeech.c:
	Optimization for GS - concatenate texts spoken with the same voice.

2003-02-12 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spui.c:
	(spui_voice_add_modify): Don't open window at modify event 
	if no selected item.

2003-02-12 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/langui.c:
	(lng_set_envirom): comment code  which chage language in runtime.
	
2003-02-12 Adi Dascal <ad@baum.ro>
	
	* speech/libsrs/spgs.c:
	(gs_speakers_select_speaker) : added protection against param being NULL.
	
	* srconf/libsrconf/libsrconf.h:
	Changed default rate to 70% and pitch to 80% (this sounds good for 
	festival and viavoice on my system).
	
	* srlow/libsrlow/screen-review.c:
	(srw_text_chunk_from_accessible): when calculating pixels_per_column 
	    value, have to take consideration of the utf8_strlen of the string.  
	(srw_text_chunk_pad_string): fixed some alignments.
	(srw_create_lines): line->layer is the MIN, not MAX of chunks.
	
2003-02-11 Bill Haneman <bill.haneman@sun.com>

	* configure.in:
	Revved dependency on at-spi to version 1.1.6, since
	gnopernicus is now using AccessibleEvent_ref/unref.

2003-02-11 Pal Csongor Sprencz <ps@baum.ro>

	* schemas/gnopernicus.schemas:
	Updated.

2003-02-11 Pal Csongor Sprencz <ps@baum.ro>
	
	* srconf/libsrconf/libsrconf.h:
	Change value of DEFAULT_SPEECH_SPACES to "ALL"
	
	* schemas/gnopernicus.schemas:
	Change value of speech_spaces to ALL.
    	
	* srcore/srspc.c:
	(src_dictionary_process): Use g_utf6_ispunct to check if the character is 
	separator, and added the last word check.
	
	* gnopi/gnopi_files/gnopi.glade2:
	Add ALT-X accelerator to exit. Change in About dialog from
	BAUM Engineering to BAUM Engineering SRL
	
	* help/gnopernicus/C/gnopernicus.xml:
	Updated.
	
2003-02-11 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	Changes for a better presentation for flat review top-bottom,
	left-right window presentation.
	
	* srutil/Makefile.am:
	(CFLAGS): add SR_VA_ARGS preprocesor definition.

	* srutil/SRMessages.c:
	Correct an old mistake (replace SR_DEBUG with SR_VA_ARGS).
    	
2003-02-11 Pal Csongor Sprencz <ps@baum.ro>

	* po/ro.po:
	Updated.

2003-02-11 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmonui.c:
	Change to display utf8 characters.

2003-02-11 Remus Draica <rd@baum.ro>

	* configure.in:
	(LIBSRS): add dependencies for libgnome-2.0.
	
	* speech/libsrs/Makefile.am:
	* srcore/Makefile.am:
	(CFLAGS): add SR_VA_ARGS preprocesor definition.
	
	* srcore/srbrl.[c,h]:
	* srcore/srmag.[c,h]:
	* srcore/srmain.c:
	Make initialization and restart functions to return gboolean value,
	and use it when call those functions.
	
	* srutil/SRMessages.h:
	Cosmetical arranges for messages shown by gnopernicus. 

	* srutil/srintl.h:
	Use internationalization macros defined in libgnome.h.
	    (Bug fix 104740).

2003-02-11 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Change bound of rate to 0..100. All value is in percent.
	
	* srconf/libsrconf/libsrconf.h:
	Chaned bound of rate. Change default values of volume, rate, pitct.
	Remove priority default values.
	
2003-02-11 Adi Dascal <ad@baum.ro>

	* speech/libsrs/spgs.c:
	Partial redesign and changes in respect to GNOME coding style 
	(especially naming conventions and security considerations)
	(check_return_value): added to display corba exceptions.
	(gs_speaker_new0) : added.
	(gs_speaker_free) : added.
	(gs_speaker_procent_to_units): added.
	(gs_speaker_to_gconf): added.
	
	(gs_speakers_get_speaker) - formal (gs_select_speaker)
	(gs_speakers_to_gconf) : added
	(gs_speak): before sending parameters to gnome-speech, transform them
		    from procents (as they are used in gnopernicus) in GS-units
	(gs_init) : splitted into
	    (gs_init_get_gs_servers)
	    (gs_init_activate_server)
	    (gs_init)
	
	* speech/libsrs/spgs.h: changes in respect to GNOME coding style 
	(especially naming conventions)
	* speech/libsrs/spgscb.c,h: changes in respect to GNOME coding style 
	(especially naming conventions)
	* speech/libsrs/srspeech.c: 
	- changes in respect to GNOME coding style (especially naming 
	  conventions)
	- removed *_MIN and *_MAX. The limitation is made in srcore and in GS.
	(srs_voice_set_rate): see above.
	(srs_voice_set_pitch): see above.
	(srs_voice_set_volume): see above.
	
	* speech/libsrs/srspeech.c:  changes in respect to GNOME coding style 
	(especially naming conventions)
	* speech/libsrs/srsxml.c: changes in respect to GNOME coding style 
	(especially naming conventions)

2003-02-10 Remus Draica <rd@baum.ro>

	* srlow/test/srlow_test.c:
	* srlow/test/gtk_srlow_test.c:
	(event_notify):
	Prevent report an event for an object, if event data is not an object.
	(bug fix #105395).

2003-02-10 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	(srl_process_event_real_sro):
	Remove a "debug" string.

2003-02-10 Pal Csongor Sprencz <ps@baum.ro>

	* srcore/srspc.c:
	(src_speech_process_string):fix leak.
	(src_dictionary_process): fix order of append of words
	
	* gnopi/magconf.c:
	Remove redundant conditons.
	
2003-02-07 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/brlui.c:
	Remove debug string.
	
	* srcore/srspc.c:
	(src_speech_terminate): Remove the set of speech module sensitivity state.
	
2003-02-07 Pal Csongor Sprencz <ps@baum.ro>

	* srconf/libsrconf.c:
	Removed unused code.
	Now the CFGT_LIST type not packaged in structure. It returned directly
	in GSList (work only for string).
	
	* srconf/libsrconf.h:
	Added more define for SPEECH and BRAILLE.
	
	* kbd_mouse/libke/libke.c:
	Updated. More keyregistrations.
	
	* srcore/srctrl.c,.h:
	Use in new form the CFGT_LIST type.
	(src_key_pad_cmd_load):fix leak.
	
	* srcore/srspc.c:
	Added src_dictionary_x fucntions for global string substitution.
	
	* gnopi/gnopi_files/Load_Default/load_default.glade2:
	Added Screen-review defaultoptions.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Added dictionary options.
	
	* gnopi/gnopi_files/gnopi.glade2:
	Fix error ALT_E didn't work.
	
	* gnopi/gnopi_files/Braille_Settings/braille_settings.glade2:
	Removed a hardcoded braille device list.
	
	* gnopi/brlui.c,.h:
	* gnopi/brlconf.c,.h:
	Load from gconf the braille device list.
	
	* gnopi/defui.c:
	Added screen-review options.
	
	* gnopi/spui.c,.h:
	* gnopi/spconf.c,.h:
	Added dictionary options.
	
	* gnopi/presui.c:
	Fix error when changed in chunk to refresh in entry.
	
	* gnopi/gnopiconf.c:
	Added code to generate schemas templat.
	
	* schemas/gnopernicus.schemas:
	Updated.
	
	* README:
	Updated.
		
2003-02-07 Draghi Puterity <mp@baum.de>

	* braille/libbrl/braille.c,.h:
	* braille/libbrl/brlxml.c:
	(brl_init): Report supported device in gconf.
	Automaticaly adjust offset to keep cusor visible.

2003-02-05 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	Send a message to speech if braille device can not be initialized.
	(#93503).

2003-02-05 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRLow.c:
	Use AccessibleTextChangedEvent_getChangeString to get inserted or
	deleted string (#95921).

2003-02-04 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spui.c
	* gnopi/spconf.c,.h:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	New UI. Dictionary options added, but not working.
	Rename repeat to count.
	
	* srconf/libsrconf/libsrconf.h:
	* srcore/srspc.c:
	Rename SPEECH_REPEAT and DEFAULT_SPEECH_REPEAT to
	SPEECH_COUNT and DEFAULT_SPEECH_COUNT.

	* gnopi/cmdmapui.c:
	Remove same keys.

	* kbd_mouse/libke/libke.c:
	(ke_translate_key): added.
		
	
2003-02-04 Remus Draica <rd@baum.ro>

	* srcore/srspc.c:
	(src_speech_process_string):
	Report spaces and other separators when are typed or user navigates
	using arrow keys.

2003-02-04 Pal Csongor Sprencz <ps@baum.ro>

	* srconf/libsrconf/libsrconf.h:
	Modified DEFAULT_SPEECH_ENGINE_VOICE value to V0 Adult Male voice.
	    
	* po/ChangeLog:
	* po/POTFILES.in:
	Added more entries in POTFILES.in
	    
	* autogen.sh:
	Call intltool-update tool.
	
	* gnopi/spui.c:
	* gnopi/spconf.c,.h:
	Added options cursors, modifiers, spaces.
	Made syncronization with srcore.
	
	* gnopi/gnopiui.c:
	(gn_load_interface):Replace glade_xml_new call with glade_xml_new_with_domain.
	
	* gnopi/gnopi_files.c/Speech_Settings/speech_settings.glade2:
	Added options cursors, modifiers, spaces.

	* README:
	Updated.
		
2003-02-04 Remus Draica <rd@baum.ro>

	* srcore/srspc.c:
	* srcore/srmain.c:
	Connect all variables used by speech to GUI interface.

2003-02-04 Draghi Puterity <mp@baum.de>

	* speech/libsrs/spgs.c:
	* speech/libsrs/srspeech.c:
	Support for voice/speaker changes through gnome-speech.

2003-03-04 Adi Dascal <ad@baum.ro>

	* magnifier/libmag/mag.c:
	Removed unnecessary comments.
	Changed cursor_color and crosswire_color's type from gint32 to guint32 
	    (due to gnome-mag changes)
	Set default alignments to AUTO.
	(mag_zoomers_set_cursor_color): changes according to the above 
	    modifications of type (typecasting to guint32). 
	(mag_zoomers_set_crosswire_color): changes according to the above 
	    modifications of type (typecasting to guint32)
	(mag_tracking_logic): redesign.
	(mag_set_properties): a diffrent aproach in determinig what is in the 
	    visible area of the magnifier.
	
	* magnifier/libmag/mag.h:
	Added MAG_ALIGN_AUTO to the MagAlignmentType enumeration.
	
	* magnifier/libmag/mag_ctrl.c, h:
	(magnifier_set_cursor_color): changes according to the modifications 
	    of cursor_color's type.
	(magnifier_set_crosswire_color): changes according to the modifications 
	    of cursor_color's type.	
	
	*srconf/libsrconf/libsrconf.h:
	MAX_ZOOMER_FACTOR_X and  MAX_ZOOMER_FACTOR_Y values changed to 15 
	(at 16, gnome-mag crashes).
	
	* srcore/srctrl.c:
	Correted "y zoom factor" limitation.
	
	* srcore/srmain.c:
	At zoom factor locking don't send the same information twice.
	
	* srcore/srpres.c:
	(src_presentaion_present_sro_for_magnifier): send caret position if the
	     object is text.
	
2003-02-03 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Added selection options for text echo.
	
	* gnopi/spui.c:
	* gnopi/spconf.c.,h:
	Code for text echo options.
	
	* gnopi/coreconf.c:
	(srcore_general_setting_init):Load default values for srcreen_review.
	
	* srconf/libsrconf/libsrconf.h:
	Define DEFAULT_SPEECH_TEXT_ECHO and SPEECH_TEXT_ECHO.
	Removed SPEECH_VOLUME, SPEECH_RATE and SPEECH_PITCH.
	
2003-02-03 Remus Draica <rd@baum.ro>

	* gnopi/cmdmapconf.c:
	* schemas/gnopernicus.schemas:
	* srcore/srctrl.c:
	Add flat window hierarchy function.

2003-02-03 Remus Draica <rd@baum.ro>
	
	* srcore/srspc.[c,h]:
	Small redesign of this file.
	
	* srcore/srctrl.c:
	* srcore/srmain.c:
	Changes according with those from srspc.h file.

	* srcore/srpres.c:
	(src_presentation_present_sro_for_device_):
	Avoid send xml tag DOTS to sppech.
	
	* gnopi/presconf.c:
	* srcore/srpres.c:
	* schemas/gnopernicus.schemas:
	Add or modify some presentation strings.

2003-02-03 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c:
	(srw_text_chunk_from_accessible): if the object reports that has text, but 
	    the string returned by AT-SPI is zero-length, than try to get information
	    from the name of the object (is_text = FALSE).
	(srw_text_chunk_pad_string): corrected the right alignment. 
	(srw_elements_create_lines): 
	    - changed the way dummy objects are introduced in a line 
	    - y1 for a line is the maximum of all objects that are part of that line
	     (the sizes of the line is the common part of all objects inside 
	     that line)
		
2003-01-31 Pal Csongor Sprencz <ps@baum.ro>

	* srcore/srctrl.c:
	(src_flat_review): Read from gconf the horizontal and vertical flags.
	
	* srcore/srbrl.c:
	* srcore/srmag.c:
	* srcore/srspc.c:
	(src_speech_init):
	(src_braille_init):
	(src_braille_monitor_init):
	(src_magnifier_init):
	    Unset sensitive key befor set.
	    
	* gnopi/srcui.c:
	(scrui_response): Fix apply.
	
	* gnopi/coreconf.c:
	(srcore_changes_cb):Discard unset gconf events.
	
2003-01-30 Pal Csongor Sprencz <ps@baum.ro>
	
	* srconf/libsrconf/libsrconf.h:
	Moved more defines from gnopi.

	* help/gnopernicus/C/.cvsignore:
	* help/braille_monitor/C/.cvsignore:
	Added to ignered list brlmonitor-C.omf.out and
	gnopernicus-C.omf.out
	
	* gnopi/brlconf.c,.h:
	* gnopi/brlui.c:
	* gnopi/cmdmapconf.c,.h:
	* gnopi/coreconf.c,.h:
	* gnopi/kbconf.h:
	* gnopi/spconf.c,.h:
	* gnopi/spui.c:
	* gnopi/magconf.c,.h:
	* gnopi/presconf.c,.h:
	Moved defines in libsrconf.h. Removed redundant defines.
	
		
2003-01-30 Pal Csongor Sprencz <ps@baum.ro>
	
	* gnopi/cmdmapconf.c:
	* schemas/gnopernicus.schemas:
	* srcore/srctrl.c:
	Switch commands ("mouse middle release" and "mouse middle click")
	
	* srcore/srctrl.c:
	(src_button_left_pressed,
	 src_button_middle_pressed,
	 src_button_right_pressed):mouse button state flags defined.
	 
	* kbd_mouse/libke/libke.c:
	Added more event registration for ke_layout_listener and ke_key_listener.
	BUG fix:104301.
	
	* gnopi/spconf.c:
	(spconf_set_default_settings):Fix issue at loading the default values.

	* help/*:
	* gnopi/gnopi_files/Screen_Review/.cvsignore:
	* gnopi/gnopi_files/Find/.cvsignore:
	* gnopi/gnopi_files/Language/.cvsignore:
	Created .cvsignore.
	
	* gnopi/.cvsignore:
	Added gnopernicus.desktop in list of ignored files.
	
2003-01-30 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/spui.c:
	(spconf_load_default_settings): called.
	(spconf_settings_init): Check if it the voice table have in gconf. If not
	wrote it.
	
2003-01-29 Draghi Puterity <mp@baum.de>

	* braille/libbrl/braille.c:
	Add posibility to scroll using offset attribute from xml string.

2003-01-29 Remus Draica <rd@baum.ro>
	
	* srcore/srctrl.c:
	* srcore/srmain.c:
	* srcore/srspc.[c,h]:
	Rewrite the functions for speech to support multiple voices.

2003-01-29 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmon.c:
	Use putenv function to set LANGUAGE enviroment.
	
	* kbd_mouse/libke/libke.c,.h:
	Remove unused code.
	Implement a posibility to register a key listener at runtime.
	
	* srconf/libsrconf/libsrconf.h:
	SRCORE_SCREEN_REVIEW and DEFAULT_SRCORE_SCREEN_REVIEW defined.
	SPEECH_VOICE_COUNT, SPEECH_VOICE_TEST and SPEECH_GNOPERNICUS_SPEAKERS 
	defined.
	Removed some unused defined constants in KEYBOARD part.
	
	* speech/libsrs/spgs.c:
	(gs_init): write number of engine voices in gconf key.
	
	* speech/lbsrs/srsspeech.c:
	(srs_pause)
	(srs_resume): return 0 to avoid compilation warnings.
	
	* srcore/srmain.c:
	(src_process_config_changed_for_control): call ke_config_changed 
	function if the command map table are updated.
	(src_process_key)
	(src_process_hotkey): Commented.
	
	* srcore/srctrl.c:
	(cmd_key_cmds):Add a user defined key combination:
	ACS_S = ALT+CTRL+SHIFT+S.
	
	* configure.in:
	Append gnopi/gnopi_files/Screen_Review/Makefile item to AC_OUTPUT list.
	
	* gnopi/Makefile.am:
	Added in INCLUDES libsrlow path.
	Added files srcui.c,.h.
	
	* gnopi/gnopi_files/Makefile.am:
	Append Screen_Review directory to SUBDIRS.
	
	* gnopi/srcui.c,.h:
	Created.
	
	* gnopi/gnopi_files/Screen_Review/screen_review.glade2:
	* gnopi/gnopi_files/Screen_Review/Makefile.am:
	Created.
	
	* gnopi/gnopi_files/*.glade2:
	Updated. Used gtk modality. Set resizable all windows and use GtkDialog
	window insted of GtkWindow.
	
	* gnopi/*.c,.h:
	Updated. Use GtkModality. Removed our modality structure (level).
	Avoid check before g_free call. Use gnopiconf_add_dir API instead of
	gconf_client_add_dir function.
	
	* gnopi/gnopiconf.c,.h:
	(gnopiconf_client_add_dir):defined.
	
	* gnopi/cmdmapui.c,.h:
	* gnopi/cmdmapconf.c,.h:
	Added posibility that the user can define our keycode/function settings.
	
	* schemas/gnopernicus.schemas:
	Updated.

2003-01-29 Bill Haneman <bill.haneman@sun.com

	* speech/libsrs/spgs.c:
	(gs_init): Changed def_speaker hack so that the
	default speaker gets initialized no matter how many or
	few TTS engines are available.
	[partial fix for bugzilla 104303]

2003-01-29 Adi Dascal <ad@baum.ro>
	
	* magnifier/libmag/mag.c:
	(mag_mouse_tracking_logic): removed hardcoded sizes of the target 
	    display. BUGFIX #104519
	(mag_tracking_logic):removed hardcoded sizes of the target 
	    display. BUGFIX #104519
	
2003-01-28 Adi Dascal <ad@baum.ro>
	
	* srlow/libsrlow/screen-review.c:
	(srw_string_strip_newlines): do not strip spaces.
	(srw_text_chunk_from_accessible): removed naming objects that have no 
	    name in AT-SPI.
	(srw_text_chunk_get_clipped_substring_by_char): removed C++ style 
	    comments.
	(srw_text_chunk_get_clipped_string):
	    - removed unnecessary comments
	    - if the first character of a word is space, than the word_start 
	      has to be the following position.
	(srw_elements_from_accessible): new definition of visibility for POPUP 
	    layer, using parent_selected.

2003-01-27 Remus Draica <rd@baum.ro>

	* gnopi/cmdmapconf.c:
	(cmd_key_cmds):
	* srcore/srbrl.c:
	* srcore/srctrl.c:
	* srcore/srmain.c:
	Add support for braille scroll (necessary functions, comand mappings). 

2003-01-26 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c:
	 (srw_string_strip_newlines): strip spaces from string, too.
	 (srw_boundary_rect_clip): x2, y2 are long int now.
	 (srw_text_chunk_from_accessible): 
	    - enhecement : if there is a text object, start getting lines from 
	    the offset corresponding to the visible area, so "skip" those lines 
	    that are not included in the clip_bounds.
	    - added a condition not to enter in the endless loop if return 
	    value from AT_SPI are not correct.
	    - removed roles that are duplicates (SPI_ROLE_MENU_ITEM  and 
	    SPI_ROLE_MENU are covered by (text_chunk->layer == SPI_LAYER_POPUP)
	(srw_text_chunk_get_clipped_substring_by_char): added a new definition 
	    of visibility for a character - if the middle part (from left + 1/3*width
	    to left + 2/3*width) of the character is visible than the character 
	    is visible; this is useful if the size of the character is big and 
	    the edges are visible.
	(srw_text_chunk_get_clipped_string): fixed the loop condition (end_offset
	is +1 of the real end_offset of the object)

	* magnifier/libmag/mag.c, h:
	(mag_zoomer_set_source): added.
	(mag_zoomer_set_cursor_color) :added.

	* magnifier/libmag/mag_ctrl.c, h:
	(magnifier_set_cursor_color): added.
	
	* magnifier/libmag/magxml.c:
	(mag_startElement): 
	    - added a new attribute named "CursorScale" for the "MAGOUT" tag.
	    - added a new attribute named "source" for the "ZOOMER" tag.

	*srcore/srmain.c:
	(src_process_config_changed_for_magnifier): added support for 
	    "cursor_color" and "source" feature.
	(src_terminate): terminate magnifier, if it is running, before 
    	    terminating speech, because of 2 reasons:
	    1.terminating the magnifier (or any other module) could be announced 
	    by speech (someday).
	    2.terminating the speech before the magnifier seems that implies
	    a blocking (the src_magnifier_terminate function is not called).
	
	*srcore/srmag.c:	
	Added support for "cursor_color" and "source" features.
	
2003-01-24 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_event_sink):
	Prevent the call of speech shutup function in case of layer events.

2003-01-24 Draghi Puterity <mp@baum.de>

	* speech/libsrs/srspeech.[c,h]:
	* speech/libsrs/srsxml.[c,h]:	
	Start support for pause/resume speech.

	* speech/test/srsml.xml:
	Add a test for pause and resume facility.
		
2003-01-24 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_pause_resume):
	(src_key_cmds_def):
	(src_cmd_function):
	* gnopi/cmdmapconf.c:
	(cmd_key_cmds):
	* schemas/gnopernicus.schemas:
	Added all support for pause/resume speech facility.

	* README:
	updated.	

2003-01-24 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c:
	(srw_acc_cell_free): release the source of the cell, meaning the 
	SRObject
	(srw_acc_line_from_string): create the source of the cell.
	(extern gboolean sro_get_from_accessible prototype): added this prototype
	of the function which is defined in SRObject.c.

	* srlow/libsrlow/screen-review.h:
	Removed #include "SRLow.h" as there is no need of it.
	Added #include "SRObject.h".
	Added "SRObject *source" member for SRWAccCell structure.

	* srlow/libsrlow/SRObject.c
	* srlow/libsrlow/SRObject.h:
	Moved SRObjectType definition from SRObject.c into SRObject.h.
	(sro_get_from_accessible): removed static specifier, so the function can 
	be used in screen-review.c
	
2003-01-23 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c:
	 (srw_text_chunk_get_clipped_string): added the case in 
	  which both ends of the word are out - start_inside = 0 &&
	  end_inside = 0.
	 (srw_string_strip_newlines): return correct start_offset after 
	  stripping out the newlines.
	 (srw_text_chunk_list_head_clip): removed memory leak (free 
	  the chunks that are clipped out)
	 (screen_review_get_line): use a "cache".
	
	* srlow/libsrlow/screen-review.h:
	(screen_review_get_line): changed API - no need to return the string.
	(screen_review_line_free): removed - freeing the line is no longer 
	done by the client (srcore), because of the cache.

	* srcore/srctrl.c:
	(src_flat_review_line): changes according to the new API.

	* braille/libbrl/Makefile.am,
	* braille/tester/Makefile.am
	* configure.in:
	Added support for gconf for the braille module.

2003-01-22  Michael Meeks  <michael@ximian.com>

	* gnopi/magui.c (magui_magnification_options_ok_clicked),
	(magui_magnification_options_cancel_clicked): fold into
	(magui_magnification_options_response): to here.
	(magui_magnifier_settings_cancel_clicked),
	(magui_magnifier_settings_ok_clicked): fold into
	(magui_magnification_settings_response): here.
	(magui_load_magnification_options_interface),
	(magui_load_magnifier_settings_interface): use absolute
	level values, not buggy arithmetic.
	(magui_delete_emit_response_cancel): don't do silly
	things on delete_event.
	(magui_set_handlers_magnification_options),
	(magui_set_handlers_magnifier_settings): upd.

2003-01-23 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c:
	Support for menus and menu-items (POPUP layer).

2003-01-23 Pal Csongor Sprencz <ps@baum.ro>
	
	* gnopi/gnopi_files/*glade2:
	Add Escape accelerator to cancel buttons.
	
	* kbd_mouse/libke/libke.c:
	More registration of key combination.
	(SPI_KEYMASK_MOD2 and SPI_KEYMASK_BUTTON)

2003-01-23 Remus Draica <rd@baum.ro>

	* srcore/srspc.c:
	(src_process_string):
	In case that a single space is processed in normal speech mode, 
	it is replaced with "space word".

2003-01-22 Pal Csongor Sprencz <ps@baum.ro>
    
	* brlmon/brlmon.c:
	Comment setenv function call.
	
	* gnopi/langui.c:
	Comment setenv function call.
	Now this options is not activable.
	
	* gnopi/gnopi_files/gnopi.glade2:
	Make no sensitive Language settings.
	
	* gnopi/gnopi.c,genui.c:
	If the brlmonitor is started made gnopernicus window top level windows.
	
2003-01-21 Draghi Puterity <mp@baum.de>

	* speech/libsrs/spgs.c:
    - started a cleanup and redesign phase according to the new gnome-speech frame
	* speech/libsrs/spgscb.[c,h]:
    - new speech callback support
	* speech/libsrs/srspeech.[c,h]:
    - introduced a simple speech queue (no priority queue yet)
    - callback support
    - gconf keys for the available voices
	* speech/test/srsml.xml:
    - eliminated the "auto shut-up" workaround to allow speech item queueing
	* speech/test/tester.c:
    - waiting now in a bonobo_main loop to show callbacks

2003-01-21 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c,h:
	    Partial redesign:
	     	- changed the "making lines" algorithm
		- added toplevel windows name
		- added leading, embedded and trailling empty lines and
		  the afferent FLAGS : SRW_ALIGNF_VSP_ADD_XXX
		- added leading, embedded and trailling spaces and
		  the afferent FLAGS : SRW_ALIGNF_HSP_ADD_XXX
		- check y for a text widget (out of the visible arrea or not)
		- instead of special cases of toplevel windows roles (FRAME, DIALOG..)
		  use (layer == SPI_LAYER_WINDOW)
 		- removed some leaks
	* srcore/srctrl.c:
	(src_review_init):
	Added SRW_ALIGNF_ALL flag as a parameter to screen_review_init function.

2003-01-16 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_event_sink):
	Call src_speech_shutup when this call is needed, acording with changes
	in srspeech module.

2003-01-17 Pal Csongor Sprencz <ps@baum.ro>
	
	* speech/libsrs/spgscb.c,.h:
	Comment debug strings.

2003-01-17 Pal Csongor Sprencz <ps@baum.ro>
	
	* speech/libsrs/spgscb.c,.h:
	Added.
	
	* README:
	Updated.
	
2003-01-17 Draghi Puterity <mp@baum.de> Pal Csongor Sprencz <ps@baum.ro>
	
	* configure.in:
	Add gnome-speech-1.0 packages in speech modules 
	
	* gnopi/gnopi_files/Langauge/Makefile.am:
	Fixed warning at languagedir.
	
	* speech/test/Makefile.am:
	Include libsrconf and libsrutil libraries.
	
	* speech/libsrs/spgscb.c,.h:
	Created.
	
	* speech/libsrs/spgscb.c,.h:
	* speech/libsrs/spgs.c,.h:
	Use gnome_speech engine. 
	
	* speech/libsrs/Makefile.am:
	Added srgscb.c,.h in libsrs_la_SOURCES variable list:
	Removed spviavoice.c,.h and spfestival.c,.h files from libsrs_la_SOURCES 
	variable list.	
	
2003-01-17 Pal Csongor Sprencz <ps@baum.ro>

	* srconf/libsrconf/libsrconf.h:
	Changes at SRCORE_LANGUAGE and DEFAULT_SRCORE_LANGUAGE.
	
2003-01-17 Pal Csongor Sprencz <ps@baum.ro>

	* srconf/libsrconf/libsrconf.h:
	Moved REMOTE_CONFIG_PATH and BRLMON_CONFIG_PATH.
	Defined SRCORE_LANGUAGE and DEFAULT_SRCORE_LANGUAGE.
	
	* brlmon/brlmon.c:
	Check if arraived a package with refresf command. In this case set 
	LANGUAGE enviroment.
	  
	* brlmon/brlmonui.c:
	Clean from unused codes.
	
	* help/gnopernicus/C/gnopernicus.xml:
	Added help text for Presentation options.
	
	* srcore/srbrl.c:
	Removed REMOTE_CONFIG_PATH and BRLMON_CONFIG_PATH.
	(src_brlmon_refresh): Send command to brlmonitor to refresh UI.
	
	* srcore/srmain.c:
	Added test for LANGUAGE set callback.
	Made a concetion with PUNCTUIATION options.
	
	* srcore/srspc.c,.h:
	(src_set_type_of_dictionary) created.
	
	* gnopi/Makefile.am:
	Aappend to gnopernicus_SOURCE =langui.c,.h files.
	
	* gnopi/langui.c,.h:
	Created.

	* gnopi/gnopi_files/Language:
	* gnopi/gnopi_files/Language/language.glade2:
	* gnopi/gnopi_files/Language/Makefile.am:
	Created.
	
	* gnopi/gnopi_files/*.glade2:
	Updated UI.
	
	* gnopi/brlui.c,.h:
	* gnopi/cmdmapui.c,.h:
	* gnopi/findui.c,.h:
	* gnopi/defui.c,.h:
	* gnopi/gnopiui.c,.h:
	* gnopi/langui.c,.h:
	* gnopi/spui.c,.h:
	* gnopi/magui.c,.h:
	* gnopi/presui.c,.h:
	* gnopi/kbui.c,.h:
	* gnopi/gnopi.c:
	* gnopi/coreconf.c:
	Added new options language.
	Create new menu Configure. Move in this the Find, Command Map, 
	Presentation and Language options.
	Fix leak at load interface functions.
	(srcore_langauge_set, srcore_language_get) functions in coreconf.
	Call brlmonotor_run funciton near.
	Activate punctuation options in speech settings.
	Added default presentation in load defqult options.

	* README:
	Updated.	
	
	* configure.in:
	Added /gnopi/gnopi_files/Language/Makefile entry.

2003-01-16 Remus Draica <rd@baum.ro>

	* srcore/srmain.c:
	(src_process_config_changed_for_speech):
	Report change of one of the voice parameters. 

2003-01-13 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_find_next_logic):
	Add support for find attribute feature.	

	* srlow/libsrlow/SRObject.[c,h]:
	(sro_get_next_attributes):
	Add this function and all needed support.

2003-01-13 Adi Dascal <ad@baum.ro>

	* configure.in:
	(ALL_LINGUAS):
	Add german language (de).

2003-01-13 Remus Draica <rd@baum.ro>

	* configure.in:
	(AC_CHECK_FUNCS(bind_text_domain_codeset)):
	Replace bind_text_domain_codeset with bind_textdomain_codeset.
	
	* srcore/srspc.c:
	(src_dictionary):
	Correct some values for type field.	

2003-01-10 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	(srl_find_string):
	Make case sensitive and insensitive work proper.

2003-01-10 Remus Draica <rd@baum.ro>

	* gnopi/spconf.h:
	* gnopi/spui.h:
	* srconf/libsrconf/libsrconf.h:
	* srcore/srmain.c:
	Some constant names changed(SRC_REPEAT_ALL with SRC_COUNT_NONE and
	SRC_REPEAT_COUNT with SRC_COUNT_ALL).
	
	*srcore/srspc.c:
	(src_format_string):
	Rewrite it and remove code no more nedded and rename src_process_string.
	(src_dictionary):
	Add a new field.
	
	*srcore/srspc.h:
	Constant renaming and group some in an enum type (SRCSpeechMode).

2003-01-09 Pal Csongor Sprencz <ps@baum.ro>
    
	* brlmon/brlmonui.c:
	If the gnopernicus not installed, the application does not search 
	the help file.
	
	* gnopi/gnopiui.c:
	If the gnopernicus not installed, the application does not search 
	the help file.
	
	* gnopi/spui.c:
	Added after hscale the spin buttons.
	
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Added spin buttons after hscales.

2003-01-09 Pal Csongor Sprencz <ps@baum.ro>

	* configure.in:
	Added directories to AC_OUTPUT list
	
	* Makefile.am:
	Added Help directory to subdirs.
	
	* README:
	Updated.
	
	* xmldocs.make:
	Created.
	
	* omf.make:
	Created.
	
	* brlmon/Makefile.am:
	Added to include DATADIR define.
	
	* brlmon/brlmon.c:
	Append new parameters in gnome_program_init () call.
	
	* brlmon/brlmonui.c:
	Update help part. Use gnome_help_display() function.
	
	* gnopi/gnopi_files/gnopi.glade2:
	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	* gnopi/gnopi_files/User_Properties/user_properties.glade2:
	* gnopi/gnopi_files/Braille_Settings/attribute_settings.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_fill_char.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_style.glade2:
	* gnopi/gnopi_files/Braille_Settings/status_cell.glade2:
	Updated.
	
	* gnopi/Makefile.am:
	Added to include DATADIR define.
	And role for gnopernicus.desktop.in
	
	* gnopi/gnopernicus.desktop.in:
	Created.
	
	* gnopi/gnopi.c:
	Append new parameters in gnome_program_init () call.
	
	* gnopi/gnopiui.c:
	Update help part. Use gnome_help_display() function.
	
	* gnopi/spui.c:
	* gnopi/spconf.c.h:
	Updated code part to a new UI.
	
	* schemas/gnopernicus.schemas:
	Change remote ip key type to string.
	
	* srconf/libsrconf/libsrconf.h:
	Added DEFAULT_SPEECH_PUNCTUATION and SPEECH_PUNCTUATION defines.
	
	* srcore/srbrl.c:
	Leak fixes. (in brl_remote_udp_init() and brl_mon_udp_init() functions)
	
	* srcore/srspc.h:
	* srcore/srspc.c:
	src_speech_get_current_settings () created called at src_speech_init ().
	SRCPunctuationType defined.
	
	* srcore/srmain.c:
	Add part in speech callbacks for Punctuation.
	
	
2003-01-09 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	Add facility to scroll left or right on braille device in flat mode.

2003-01-08 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_speech_[increase|decrease|default]_[rate|volume|pitch]):
	Remove messages about not implemented functionality in gnome-speech.
	
	* speech/libsrs/spgs.c:
	(gs_speak):
	Set rate, volume, pitch for voice with which text will be spoken.

2003-01-08 Remus Draica <rd@baum.ro>

	* .cvsignore:
	Remove po entry.
	
	* Makefile.am:
	(SUBDIRS)
	Add po entry.
	
	* acconfig.h:
	Sort it in alphbetical order.
	
	* braille/test/remote.c:
	* brlmon/brlmon.c:
	* brlmon/brlmonui.c:
	* gnopi/brlconf.c:
	* gnopi/brlui.c:
	* gnopi/cmdmapconf.c:
	* gnopi/cmdmapui.c:
	* gnopi/coreconf.c:
	* gnopi/defui.c:
	* gnopi/findui.c:
	* gnopi/genui.c:
	* gnopi/gnopi.c:
	* gnopi/gnopiconf.c:
	* gnopi/gnopiui.c:
	* gnopi/kbconf.c:
	* gnopi/kbui.c:
	* gnopi/magconf.c:
	* gnopi/magui.c:
	* gnopi/presconf.c:
	* gnopi/presui.c:
	* gnopi/spconf.c:
	* gnopi/spui.c:
	* speech/libsrs/srsxml.c:
	* srcore/srctrl.c:
	* srcore/srmain.c:
	* srcore/srpres.c:
	* srcore/srspc.c:
	
	Add config.h and srintl.h to include section of each file. Also remove
	previous definitions for _ and N_ macros and add all initialization 
	stuff for using internationalization.
	
	* configure.in:
	Add support for internationalization.
	
	* speech/libsrs/Makefile.am:
	(INCLUDES):
	Add $(top_src_dir)/srutil.

	* srcore/Makefile.am:
	* gnopi/Makefile.am:
	* braille/test/Makefile.am:
	* brlmon/Makefile.am:
	(CFLAGS):
	Add definition for GNOPERNICUSLOCALEDIR.
	
	* srutil/srintl.h:
	Add this file.

	* srutil/Makefile.am:
	(libsrutilinclude_HEADERS):
	Add srintl file.	

	* po/POTFILES.in:
	* po/.cvsignore:
	* po/ro.po:
	* po/de.po:
	Add these files.
	
2003-01-07 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	(src_present_line_to_braille_or_brlmon)
	Add break instruction in case of -1 value to avoid the calling of the code
	for default values.

2002-12-20 Adi Dascal <ad@baum.ro>

	* srlow/libsrlow/screen-review.c,h:
	Modified the  API for screen-review.
	Introduced a GArray of cells witch will be used in creating the BML and 
	SML for line presentation.

2002-12-20 Remus Draica <rd@baum.ro>

	* srcore/srctrl.c:
	Change screen review accordind with changes in screen review API.

	* schemas/gnopernicus.schemas:
	Update keyboard mapping according with last changes in srcore.

2002-12-19 Pal Csongor Sprencz <ps@baum.ro>
	
	* gnopi/gnopi_files/Makefile.am:
	Removed / at end of file.
	
	* gnopi/cmdmapconf.c:
	* gnopi/cmdmapui.c:
	Rename src_key_cmds to cmd_key_cmds
	and src_cmd_function to cmd_function.
	
	* gnopi/presconf.c:
	presconf_changes_end
	
	* srconf/libsrconf/libsrconf.h:
	PRESENTATION_CHANGES_END changed value to "/changes_end"    

2002-12-19 Remus Draica <rd@baum.ro>

	* srlow/libsrlow/SRObject.c:
	Modify find next text/image stuff.
	
	* srcore/srctrl.c:
	(src_find_next_logic):
	Send a message to speech if no next is found. 

2002-12-18 Pal Csongor Sprencz <ps@baum.ro>
	
	* gnopi/brlui.c:
	* gnopi/kbui.c:
	* gnopi/magui.c:
	* gnopi/presui.c:
	* gnopi/cmdmapui.c:
	* gnopi/gnopiui.c:
	Fix leak in xxx_load_interfaces functions.
	
	* gnopi/gnopi_files/gnopi.glade2:
	Added incons for braille and keyboard settings.
	
	* gnopi/gnopi_files/keyboard.xpm:
	* gnopi/gnopi_files/braille.xpm:
	Added.
	
	* gnopi/gnopi_files/Makefile.am:
	Added in glade_files_DATA = keyboard.xpm and braille.xpm
	
	* gnopi/cmdmapconf.c,.h:
	Added functions: cmdconf_free_keycods_list_item and and 
	cmdconf_free_list_and_data
	Removed: cmdconf_free_key_list.
	Same speed-ups in code.
	
	* gnopi/magconf.c:
	Remove debug string from gconf callback function.

	
2002-12-18 Pal Csongor Sprencz <ps@baum.ro>
    
        * gnopi/gnopi_files/gnopi.glade2:
	Move start focus on General Settings button:
    
	* gnopi/gnopi.c:
        (gn_run_srcore):
	Remove "const" from args variable.
    
	* gnopi/init.h:
	* gnopi/lowconf.c,.h:
	* gnopi/gnopiinit.c,.h:
	Removed.
    
	* kbd_mouse/libke/libke.c:
	Keypad layers active only when the NUM LOCK is pressed.
	Limited the keyset list.
    
	* srconf/libsrconf/libsrconf.h:
	Removed functions: srconf_get_data, srconf_check_config_tree, 
	srconf_srconf_check_directory 
	    
	* README:
	Updated.

2002-12-18 Adi Dascal <ad@baum.ro>
	
	* srlow/libsrlow/screen-review.c,h
	* srcore/srctrl.c:
	Added flat review.

	* srlow/libsrlow/Makefile.am:
	(libsrlow_la_SOURCES):
	Add screen-review.c and screen-review.h.
	
2002-12-18 Remus Draica <rd@baum.ro>

	* srcore/Makefile.am:
	(srcore_SOURCES)
	Remove srreview.c and srreview.h.
	
	* srcore/srreview.[c,h]:
	Remove these files.
	
	* srlow/libsrlow/SRObject.c:
	(tb_2_index):
	Remove this function.
	
	* README:
	Updated (layer mapped).
	
	* srcore/srctrl.c:
	(src_key_cmds_def):
	* gnopi/cmdmapconf.c:
	(src_key_cmds_def):
	Updated these structures.
	
	*srcore/srctrl.c:
	(src_toogle_tracking_mode).
	Add above function.
	Make all modifications to have logical and flat review navigation mode.

	*srcore/srmain.c:
	(src_event_sink):
	Exit from flat mode in case of some events.

	* srcore/srctrl.h:
	(src_ctrl_flat_mode_terminate):
	Add prototype for this function.

	* srcore/srctrl.[h,c]:
	(src_ctrl_flat_mode_terminate):
	(src_ctrl_flat_mode_init):
	Add these functions.

2002-12-17 Pal Csongor Sprencz <ps@baum.ro>

	* brlmon/brlmon.c:
	(brlmon_close_server_udp):Created and moved in the 
	close(brlmon_sock) call.
	(brlmon_initialize_values):Unset "GTK_MODULES" and
	GNOME_ACCESSIBILITY environment variables that the brlmonitor do 
	not be accessible.
	
	* brlmon/brlmon.c,.h:
	* brlmon/brlmonui.c,.h:
	Cleaned code from unused libraries, deprecated code parts.
	
	* brlmon/monitor.glade2:
	Updated fro glade-2.
	
	* gnopi/gnopi_files/Keyboard_Mouse_Settings/keyboard_mouse_settings.glade2:
	Made insensitive the Key Categoriesm the Mode options.
	
	* gnopi/gnopi_files/Makefile.am:
	Added in SUBDIRS list Find directory.
	
	* gnopi/gnopiconf.c,.h:
	Created. Move here all (set, get and unset) apis which use gconf client.
	
	* gnopi/Makefile.am:
	(gnopernicus_SOURCES:) gnopiinit.c,.h removed gnopiconf.c,.h: added.
	
	* gnopi/brlconf.c,.h:
	* gnopi/coreconf.c,.h:
	* gnopi/cmdmapconf.c,.h:
	* gnopi/kbconf.c,.h:
	* gnopi/magconf.c,.h:
	* gnopi/presconf.c,.h:
	* gnopi/spconf.c,.h:
	Move set and get apis in gnopiconf. Remove all deprecated code part.
	Changed GCONF_CLIENT_PRELOAD_NONE to GCONF_CLIENT_PRELOAD_RECURSIVE.
	
	* gnopi/coreconf.c:
	Added handlet for ui_command event. (find_set).
	
	* gnopi/cmdmapui.h:
	Changes layer code gor find next to L03K10.
	Set on layer L03K01 find set command.

	* gnopi/*ui.c,.h:
	Clean code from unused libararies and codes.
	
	* kbd_mouse/libke/libke.c:
	Commend unused codes.
	
	* kbd_mouse/test/testlibke.c:
	Deprecated the tester. (Need update for this).
	
	* srconf/libsrconf/libsrconf.c,.h:
	Added new defines DEFAUL_MAGNIFIER_SCHEMA, SRCORE_UI_COMMAND,
	CMDMAP_CHANGS_END and PRESENTATION_CHANGES_END
	Changed GCONF_CLIENT_PRELOAD_NONE to GCONF_CLIENT_PRELOAD_RECURSIVE.
	
	* srcore/srmain.c:
	(src_process_config_changed_for_keyboard): ke_config_changed call commented.
	(src_process_config_changed_for_srcore): Comment handler part for find type event.
	
	* srcore/srctrl.c:
	(src_find_set):Added call the Find UI for this event.
	
	* schemas/gnopernicus.schemas:
	Changes layer code gor find next to L03K10.
	Set on layer L03K01 find set command.
	
	* configure.in:
	Added in makefile dir list Find directory.	
	
2002-12-13 Pal Csongor Sprencz <ps@baum.ro>
	
	* gnopi/cmdmapui.c:
	Remove to clear treeview after ok and apply.
	
2002-12-13 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/fndui.c:
	* gnopi/coreconf.c:
	(fnui_create_find_tag):Cut white space at and of searchable text.
	
	* srcore/srmain.c:
	(src_process_config_changed_for_srcore):
	Comment event handler part for find.
	
	* srcore/srctrl.c:
	(src_find_next): Show message if did not found object.
	
	* srlow/libsrlow/SRObject.c:
	(acc_has_text):
	Correct the text search condition.
	
	
2002-12-13 Remus Draica <rd@baum.ro>
	
	* srlow/libsrlow/SRObject.[c,h]:
	(sro_get_next_text):
	(sro_get_next_image):
	Added these functions and all necesary stuff for them (other 
	internal functions).

2002-12-13 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/gnopi_files/Speech_Settings/speech_settings.glade2:
	Added new window.
	
	* gnopi/gnopi_files/find/find.glade2:
	Added search scope, case sensitivity and AND/OR options.
	
	* gnopi/findui.c:
	* gnopi/srcore.h:
	Added code partsMM for new options.
	
	* srconf/libsrconf/libsrconf.h:
	Added SPEECH_SECTION and SRCORE_SECTION defines.
	
	* srcore/srctrl.c:
	Moved SPEECH_SECTION to libsrconf.h.
	Added new command "find_next ()". (src_find_next)
	
	* gnopi/cmdmapui.c,
	* gnopi/cmdmapconf.c:
	Updated the command table.
	
	* README:
	Updated.
	
	* schemas/gnopernicus.schemas:
	Updated. (L03K01 - find next)

2002-12-12  Michael Meeks  <michael@ximian.com>

	* speech/test/Makefile.am (INCLUDES): add
	$(LIBSRS_*) to get -pthread in Gnome 2.2

2002-12-09  Michael Meeks  <michael@ximian.com>

	* speech/libsrs/spgs.c: substantially re-write
	lots of changes, killed daft globals etc.

2002-12-11 Remus Draica <rd@baum.ro>
	
	* srcore/srpres.c:
	(src_presentation_read_formated_string_from_default):
	* gnopi/presconf.c:
	(default_presentation stucture):
	* schemas/gnopernicus.schemas:
	Change formated strings for tooltip and window events. 

2002-12-10 Adi Dascal <ad@baum.ro>
	
	* magnifier/libmag/mag_ctrl.c:
	Use bonobo_pbclient stuff.
	Removed leaks.
	
2002-12-10 Pal Csongor Sprencz <ps@baum.ro>

	* kbd_mouse/libke/libke.c:
	KeyPad start layer is 0.
	
	* gnopi/gnopi_files/gnopi.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_settings.glade2:
	* gnopi/gnopi_files/Find/find.glade2:
	* gnopi/gnopi_files/presentation/presentation.glade2:
	Updated the GUI.
	
	* gnopi/brlconf.c:
	* gnopi/coreconf.c:
	* gnopi/cmdmapconf.c:
	* gnopi/kbconf.c:
	* gnopi/spconf.c:
	* gnopi/magconf.c:
	* gnopi/presconf.c:
	Replaced function call g_malloc0 with g_new0.
	
	* gnopi/cmdmapui.c:
	Not loaded from gconf the settings at UI load if did not make chages at 
	the last opening.
	
	* gnopi/presui.c:
	Added entry to modify more easy the chunks.
	
	* gnopi/findui.c,.h:
	* gnopi/coreconf.h:
	Added new attribute at "attributes" search condition.
	
	* README:
	Updated.

2002-12-06 Remus Draica <rd@baum.ro>
	
	* srcore/srmain.c:
	(src_event_sink):
	Bug fix #97867.

2002-12-06 Remus Draica <rd@baum.ro>
	
	* srcore/srpres.[c,h]:
	Change functions name to be more explicite and small code changes.
	
	* srcore/srmain.c:
	(src_present_real_sro)
	(src_present_crt_tooltip)
	(src_present_crt_window):
	Changes acording with those in srpres.c, srpres.h.

2002-12-06 Pal Csongor Sprencz <ps@baum.ro>

	* gnopi/brlui.c:
	* gnopi/gnopiui.c:
	* gnopi/magui.c:
	* gnopi/kbui.c:
	* gnopi/cmdmapui.c:
	* gnopi/presui.c:
	Optimize code.
	
	* gnopi/gnopiui.c:
	Added code for help and about.
	
	* gnopi/presconf.c:
	Made a sincronization with srcore.
	
	* gnopi/gnopi_files/gnopi.glade2:
	Added about and help options in main menu.
	
	* gnopi/Magnifier_Settings/magnififer_settings.glade2:
	Correction in UI.
	
	* gnopi/Makefile.am:
	Updated.
	
	* gnopi/init:
	* gnopi/init.h:
	* gnopi/lowconf.c,.h:
	Removed
	
	* srconf/libsrconf/libsrconf.c,.h:
	Added new directory to listener "/presentation"
	Added new entry in SRConfigurablesEnum CFGM_PRESENTATION
	
	* kbd_mouse/test/testlibke.c:
	Updated.
	
	* srcore/srmain.c:
	Made sincronization througth gconf with UI.
	
	* README:
	Updated.

2002-12-05 Pal Csongor Sprencz <ps@baum.ro>
	
	* braille/libbrl/baumbrl.c:
	* braille/libbrl/brlxml.c:
	* braille/test/brlinp.c:
	* brlmon/brlmonxml.c:
	* gnopi/magui.c:
	* gnopi/presui.c:
	* magnifier/libmag/magxml.c:
	* speech/libsrs/srsxml.c:
	* srconf/libsrconf/libsrconf.c:
	* srcore/srctrl.c:
	* srcore/brlinp.c:
	* srlow/libsrlow/SRLow.c:
	* srlow/libsrlow/SRObject.c:
	* srutil/SREvent.c:
	Removed warnings which have under Solaris.
	
	* gnopi/cmdmapui.c:
	Sort lists of commands.
	
	* gnopi/brlconf.c,.h:
	* gnopi/coreconf.c,.h:
	* gnopi/magconf.c,.h:
	* gnopi/spconf.c,.h:
	* gnopi/kbconf.c,.h:
	* gnopi/presconf.c,.h:
	Remove redundant defines and variables.
	
	* srconf/libsrconf/libsrconf.c:
	Removed srconf_set_default fucntion.
	
2002-12-04 Pal Csongor Sprencz <ps@baum.ro>
    
	* gnopi/presui.c:
	Fixes at cancel.
	
	* README:
	Updated.
	
2002-12-04 Remus Draica <rd@baum.ro>
	
	* configure.in:
	(AC_OUTPUT):
	Add gnopi/gnopi_files/Presentation to directory list where Makefile is
	generated.
	
	* schemas/.cvsignore:
	* gnopi/gnopi_files/Presentation/.cvsignore:
	Added.	
	
2002-12-04 Pal Csongor Sprencz <ps@baum.ro>

	* configure.in:
	Added GConf related settings.
	
	* Makefile.am:
	Added schemas dir to SUBDIRS.
	
	* README:
	Updated.
	
	* schemas:
	* schemas/brlmonitor.schemas:
	* schemas/remote.schemas:
	* schemas/gnopernicus.schemas:
	* schemas/Makefile.am:
	Created.
	
	* gnopi/gnopi_files/Presentation/presentation.glade2:
	Added.
	
	* gnopi/presui.c,.h:
	* gnopi/presconf.c,.h:
	* gnopi/gnopiui.c:
	* gnopi/gnopi.c:
	Added Presentation UI.
	
	* gnopi/brlconf.c:
	* gnopi/coreconf.c:
	* gnopi/coreconf.h:
	* gnopi/defui.c:
	* gnopi/kbconf.h:
	* gnopi/magconf.h,.c:
	* gnopi/magui.c:
	* gnopi/spconf.c,.h:
	* gnopi/spuui.c,.h:
	Removed redundant defines.
	
	* gnopi/cmdmapconf.c:
	Move layer 1 keys to layer 0.
	
	* kbd_mouse/libke/libke.c:
	Start layer is 0.
	
	* srconf/libsrconf/libsrconf.h:
	Added defines to speech.
		
	* srcore/srctrl.c:
	Removed redundand defines. Moved layer 1 keys (navigation) to layer 0.

2002-12-04 Remus Draica <rd@baum.ro>
	
	*srcore/srpres.c:
	(src_presentation_find_chunk):
	avoid write string presentation back in gconf if it is read from gconf.
	(src_presentation_get_chunk_from_struct):
	correct string presentation for menu-item for speech. (#100219).

2002-11-28 Pal Csongor Sprencz <ps@baum.ro>
	
	* gnopi/cmdmapui.c,.h:
	* gnopi/cmdmapconf.c,.h:
	Text correction in warning texts.
	Changed "/config/properties"  path to "/command_map".

	* srconf/libsrconf/libsrconf.c:
	sr_config_changed_callback ().
	srconf_path[].
	Changed "/config/properties/keyboard/changed_end"  to 
	"/command_map/keyboard/changed_end"
		
	* srcore/srctrl.c:
	Changed "/config/properties"  path to "/command_map".
	
	* srcore/srpres.c:
	default_presentations[]
	Removed an invalid item from table.

2002-11-28 Bill Haneman <bill.haneman@sun.com>

	* configure.in:
	Changed check for gtk-doc so that versions > 0.9 are
	properly recognized.


2002-11-28 Pal Csongor Sprencz <ps@baum.ro>
	
	* brlmon/brlmon.c:
	Changed gconf keys to lower.
	
	* brlmon/brlmonxml.c:
	Show '|' chanacter at DOTS tag.
	
	* kbd_mouse/libke/libke.c:
	Changed key categories gconf keys to lower.
	
	* gnopi/gnopi_files/Braille_Settings/braille_device.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_fill_char.glade2:
	* gnopi/gnopi_files/Braille_Settings/braille_style.glade2:
	* gnopi/gnopi_files/Braille_Settings/optical_sensor.glade2:
	* gnopi/gnopi_files/Braille_Settings/position_switches.glade2:
	Made changes in widget trees.
	
	* gnopi/coreconf.h:
	Changed to upper the minimize gconf key.
	
	* srcore/srbrl.c:
	Changed to upper the gconf keys.
	
	* srcore/srmain.c:
	Changed to upper the gconf keys.
	Changed static values with a corespondent defines.
	

2002-11-28 Remus Draica <rd@baum.ro>
	
	*srcore/srbrl.[ch]:
